// Code generated by pigeon; DO NOT EDIT.

package nosql

import (
	"bytes"
	"errors"
	"fmt"
	"io"
	"math"
	"os"
	"sort"
	"strconv"
	"strings"
	"sync"
	"unicode"
	"unicode/utf8"

	"github.com/pikami/cosmium/parsers"
)

func makeSelectStmt(
	columns, fromClause, joinItems,
	whereClause interface{}, distinctClause interface{},
	count interface{}, groupByClause interface{}, orderList interface{},
	offsetClause interface{},
) (parsers.SelectStmt, error) {
	selectStmt := parsers.SelectStmt{
		SelectItems: columns.([]parsers.SelectItem),
	}

	if fromTable, ok := fromClause.(parsers.Table); ok {
		selectStmt.Table = fromTable
	}

	if joinItemsArray, ok := joinItems.([]interface{}); ok && len(joinItemsArray) > 0 {
		selectStmt.JoinItems = make([]parsers.JoinItem, len(joinItemsArray))
		for i, joinItem := range joinItemsArray {
			selectStmt.JoinItems[i] = joinItem.(parsers.JoinItem)
		}
	}

	switch v := whereClause.(type) {
	case parsers.ComparisonExpression, parsers.LogicalExpression, parsers.Constant, parsers.SelectItem:
		selectStmt.Filters = v
	}

	if distinctClause != nil {
		selectStmt.Distinct = true
	}

	if n, ok := count.(int); ok {
		selectStmt.Count = n
	}

	if offsetArr, ok := offsetClause.([]interface{}); ok && len(offsetArr) == 2 {
		if n, ok := offsetArr[0].(int); ok {
			selectStmt.Offset = n
		}

		if n, ok := offsetArr[1].(int); ok {
			selectStmt.Count = n
		}
	}

	if orderExpressions, ok := orderList.([]parsers.OrderExpression); ok {
		selectStmt.OrderExpressions = orderExpressions
	}

	if groupByClause != nil {
		selectStmt.GroupBy = groupByClause.([]parsers.SelectItem)
	}

	return selectStmt, nil
}

func makeJoin(table interface{}, column interface{}) (parsers.JoinItem, error) {
	joinItem := parsers.JoinItem{}

	if selectItem, isSelectItem := column.(parsers.SelectItem); isSelectItem {
		joinItem.SelectItem = selectItem
		joinItem.Table.Value = selectItem.Alias
	}

	if tableTyped, isTable := table.(parsers.Table); isTable {
		joinItem.Table = tableTyped
	}

	return joinItem, nil
}

func makeSelectItem(name interface{}, path interface{}, selectItemType parsers.SelectItemType) (parsers.SelectItem, error) {
	ps := path.([]interface{})

	paths := make([]string, 1)
	paths[0] = name.(string)
	for _, p := range ps {
		paths = append(paths, p.(string))
	}

	return parsers.SelectItem{Path: paths, Type: selectItemType}, nil
}

func makeColumnList(column interface{}, other_columns interface{}) ([]parsers.SelectItem, error) {
	collsAsArray := other_columns.([]interface{})
	columnList := make([]parsers.SelectItem, len(collsAsArray)+1)
	columnList[0] = column.(parsers.SelectItem)

	for i, v := range collsAsArray {
		if col, ok := v.(parsers.SelectItem); ok {
			columnList[i+1] = col
		}
	}

	return columnList, nil
}

func makeSelectArray(columns interface{}) (parsers.SelectItem, error) {
	return parsers.SelectItem{
		SelectItems: columns.([]parsers.SelectItem),
		Type:        parsers.SelectItemTypeArray,
	}, nil
}

func makeSelectObject(field interface{}, other_fields interface{}) (parsers.SelectItem, error) {
	fieldsAsArray := other_fields.([]interface{})
	fieldsList := make([]parsers.SelectItem, len(fieldsAsArray)+1)
	fieldsList[0] = field.(parsers.SelectItem)

	for i, v := range fieldsAsArray {
		if col, ok := v.(parsers.SelectItem); ok {
			fieldsList[i+1] = col
		}
	}

	return parsers.SelectItem{
		SelectItems: fieldsList,
		Type:        parsers.SelectItemTypeObject,
	}, nil
}

func makeOrderByClause(ex1 interface{}, others interface{}) ([]parsers.OrderExpression, error) {
	othersArray := others.([]interface{})
	orderList := make([]parsers.OrderExpression, len(othersArray)+1)
	orderList[0] = ex1.(parsers.OrderExpression)

	for i, v := range othersArray {
		if col, ok := v.(parsers.OrderExpression); ok {
			orderList[i+1] = col
		}
	}

	return orderList, nil
}

func makeOrderExpression(field interface{}, order interface{}) (parsers.OrderExpression, error) {
	value := parsers.OrderExpression{
		SelectItem: field.(parsers.SelectItem),
		Direction:  parsers.OrderDirectionAsc,
	}

	if orderValue, ok := order.(parsers.OrderDirection); ok {
		value.Direction = orderValue
	}

	return value, nil
}

func createFunctionCall(functionType parsers.FunctionCallType, arguments []interface{}) (parsers.FunctionCall, error) {
	return parsers.FunctionCall{Type: functionType, Arguments: arguments}, nil
}

func joinStrings(array []interface{}) string {
	var stringsArray []string
	for _, elem := range array {
		str, ok := elem.(string)
		if !ok {
			continue
		}
		stringsArray = append(stringsArray, str)
	}

	return strings.Join(stringsArray, "")
}

func combineExpressions(ex1 interface{}, exs interface{}, operation parsers.LogicalExpressionType) (interface{}, error) {
	if exs == nil || len(exs.([]interface{})) < 1 {
		return ex1, nil
	}

	return parsers.LogicalExpression{
		Expressions: append([]interface{}{ex1}, exs.([]interface{})...),
		Operation:   operation,
	}, nil
}

var g = &grammar{
	rules: []*rule{
		{
			name: "Input",
			pos:  position{line: 183, col: 1, offset: 4923},
			expr: &actionExpr{
				pos: position{line: 183, col: 10, offset: 4932},
				run: (*parser).callonInput1,
				expr: &labeledExpr{
					pos:   position{line: 183, col: 10, offset: 4932},
					label: "selectStmt",
					expr: &ruleRefExpr{
						pos:  position{line: 183, col: 21, offset: 4943},
						name: "SelectStmt",
					},
				},
			},
		},
		{
			name: "SelectStmt",
			pos:  position{line: 187, col: 1, offset: 4986},
			expr: &actionExpr{
				pos: position{line: 187, col: 15, offset: 5000},
				run: (*parser).callonSelectStmt1,
				expr: &seqExpr{
					pos: position{line: 187, col: 15, offset: 5000},
					exprs: []any{
						&ruleRefExpr{
							pos:  position{line: 187, col: 15, offset: 5000},
							name: "Select",
						},
						&ruleRefExpr{
							pos:  position{line: 187, col: 22, offset: 5007},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 188, col: 5, offset: 5014},
							label: "distinctClause",
							expr: &zeroOrOneExpr{
								pos: position{line: 188, col: 20, offset: 5029},
								expr: &ruleRefExpr{
									pos:  position{line: 188, col: 20, offset: 5029},
									name: "DistinctClause",
								},
							},
						},
						&ruleRefExpr{
							pos:  position{line: 188, col: 36, offset: 5045},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 189, col: 5, offset: 5052},
							label: "topClause",
							expr: &zeroOrOneExpr{
								pos: position{line: 189, col: 15, offset: 5062},
								expr: &ruleRefExpr{
									pos:  position{line: 189, col: 15, offset: 5062},
									name: "TopClause",
								},
							},
						},
						&ruleRefExpr{
							pos:  position{line: 189, col: 26, offset: 5073},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 190, col: 5, offset: 5080},
							label: "columns",
							expr: &ruleRefExpr{
								pos:  position{line: 190, col: 13, offset: 5088},
								name: "Selection",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 190, col: 23, offset: 5098},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 191, col: 5, offset: 5105},
							label: "fromClause",
							expr: &zeroOrOneExpr{
								pos: position{line: 191, col: 16, offset: 5116},
								expr: &ruleRefExpr{
									pos:  position{line: 191, col: 16, offset: 5116},
									name: "FromClause",
								},
							},
						},
						&ruleRefExpr{
							pos:  position{line: 191, col: 28, offset: 5128},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 192, col: 5, offset: 5135},
							label: "joinClauses",
							expr: &zeroOrMoreExpr{
								pos: position{line: 192, col: 17, offset: 5147},
								expr: &actionExpr{
									pos: position{line: 192, col: 18, offset: 5148},
									run: (*parser).callonSelectStmt22,
									expr: &seqExpr{
										pos: position{line: 192, col: 18, offset: 5148},
										exprs: []any{
											&ruleRefExpr{
												pos:  position{line: 192, col: 18, offset: 5148},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 192, col: 21, offset: 5151},
												label: "join",
												expr: &ruleRefExpr{
													pos:  position{line: 192, col: 26, offset: 5156},
													name: "JoinClause",
												},
											},
										},
									},
								},
							},
						},
						&ruleRefExpr{
							pos:  position{line: 192, col: 60, offset: 5190},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 193, col: 5, offset: 5197},
							label: "whereClause",
							expr: &zeroOrOneExpr{
								pos: position{line: 193, col: 17, offset: 5209},
								expr: &actionExpr{
									pos: position{line: 193, col: 18, offset: 5210},
									run: (*parser).callonSelectStmt30,
									expr: &seqExpr{
										pos: position{line: 193, col: 18, offset: 5210},
										exprs: []any{
											&ruleRefExpr{
												pos:  position{line: 193, col: 18, offset: 5210},
												name: "ws",
											},
											&ruleRefExpr{
												pos:  position{line: 193, col: 21, offset: 5213},
												name: "Where",
											},
											&ruleRefExpr{
												pos:  position{line: 193, col: 27, offset: 5219},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 193, col: 30, offset: 5222},
												label: "condition",
												expr: &ruleRefExpr{
													pos:  position{line: 193, col: 40, offset: 5232},
													name: "Condition",
												},
											},
										},
									},
								},
							},
						},
						&labeledExpr{
							pos:   position{line: 194, col: 5, offset: 5274},
							label: "groupByClause",
							expr: &zeroOrOneExpr{
								pos: position{line: 194, col: 19, offset: 5288},
								expr: &actionExpr{
									pos: position{line: 194, col: 20, offset: 5289},
									run: (*parser).callonSelectStmt39,
									expr: &seqExpr{
										pos: position{line: 194, col: 20, offset: 5289},
										exprs: []any{
											&ruleRefExpr{
												pos:  position{line: 194, col: 20, offset: 5289},
												name: "ws",
											},
											&ruleRefExpr{
												pos:  position{line: 194, col: 23, offset: 5292},
												name: "GroupBy",
											},
											&ruleRefExpr{
												pos:  position{line: 194, col: 31, offset: 5300},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 194, col: 34, offset: 5303},
												label: "columns",
												expr: &ruleRefExpr{
													pos:  position{line: 194, col: 42, offset: 5311},
													name: "ColumnList",
												},
											},
										},
									},
								},
							},
						},
						&labeledExpr{
							pos:   position{line: 195, col: 5, offset: 5352},
							label: "orderByClause",
							expr: &zeroOrOneExpr{
								pos: position{line: 195, col: 19, offset: 5366},
								expr: &actionExpr{
									pos: position{line: 195, col: 20, offset: 5367},
									run: (*parser).callonSelectStmt48,
									expr: &seqExpr{
										pos: position{line: 195, col: 20, offset: 5367},
										exprs: []any{
											&ruleRefExpr{
												pos:  position{line: 195, col: 20, offset: 5367},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 195, col: 23, offset: 5370},
												label: "order",
												expr: &ruleRefExpr{
													pos:  position{line: 195, col: 29, offset: 5376},
													name: "OrderByClause",
												},
											},
										},
									},
								},
							},
						},
						&labeledExpr{
							pos:   position{line: 196, col: 5, offset: 5418},
							label: "offsetClause",
							expr: &zeroOrOneExpr{
								pos: position{line: 196, col: 18, offset: 5431},
								expr: &actionExpr{
									pos: position{line: 196, col: 19, offset: 5432},
									run: (*parser).callonSelectStmt55,
									expr: &seqExpr{
										pos: position{line: 196, col: 19, offset: 5432},
										exprs: []any{
											&ruleRefExpr{
												pos:  position{line: 196, col: 19, offset: 5432},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 196, col: 22, offset: 5435},
												label: "offset",
												expr: &ruleRefExpr{
													pos:  position{line: 196, col: 29, offset: 5442},
													name: "OffsetClause",
												},
											},
										},
									},
								},
							},
						},
					},
				},
			},
		},
		{
			name: "DistinctClause",
			pos:  position{line: 201, col: 1, offset: 5637},
			expr: &litMatcher{
				pos:        position{line: 201, col: 19, offset: 5655},
				val:        "distinct",
				ignoreCase: true,
				want:       "\"DISTINCT\"i",
			},
		},
		{
			name: "TopClause",
			pos:  position{line: 203, col: 1, offset: 5668},
			expr: &actionExpr{
				pos: position{line: 203, col: 14, offset: 5681},
				run: (*parser).callonTopClause1,
				expr: &seqExpr{
					pos: position{line: 203, col: 14, offset: 5681},
					exprs: []any{
						&ruleRefExpr{
							pos:  position{line: 203, col: 14, offset: 5681},
							name: "Top",
						},
						&ruleRefExpr{
							pos:  position{line: 203, col: 18, offset: 5685},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 203, col: 21, offset: 5688},
							label: "count",
							expr: &ruleRefExpr{
								pos:  position{line: 203, col: 27, offset: 5694},
								name: "Integer",
							},
						},
					},
				},
			},
		},
		{
			name: "FromClause",
			pos:  position{line: 207, col: 1, offset: 5729},
			expr: &choiceExpr{
				pos: position{line: 207, col: 15, offset: 5743},
				alternatives: []any{
					&actionExpr{
						pos: position{line: 207, col: 15, offset: 5743},
						run: (*parser).callonFromClause2,
						expr: &seqExpr{
							pos: position{line: 207, col: 15, offset: 5743},
							exprs: []any{
								&ruleRefExpr{
									pos:  position{line: 207, col: 15, offset: 5743},
									name: "From",
								},
								&ruleRefExpr{
									pos:  position{line: 207, col: 20, offset: 5748},
									name: "ws",
								},
								&labeledExpr{
									pos:   position{line: 207, col: 23, offset: 5751},
									label: "table",
									expr: &ruleRefExpr{
										pos:  position{line: 207, col: 29, offset: 5757},
										name: "TableName",
									},
								},
								&labeledExpr{
									pos:   position{line: 207, col: 39, offset: 5767},
									label: "selectItem",
									expr: &zeroOrOneExpr{
										pos: position{line: 207, col: 50, offset: 5778},
										expr: &actionExpr{
											pos: position{line: 207, col: 51, offset: 5779},
											run: (*parser).callonFromClause10,
											expr: &seqExpr{
												pos: position{line: 207, col: 51, offset: 5779},
												exprs: []any{
													&ruleRefExpr{
														pos:  position{line: 207, col: 51, offset: 5779},
														name: "ws",
													},
													&litMatcher{
														pos:        position{line: 207, col: 54, offset: 5782},
														val:        "in",
														ignoreCase: true,
														want:       "\"IN\"i",
													},
													&ruleRefExpr{
														pos:  position{line: 207, col: 60, offset: 5788},
														name: "ws",
													},
													&labeledExpr{
														pos:   position{line: 207, col: 63, offset: 5791},
														label: "column",
														expr: &ruleRefExpr{
															pos:  position{line: 207, col: 70, offset: 5798},
															name: "SelectItem",
														},
													},
												},
											},
										},
									},
								},
							},
						},
					},
					&actionExpr{
						pos: position{line: 215, col: 5, offset: 5997},
						run: (*parser).callonFromClause17,
						expr: &seqExpr{
							pos: position{line: 215, col: 5, offset: 5997},
							exprs: []any{
								&ruleRefExpr{
									pos:  position{line: 215, col: 5, offset: 5997},
									name: "From",
								},
								&ruleRefExpr{
									pos:  position{line: 215, col: 10, offset: 6002},
									name: "ws",
								},
								&labeledExpr{
									pos:   position{line: 215, col: 13, offset: 6005},
									label: "subQuery",
									expr: &ruleRefExpr{
										pos:  position{line: 215, col: 22, offset: 6014},
										name: "SubQuerySelectItem",
									},
								},
							},
						},
					},
				},
			},
		},
		{
			name: "SubQuery",
			pos:  position{line: 224, col: 1, offset: 6195},
			expr: &actionExpr{
				pos: position{line: 224, col: 13, offset: 6207},
				run: (*parser).callonSubQuery1,
				expr: &seqExpr{
					pos: position{line: 224, col: 13, offset: 6207},
					exprs: []any{
						&labeledExpr{
							pos:   position{line: 224, col: 13, offset: 6207},
							label: "exists",
							expr: &zeroOrOneExpr{
								pos: position{line: 224, col: 20, offset: 6214},
								expr: &actionExpr{
									pos: position{line: 224, col: 21, offset: 6215},
									run: (*parser).callonSubQuery5,
									expr: &seqExpr{
										pos: position{line: 224, col: 21, offset: 6215},
										exprs: []any{
											&labeledExpr{
												pos:   position{line: 224, col: 21, offset: 6215},
												label: "exists",
												expr: &ruleRefExpr{
													pos:  position{line: 224, col: 28, offset: 6222},
													name: "Exists",
												},
											},
											&ruleRefExpr{
												pos:  position{line: 224, col: 35, offset: 6229},
												name: "ws",
											},
										},
									},
								},
							},
						},
						&litMatcher{
							pos:        position{line: 224, col: 63, offset: 6257},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 224, col: 67, offset: 6261},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 224, col: 70, offset: 6264},
							label: "selectStmt",
							expr: &ruleRefExpr{
								pos:  position{line: 224, col: 81, offset: 6275},
								name: "SelectStmt",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 224, col: 92, offset: 6286},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 224, col: 95, offset: 6289},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "SubQuerySelectItem",
			pos:  position{line: 233, col: 1, offset: 6501},
			expr: &actionExpr{
				pos: position{line: 233, col: 23, offset: 6523},
				run: (*parser).callonSubQuerySelectItem1,
				expr: &seqExpr{
					pos: position{line: 233, col: 23, offset: 6523},
					exprs: []any{
						&labeledExpr{
							pos:   position{line: 233, col: 23, offset: 6523},
							label: "subQuery",
							expr: &ruleRefExpr{
								pos:  position{line: 233, col: 32, offset: 6532},
								name: "SubQuery",
							},
						},
						&labeledExpr{
							pos:   position{line: 233, col: 41, offset: 6541},
							label: "asClause",
							expr: &zeroOrOneExpr{
								pos: position{line: 233, col: 50, offset: 6550},
								expr: &actionExpr{
									pos: position{line: 233, col: 51, offset: 6551},
									run: (*parser).callonSubQuerySelectItem7,
									expr: &seqExpr{
										pos: position{line: 233, col: 51, offset: 6551},
										exprs: []any{
											&ruleRefExpr{
												pos:  position{line: 233, col: 51, offset: 6551},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 233, col: 54, offset: 6554},
												label: "alias",
												expr: &ruleRefExpr{
													pos:  position{line: 233, col: 60, offset: 6560},
													name: "AsClause",
												},
											},
										},
									},
								},
							},
						},
					},
				},
			},
		},
		{
			name: "JoinClause",
			pos:  position{line: 246, col: 1, offset: 6845},
			expr: &choiceExpr{
				pos: position{line: 246, col: 15, offset: 6859},
				alternatives: []any{
					&actionExpr{
						pos: position{line: 246, col: 15, offset: 6859},
						run: (*parser).callonJoinClause2,
						expr: &seqExpr{
							pos: position{line: 246, col: 15, offset: 6859},
							exprs: []any{
								&ruleRefExpr{
									pos:  position{line: 246, col: 15, offset: 6859},
									name: "Join",
								},
								&ruleRefExpr{
									pos:  position{line: 246, col: 20, offset: 6864},
									name: "ws",
								},
								&labeledExpr{
									pos:   position{line: 246, col: 23, offset: 6867},
									label: "table",
									expr: &ruleRefExpr{
										pos:  position{line: 246, col: 29, offset: 6873},
										name: "TableName",
									},
								},
								&ruleRefExpr{
									pos:  position{line: 246, col: 39, offset: 6883},
									name: "ws",
								},
								&litMatcher{
									pos:        position{line: 246, col: 42, offset: 6886},
									val:        "in",
									ignoreCase: true,
									want:       "\"IN\"i",
								},
								&ruleRefExpr{
									pos:  position{line: 246, col: 48, offset: 6892},
									name: "ws",
								},
								&labeledExpr{
									pos:   position{line: 246, col: 51, offset: 6895},
									label: "column",
									expr: &ruleRefExpr{
										pos:  position{line: 246, col: 58, offset: 6902},
										name: "SelectItem",
									},
								},
							},
						},
					},
					&actionExpr{
						pos: position{line: 248, col: 5, offset: 6954},
						run: (*parser).callonJoinClause13,
						expr: &seqExpr{
							pos: position{line: 248, col: 5, offset: 6954},
							exprs: []any{
								&ruleRefExpr{
									pos:  position{line: 248, col: 5, offset: 6954},
									name: "Join",
								},
								&ruleRefExpr{
									pos:  position{line: 248, col: 10, offset: 6959},
									name: "ws",
								},
								&labeledExpr{
									pos:   position{line: 248, col: 13, offset: 6962},
									label: "subQuery",
									expr: &ruleRefExpr{
										pos:  position{line: 248, col: 22, offset: 6971},
										name: "SubQuerySelectItem",
									},
								},
							},
						},
					},
				},
			},
		},
		{
			name: "OffsetClause",
			pos:  position{line: 252, col: 1, offset: 7030},
			expr: &actionExpr{
				pos: position{line: 252, col: 17, offset: 7046},
				run: (*parser).callonOffsetClause1,
				expr: &seqExpr{
					pos: position{line: 252, col: 17, offset: 7046},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 252, col: 17, offset: 7046},
							val:        "offset",
							ignoreCase: true,
							want:       "\"OFFSET\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 252, col: 27, offset: 7056},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 252, col: 30, offset: 7059},
							label: "offset",
							expr: &ruleRefExpr{
								pos:  position{line: 252, col: 37, offset: 7066},
								name: "IntegerLiteral",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 252, col: 52, offset: 7081},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 252, col: 55, offset: 7084},
							val:        "limit",
							ignoreCase: true,
							want:       "\"LIMIT\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 252, col: 64, offset: 7093},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 252, col: 67, offset: 7096},
							label: "limit",
							expr: &ruleRefExpr{
								pos:  position{line: 252, col: 73, offset: 7102},
								name: "IntegerLiteral",
							},
						},
					},
				},
			},
		},
		{
			name: "Selection",
			pos:  position{line: 256, col: 1, offset: 7217},
			expr: &choiceExpr{
				pos: position{line: 256, col: 14, offset: 7230},
				alternatives: []any{
					&ruleRefExpr{
						pos:  position{line: 256, col: 14, offset: 7230},
						name: "SelectValueSpec",
					},
					&ruleRefExpr{
						pos:  position{line: 256, col: 32, offset: 7248},
						name: "ColumnList",
					},
					&ruleRefExpr{
						pos:  position{line: 256, col: 45, offset: 7261},
						name: "SelectAsterisk",
					},
				},
			},
		},
		{
			name: "SelectAsterisk",
			pos:  position{line: 258, col: 1, offset: 7277},
			expr: &actionExpr{
				pos: position{line: 258, col: 19, offset: 7295},
				run: (*parser).callonSelectAsterisk1,
				expr: &litMatcher{
					pos:        position{line: 258, col: 19, offset: 7295},
					val:        "*",
					ignoreCase: false,
					want:       "\"*\"",
				},
			},
		},
		{
			name: "ColumnList",
			pos:  position{line: 264, col: 1, offset: 7490},
			expr: &actionExpr{
				pos: position{line: 264, col: 15, offset: 7504},
				run: (*parser).callonColumnList1,
				expr: &seqExpr{
					pos: position{line: 264, col: 15, offset: 7504},
					exprs: []any{
						&labeledExpr{
							pos:   position{line: 264, col: 15, offset: 7504},
							label: "column",
							expr: &ruleRefExpr{
								pos:  position{line: 264, col: 22, offset: 7511},
								name: "SelectItem",
							},
						},
						&labeledExpr{
							pos:   position{line: 264, col: 33, offset: 7522},
							label: "other_columns",
							expr: &zeroOrMoreExpr{
								pos: position{line: 264, col: 47, offset: 7536},
								expr: &actionExpr{
									pos: position{line: 264, col: 48, offset: 7537},
									run: (*parser).callonColumnList7,
									expr: &seqExpr{
										pos: position{line: 264, col: 48, offset: 7537},
										exprs: []any{
											&ruleRefExpr{
												pos:  position{line: 264, col: 48, offset: 7537},
												name: "ws",
											},
											&litMatcher{
												pos:        position{line: 264, col: 51, offset: 7540},
												val:        ",",
												ignoreCase: false,
												want:       "\",\"",
											},
											&ruleRefExpr{
												pos:  position{line: 264, col: 55, offset: 7544},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 264, col: 58, offset: 7547},
												label: "coll",
												expr: &ruleRefExpr{
													pos:  position{line: 264, col: 63, offset: 7552},
													name: "SelectItem",
												},
											},
										},
									},
								},
							},
						},
					},
				},
			},
		},
		{
			name: "SelectValueSpec",
			pos:  position{line: 268, col: 1, offset: 7639},
			expr: &actionExpr{
				pos: position{line: 268, col: 20, offset: 7658},
				run: (*parser).callonSelectValueSpec1,
				expr: &seqExpr{
					pos: position{line: 268, col: 20, offset: 7658},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 268, col: 20, offset: 7658},
							val:        "value",
							ignoreCase: true,
							want:       "\"VALUE\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 268, col: 29, offset: 7667},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 268, col: 32, offset: 7670},
							label: "column",
							expr: &ruleRefExpr{
								pos:  position{line: 268, col: 39, offset: 7677},
								name: "SelectItem",
							},
						},
					},
				},
			},
		},
		{
			name: "TableName",
			pos:  position{line: 274, col: 1, offset: 7831},
			expr: &actionExpr{
				pos: position{line: 274, col: 14, offset: 7844},
				run: (*parser).callonTableName1,
				expr: &labeledExpr{
					pos:   position{line: 274, col: 14, offset: 7844},
					label: "key",
					expr: &ruleRefExpr{
						pos:  position{line: 274, col: 18, offset: 7848},
						name: "Identifier",
					},
				},
			},
		},
		{
			name: "SelectArray",
			pos:  position{line: 278, col: 1, offset: 7915},
			expr: &actionExpr{
				pos: position{line: 278, col: 16, offset: 7930},
				run: (*parser).callonSelectArray1,
				expr: &seqExpr{
					pos: position{line: 278, col: 16, offset: 7930},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 278, col: 16, offset: 7930},
							val:        "[",
							ignoreCase: false,
							want:       "\"[\"",
						},
						&ruleRefExpr{
							pos:  position{line: 278, col: 20, offset: 7934},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 278, col: 23, offset: 7937},
							label: "columns",
							expr: &ruleRefExpr{
								pos:  position{line: 278, col: 31, offset: 7945},
								name: "ColumnList",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 278, col: 42, offset: 7956},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 278, col: 45, offset: 7959},
							val:        "]",
							ignoreCase: false,
							want:       "\"]\"",
						},
					},
				},
			},
		},
		{
			name: "SelectObject",
			pos:  position{line: 282, col: 1, offset: 8004},
			expr: &actionExpr{
				pos: position{line: 282, col: 17, offset: 8020},
				run: (*parser).callonSelectObject1,
				expr: &seqExpr{
					pos: position{line: 282, col: 17, offset: 8020},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 282, col: 17, offset: 8020},
							val:        "{",
							ignoreCase: false,
							want:       "\"{\"",
						},
						&ruleRefExpr{
							pos:  position{line: 282, col: 21, offset: 8024},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 282, col: 24, offset: 8027},
							label: "field",
							expr: &ruleRefExpr{
								pos:  position{line: 282, col: 30, offset: 8033},
								name: "SelectObjectField",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 282, col: 48, offset: 8051},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 282, col: 51, offset: 8054},
							label: "other_fields",
							expr: &zeroOrMoreExpr{
								pos: position{line: 282, col: 64, offset: 8067},
								expr: &actionExpr{
									pos: position{line: 282, col: 65, offset: 8068},
									run: (*parser).callonSelectObject10,
									expr: &seqExpr{
										pos: position{line: 282, col: 65, offset: 8068},
										exprs: []any{
											&ruleRefExpr{
												pos:  position{line: 282, col: 65, offset: 8068},
												name: "ws",
											},
											&litMatcher{
												pos:        position{line: 282, col: 68, offset: 8071},
												val:        ",",
												ignoreCase: false,
												want:       "\",\"",
											},
											&ruleRefExpr{
												pos:  position{line: 282, col: 72, offset: 8075},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 282, col: 75, offset: 8078},
												label: "coll",
												expr: &ruleRefExpr{
													pos:  position{line: 282, col: 80, offset: 8083},
													name: "SelectObjectField",
												},
											},
										},
									},
								},
							},
						},
						&ruleRefExpr{
							pos:  position{line: 282, col: 120, offset: 8123},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 282, col: 123, offset: 8126},
							val:        "}",
							ignoreCase: false,
							want:       "\"}\"",
						},
					},
				},
			},
		},
		{
			name: "SelectObjectField",
			pos:  position{line: 286, col: 1, offset: 8184},
			expr: &actionExpr{
				pos: position{line: 286, col: 22, offset: 8205},
				run: (*parser).callonSelectObjectField1,
				expr: &seqExpr{
					pos: position{line: 286, col: 22, offset: 8205},
					exprs: []any{
						&labeledExpr{
							pos:   position{line: 286, col: 22, offset: 8205},
							label: "name",
							expr: &choiceExpr{
								pos: position{line: 286, col: 28, offset: 8211},
								alternatives: []any{
									&ruleRefExpr{
										pos:  position{line: 286, col: 28, offset: 8211},
										name: "Identifier",
									},
									&actionExpr{
										pos: position{line: 286, col: 41, offset: 8224},
										run: (*parser).callonSelectObjectField6,
										expr: &seqExpr{
											pos: position{line: 286, col: 41, offset: 8224},
											exprs: []any{
												&litMatcher{
													pos:        position{line: 286, col: 41, offset: 8224},
													val:        "\"",
													ignoreCase: false,
													want:       "\"\\\"\"",
												},
												&labeledExpr{
													pos:   position{line: 286, col: 46, offset: 8229},
													label: "key",
													expr: &ruleRefExpr{
														pos:  position{line: 286, col: 50, offset: 8233},
														name: "Identifier",
													},
												},
												&litMatcher{
													pos:        position{line: 286, col: 61, offset: 8244},
													val:        "\"",
													ignoreCase: false,
													want:       "\"\\\"\"",
												},
											},
										},
									},
								},
							},
						},
						&ruleRefExpr{
							pos:  position{line: 286, col: 87, offset: 8270},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 286, col: 90, offset: 8273},
							val:        ":",
							ignoreCase: false,
							want:       "\":\"",
						},
						&ruleRefExpr{
							pos:  position{line: 286, col: 94, offset: 8277},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 286, col: 97, offset: 8280},
							label: "selectItem",
							expr: &ruleRefExpr{
								pos:  position{line: 286, col: 108, offset: 8291},
								name: "SelectItem",
							},
						},
					},
				},
			},
		},
		{
			name: "SelectProperty",
			pos:  position{line: 292, col: 1, offset: 8397},
			expr: &actionExpr{
				pos: position{line: 292, col: 19, offset: 8415},
				run: (*parser).callonSelectProperty1,
				expr: &seqExpr{
					pos: position{line: 292, col: 19, offset: 8415},
					exprs: []any{
						&labeledExpr{
							pos:   position{line: 292, col: 19, offset: 8415},
							label: "name",
							expr: &ruleRefExpr{
								pos:  position{line: 292, col: 24, offset: 8420},
								name: "Identifier",
							},
						},
						&labeledExpr{
							pos:   position{line: 292, col: 35, offset: 8431},
							label: "path",
							expr: &zeroOrMoreExpr{
								pos: position{line: 292, col: 40, offset: 8436},
								expr: &choiceExpr{
									pos: position{line: 292, col: 41, offset: 8437},
									alternatives: []any{
										&ruleRefExpr{
											pos:  position{line: 292, col: 41, offset: 8437},
											name: "DotFieldAccess",
										},
										&ruleRefExpr{
											pos:  position{line: 292, col: 58, offset: 8454},
											name: "ArrayFieldAccess",
										},
									},
								},
							},
						},
					},
				},
			},
		},
		{
			name: "SelectItem",
			pos:  position{line: 296, col: 1, offset: 8545},
			expr: &actionExpr{
				pos: position{line: 296, col: 15, offset: 8559},
				run: (*parser).callonSelectItem1,
				expr: &seqExpr{
					pos: position{line: 296, col: 15, offset: 8559},
					exprs: []any{
						&labeledExpr{
							pos:   position{line: 296, col: 15, offset: 8559},
							label: "selectItem",
							expr: &choiceExpr{
								pos: position{line: 296, col: 27, offset: 8571},
								alternatives: []any{
									&ruleRefExpr{
										pos:  position{line: 296, col: 27, offset: 8571},
										name: "SubQuerySelectItem",
									},
									&ruleRefExpr{
										pos:  position{line: 296, col: 48, offset: 8592},
										name: "Literal",
									},
									&ruleRefExpr{
										pos:  position{line: 296, col: 58, offset: 8602},
										name: "FunctionCall",
									},
									&ruleRefExpr{
										pos:  position{line: 296, col: 73, offset: 8617},
										name: "SelectArray",
									},
									&ruleRefExpr{
										pos:  position{line: 296, col: 87, offset: 8631},
										name: "SelectObject",
									},
									&ruleRefExpr{
										pos:  position{line: 296, col: 102, offset: 8646},
										name: "SelectProperty",
									},
								},
							},
						},
						&labeledExpr{
							pos:   position{line: 296, col: 118, offset: 8662},
							label: "asClause",
							expr: &zeroOrOneExpr{
								pos: position{line: 296, col: 127, offset: 8671},
								expr: &ruleRefExpr{
									pos:  position{line: 296, col: 127, offset: 8671},
									name: "AsClause",
								},
							},
						},
					},
				},
			},
		},
		{
			name: "AsClause",
			pos:  position{line: 320, col: 1, offset: 9269},
			expr: &actionExpr{
				pos: position{line: 320, col: 13, offset: 9281},
				run: (*parser).callonAsClause1,
				expr: &seqExpr{
					pos: position{line: 320, col: 13, offset: 9281},
					exprs: []any{
						&ruleRefExpr{
							pos:  position{line: 320, col: 13, offset: 9281},
							name: "ws",
						},
						&ruleRefExpr{
							pos:  position{line: 320, col: 16, offset: 9284},
							name: "As",
						},
						&ruleRefExpr{
							pos:  position{line: 320, col: 19, offset: 9287},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 320, col: 22, offset: 9290},
							label: "alias",
							expr: &ruleRefExpr{
								pos:  position{line: 320, col: 28, offset: 9296},
								name: "Identifier",
							},
						},
					},
				},
			},
		},
		{
			name: "DotFieldAccess",
			pos:  position{line: 322, col: 1, offset: 9330},
			expr: &actionExpr{
				pos: position{line: 322, col: 19, offset: 9348},
				run: (*parser).callonDotFieldAccess1,
				expr: &seqExpr{
					pos: position{line: 322, col: 19, offset: 9348},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 322, col: 19, offset: 9348},
							val:        ".",
							ignoreCase: false,
							want:       "\".\"",
						},
						&labeledExpr{
							pos:   position{line: 322, col: 23, offset: 9352},
							label: "id",
							expr: &ruleRefExpr{
								pos:  position{line: 322, col: 26, offset: 9355},
								name: "Identifier",
							},
						},
					},
				},
			},
		},
		{
			name: "ArrayFieldAccess",
			pos:  position{line: 326, col: 1, offset: 9390},
			expr: &choiceExpr{
				pos: position{line: 326, col: 21, offset: 9410},
				alternatives: []any{
					&actionExpr{
						pos: position{line: 326, col: 21, offset: 9410},
						run: (*parser).callonArrayFieldAccess2,
						expr: &seqExpr{
							pos: position{line: 326, col: 21, offset: 9410},
							exprs: []any{
								&litMatcher{
									pos:        position{line: 326, col: 21, offset: 9410},
									val:        "[\"",
									ignoreCase: false,
									want:       "\"[\\\"\"",
								},
								&labeledExpr{
									pos:   position{line: 326, col: 27, offset: 9416},
									label: "id",
									expr: &ruleRefExpr{
										pos:  position{line: 326, col: 30, offset: 9419},
										name: "Identifier",
									},
								},
								&litMatcher{
									pos:        position{line: 326, col: 41, offset: 9430},
									val:        "\"]",
									ignoreCase: false,
									want:       "\"\\\"]\"",
								},
							},
						},
					},
					&actionExpr{
						pos: position{line: 327, col: 5, offset: 9459},
						run: (*parser).callonArrayFieldAccess8,
						expr: &seqExpr{
							pos: position{line: 327, col: 5, offset: 9459},
							exprs: []any{
								&litMatcher{
									pos:        position{line: 327, col: 5, offset: 9459},
									val:        "[",
									ignoreCase: false,
									want:       "\"[\"",
								},
								&labeledExpr{
									pos:   position{line: 327, col: 9, offset: 9463},
									label: "id",
									expr: &ruleRefExpr{
										pos:  position{line: 327, col: 12, offset: 9466},
										name: "Integer",
									},
								},
								&litMatcher{
									pos:        position{line: 327, col: 20, offset: 9474},
									val:        "]",
									ignoreCase: false,
									want:       "\"]\"",
								},
							},
						},
					},
					&actionExpr{
						pos: position{line: 328, col: 5, offset: 9521},
						run: (*parser).callonArrayFieldAccess14,
						expr: &seqExpr{
							pos: position{line: 328, col: 5, offset: 9521},
							exprs: []any{
								&litMatcher{
									pos:        position{line: 328, col: 5, offset: 9521},
									val:        "[",
									ignoreCase: false,
									want:       "\"[\"",
								},
								&labeledExpr{
									pos:   position{line: 328, col: 9, offset: 9525},
									label: "id",
									expr: &ruleRefExpr{
										pos:  position{line: 328, col: 12, offset: 9528},
										name: "ParameterConstant",
									},
								},
								&litMatcher{
									pos:        position{line: 328, col: 30, offset: 9546},
									val:        "]",
									ignoreCase: false,
									want:       "\"]\"",
								},
							},
						},
					},
				},
			},
		},
		{
			name: "Identifier",
			pos:  position{line: 330, col: 1, offset: 9604},
			expr: &actionExpr{
				pos: position{line: 330, col: 15, offset: 9618},
				run: (*parser).callonIdentifier1,
				expr: &seqExpr{
					pos: position{line: 330, col: 15, offset: 9618},
					exprs: []any{
						&charClassMatcher{
							pos:        position{line: 330, col: 15, offset: 9618},
							val:        "[a-zA-Z_]",
							chars:      []rune{'_'},
							ranges:     []rune{'a', 'z', 'A', 'Z'},
							ignoreCase: false,
							inverted:   false,
						},
						&zeroOrMoreExpr{
							pos: position{line: 330, col: 24, offset: 9627},
							expr: &charClassMatcher{
								pos:        position{line: 330, col: 24, offset: 9627},
								val:        "[a-zA-Z0-9_]",
								chars:      []rune{'_'},
								ranges:     []rune{'a', 'z', 'A', 'Z', '0', '9'},
								ignoreCase: false,
								inverted:   false,
							},
						},
					},
				},
			},
		},
		{
			name: "Condition",
			pos:  position{line: 334, col: 1, offset: 9677},
			expr: &actionExpr{
				pos: position{line: 334, col: 14, offset: 9690},
				run: (*parser).callonCondition1,
				expr: &labeledExpr{
					pos:   position{line: 334, col: 14, offset: 9690},
					label: "expression",
					expr: &ruleRefExpr{
						pos:  position{line: 334, col: 25, offset: 9701},
						name: "OrExpression",
					},
				},
			},
		},
		{
			name: "OrExpression",
			pos:  position{line: 338, col: 1, offset: 9746},
			expr: &actionExpr{
				pos: position{line: 338, col: 17, offset: 9762},
				run: (*parser).callonOrExpression1,
				expr: &seqExpr{
					pos: position{line: 338, col: 17, offset: 9762},
					exprs: []any{
						&labeledExpr{
							pos:   position{line: 338, col: 17, offset: 9762},
							label: "ex1",
							expr: &ruleRefExpr{
								pos:  position{line: 338, col: 21, offset: 9766},
								name: "AndExpression",
							},
						},
						&labeledExpr{
							pos:   position{line: 338, col: 35, offset: 9780},
							label: "ex2",
							expr: &zeroOrMoreExpr{
								pos: position{line: 338, col: 39, offset: 9784},
								expr: &actionExpr{
									pos: position{line: 338, col: 40, offset: 9785},
									run: (*parser).callonOrExpression7,
									expr: &seqExpr{
										pos: position{line: 338, col: 40, offset: 9785},
										exprs: []any{
											&ruleRefExpr{
												pos:  position{line: 338, col: 40, offset: 9785},
												name: "ws",
											},
											&ruleRefExpr{
												pos:  position{line: 338, col: 43, offset: 9788},
												name: "Or",
											},
											&ruleRefExpr{
												pos:  position{line: 338, col: 46, offset: 9791},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 338, col: 49, offset: 9794},
												label: "ex",
												expr: &ruleRefExpr{
													pos:  position{line: 338, col: 52, offset: 9797},
													name: "AndExpression",
												},
											},
										},
									},
								},
							},
						},
					},
				},
			},
		},
		{
			name: "AndExpression",
			pos:  position{line: 342, col: 1, offset: 9910},
			expr: &actionExpr{
				pos: position{line: 342, col: 18, offset: 9927},
				run: (*parser).callonAndExpression1,
				expr: &seqExpr{
					pos: position{line: 342, col: 18, offset: 9927},
					exprs: []any{
						&labeledExpr{
							pos:   position{line: 342, col: 18, offset: 9927},
							label: "ex1",
							expr: &ruleRefExpr{
								pos:  position{line: 342, col: 22, offset: 9931},
								name: "ComparisonExpression",
							},
						},
						&labeledExpr{
							pos:   position{line: 342, col: 43, offset: 9952},
							label: "ex2",
							expr: &zeroOrMoreExpr{
								pos: position{line: 342, col: 47, offset: 9956},
								expr: &actionExpr{
									pos: position{line: 342, col: 48, offset: 9957},
									run: (*parser).callonAndExpression7,
									expr: &seqExpr{
										pos: position{line: 342, col: 48, offset: 9957},
										exprs: []any{
											&ruleRefExpr{
												pos:  position{line: 342, col: 48, offset: 9957},
												name: "ws",
											},
											&ruleRefExpr{
												pos:  position{line: 342, col: 51, offset: 9960},
												name: "And",
											},
											&ruleRefExpr{
												pos:  position{line: 342, col: 55, offset: 9964},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 342, col: 58, offset: 9967},
												label: "ex",
												expr: &ruleRefExpr{
													pos:  position{line: 342, col: 61, offset: 9970},
													name: "ComparisonExpression",
												},
											},
										},
									},
								},
							},
						},
					},
				},
			},
		},
		{
			name: "ComparisonExpression",
			pos:  position{line: 346, col: 1, offset: 10091},
			expr: &choiceExpr{
				pos: position{line: 346, col: 25, offset: 10115},
				alternatives: []any{
					&actionExpr{
						pos: position{line: 346, col: 25, offset: 10115},
						run: (*parser).callonComparisonExpression2,
						expr: &seqExpr{
							pos: position{line: 346, col: 25, offset: 10115},
							exprs: []any{
								&litMatcher{
									pos:        position{line: 346, col: 25, offset: 10115},
									val:        "(",
									ignoreCase: false,
									want:       "\"(\"",
								},
								&ruleRefExpr{
									pos:  position{line: 346, col: 29, offset: 10119},
									name: "ws",
								},
								&labeledExpr{
									pos:   position{line: 346, col: 32, offset: 10122},
									label: "ex",
									expr: &ruleRefExpr{
										pos:  position{line: 346, col: 35, offset: 10125},
										name: "OrExpression",
									},
								},
								&ruleRefExpr{
									pos:  position{line: 346, col: 48, offset: 10138},
									name: "ws",
								},
								&litMatcher{
									pos:        position{line: 346, col: 51, offset: 10141},
									val:        ")",
									ignoreCase: false,
									want:       "\")\"",
								},
							},
						},
					},
					&actionExpr{
						pos: position{line: 347, col: 7, offset: 10170},
						run: (*parser).callonComparisonExpression10,
						expr: &seqExpr{
							pos: position{line: 347, col: 7, offset: 10170},
							exprs: []any{
								&labeledExpr{
									pos:   position{line: 347, col: 7, offset: 10170},
									label: "left",
									expr: &ruleRefExpr{
										pos:  position{line: 347, col: 12, offset: 10175},
										name: "SelectItem",
									},
								},
								&ruleRefExpr{
									pos:  position{line: 347, col: 23, offset: 10186},
									name: "ws",
								},
								&labeledExpr{
									pos:   position{line: 347, col: 26, offset: 10189},
									label: "op",
									expr: &ruleRefExpr{
										pos:  position{line: 347, col: 29, offset: 10192},
										name: "ComparisonOperator",
									},
								},
								&ruleRefExpr{
									pos:  position{line: 347, col: 48, offset: 10211},
									name: "ws",
								},
								&labeledExpr{
									pos:   position{line: 347, col: 51, offset: 10214},
									label: "right",
									expr: &ruleRefExpr{
										pos:  position{line: 347, col: 57, offset: 10220},
										name: "SelectItem",
									},
								},
							},
						},
					},
					&actionExpr{
						pos: position{line: 349, col: 5, offset: 10327},
						run: (*parser).callonComparisonExpression20,
						expr: &labeledExpr{
							pos:   position{line: 349, col: 5, offset: 10327},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 349, col: 8, offset: 10330},
								name: "BooleanLiteral",
							},
						},
					},
					&actionExpr{
						pos: position{line: 350, col: 5, offset: 10368},
						run: (*parser).callonComparisonExpression23,
						expr: &labeledExpr{
							pos:   position{line: 350, col: 5, offset: 10368},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 350, col: 8, offset: 10371},
								name: "SelectItem",
							},
						},
					},
				},
			},
		},
		{
			name: "OrderByClause",
			pos:  position{line: 352, col: 1, offset: 10402},
			expr: &actionExpr{
				pos: position{line: 352, col: 18, offset: 10419},
				run: (*parser).callonOrderByClause1,
				expr: &seqExpr{
					pos: position{line: 352, col: 18, offset: 10419},
					exprs: []any{
						&ruleRefExpr{
							pos:  position{line: 352, col: 18, offset: 10419},
							name: "OrderBy",
						},
						&ruleRefExpr{
							pos:  position{line: 352, col: 26, offset: 10427},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 352, col: 29, offset: 10430},
							label: "ex1",
							expr: &ruleRefExpr{
								pos:  position{line: 352, col: 33, offset: 10434},
								name: "OrderExpression",
							},
						},
						&labeledExpr{
							pos:   position{line: 352, col: 49, offset: 10450},
							label: "others",
							expr: &zeroOrMoreExpr{
								pos: position{line: 352, col: 56, offset: 10457},
								expr: &actionExpr{
									pos: position{line: 352, col: 57, offset: 10458},
									run: (*parser).callonOrderByClause9,
									expr: &seqExpr{
										pos: position{line: 352, col: 57, offset: 10458},
										exprs: []any{
											&ruleRefExpr{
												pos:  position{line: 352, col: 57, offset: 10458},
												name: "ws",
											},
											&litMatcher{
												pos:        position{line: 352, col: 60, offset: 10461},
												val:        ",",
												ignoreCase: false,
												want:       "\",\"",
											},
											&ruleRefExpr{
												pos:  position{line: 352, col: 64, offset: 10465},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 352, col: 67, offset: 10468},
												label: "ex",
												expr: &ruleRefExpr{
													pos:  position{line: 352, col: 70, offset: 10471},
													name: "OrderExpression",
												},
											},
										},
									},
								},
							},
						},
					},
				},
			},
		},
		{
			name: "OrderExpression",
			pos:  position{line: 356, col: 1, offset: 10555},
			expr: &actionExpr{
				pos: position{line: 356, col: 20, offset: 10574},
				run: (*parser).callonOrderExpression1,
				expr: &seqExpr{
					pos: position{line: 356, col: 20, offset: 10574},
					exprs: []any{
						&labeledExpr{
							pos:   position{line: 356, col: 20, offset: 10574},
							label: "field",
							expr: &ruleRefExpr{
								pos:  position{line: 356, col: 26, offset: 10580},
								name: "SelectProperty",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 356, col: 41, offset: 10595},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 356, col: 44, offset: 10598},
							label: "order",
							expr: &zeroOrOneExpr{
								pos: position{line: 356, col: 50, offset: 10604},
								expr: &ruleRefExpr{
									pos:  position{line: 356, col: 50, offset: 10604},
									name: "OrderDirection",
								},
							},
						},
					},
				},
			},
		},
		{
			name: "OrderDirection",
			pos:  position{line: 360, col: 1, offset: 10670},
			expr: &actionExpr{
				pos: position{line: 360, col: 19, offset: 10688},
				run: (*parser).callonOrderDirection1,
				expr: &choiceExpr{
					pos: position{line: 360, col: 20, offset: 10689},
					alternatives: []any{
						&litMatcher{
							pos:        position{line: 360, col: 20, offset: 10689},
							val:        "asc",
							ignoreCase: true,
							want:       "\"ASC\"i",
						},
						&litMatcher{
							pos:        position{line: 360, col: 29, offset: 10698},
							val:        "desc",
							ignoreCase: true,
							want:       "\"DESC\"i",
						},
					},
				},
			},
		},
		{
			name: "Select",
			pos:  position{line: 368, col: 1, offset: 10850},
			expr: &litMatcher{
				pos:        position{line: 368, col: 11, offset: 10860},
				val:        "select",
				ignoreCase: true,
				want:       "\"SELECT\"i",
			},
		},
		{
			name: "Top",
			pos:  position{line: 370, col: 1, offset: 10871},
			expr: &litMatcher{
				pos:        position{line: 370, col: 8, offset: 10878},
				val:        "top",
				ignoreCase: true,
				want:       "\"TOP\"i",
			},
		},
		{
			name: "As",
			pos:  position{line: 372, col: 1, offset: 10886},
			expr: &litMatcher{
				pos:        position{line: 372, col: 7, offset: 10892},
				val:        "as",
				ignoreCase: true,
				want:       "\"AS\"i",
			},
		},
		{
			name: "From",
			pos:  position{line: 374, col: 1, offset: 10899},
			expr: &litMatcher{
				pos:        position{line: 374, col: 9, offset: 10907},
				val:        "from",
				ignoreCase: true,
				want:       "\"FROM\"i",
			},
		},
		{
			name: "Join",
			pos:  position{line: 376, col: 1, offset: 10916},
			expr: &litMatcher{
				pos:        position{line: 376, col: 9, offset: 10924},
				val:        "join",
				ignoreCase: true,
				want:       "\"JOIN\"i",
			},
		},
		{
			name: "Exists",
			pos:  position{line: 378, col: 1, offset: 10933},
			expr: &litMatcher{
				pos:        position{line: 378, col: 11, offset: 10943},
				val:        "exists",
				ignoreCase: true,
				want:       "\"EXISTS\"i",
			},
		},
		{
			name: "Where",
			pos:  position{line: 380, col: 1, offset: 10954},
			expr: &litMatcher{
				pos:        position{line: 380, col: 10, offset: 10963},
				val:        "where",
				ignoreCase: true,
				want:       "\"WHERE\"i",
			},
		},
		{
			name: "And",
			pos:  position{line: 382, col: 1, offset: 10973},
			expr: &litMatcher{
				pos:        position{line: 382, col: 8, offset: 10980},
				val:        "and",
				ignoreCase: true,
				want:       "\"AND\"i",
			},
		},
		{
			name: "Or",
			pos:  position{line: 384, col: 1, offset: 10988},
			expr: &seqExpr{
				pos: position{line: 384, col: 7, offset: 10994},
				exprs: []any{
					&litMatcher{
						pos:        position{line: 384, col: 7, offset: 10994},
						val:        "or",
						ignoreCase: true,
						want:       "\"OR\"i",
					},
					&ruleRefExpr{
						pos:  position{line: 384, col: 13, offset: 11000},
						name: "wss",
					},
				},
			},
		},
		{
			name: "GroupBy",
			pos:  position{line: 386, col: 1, offset: 11005},
			expr: &seqExpr{
				pos: position{line: 386, col: 12, offset: 11016},
				exprs: []any{
					&litMatcher{
						pos:        position{line: 386, col: 12, offset: 11016},
						val:        "group",
						ignoreCase: true,
						want:       "\"GROUP\"i",
					},
					&ruleRefExpr{
						pos:  position{line: 386, col: 21, offset: 11025},
						name: "ws",
					},
					&litMatcher{
						pos:        position{line: 386, col: 24, offset: 11028},
						val:        "by",
						ignoreCase: true,
						want:       "\"BY\"i",
					},
				},
			},
		},
		{
			name: "OrderBy",
			pos:  position{line: 388, col: 1, offset: 11035},
			expr: &seqExpr{
				pos: position{line: 388, col: 12, offset: 11046},
				exprs: []any{
					&litMatcher{
						pos:        position{line: 388, col: 12, offset: 11046},
						val:        "order",
						ignoreCase: true,
						want:       "\"ORDER\"i",
					},
					&ruleRefExpr{
						pos:  position{line: 388, col: 21, offset: 11055},
						name: "ws",
					},
					&litMatcher{
						pos:        position{line: 388, col: 24, offset: 11058},
						val:        "by",
						ignoreCase: true,
						want:       "\"BY\"i",
					},
				},
			},
		},
		{
			name: "ComparisonOperator",
			pos:  position{line: 390, col: 1, offset: 11065},
			expr: &actionExpr{
				pos: position{line: 390, col: 23, offset: 11087},
				run: (*parser).callonComparisonOperator1,
				expr: &choiceExpr{
					pos: position{line: 390, col: 24, offset: 11088},
					alternatives: []any{
						&litMatcher{
							pos:        position{line: 390, col: 24, offset: 11088},
							val:        "=",
							ignoreCase: false,
							want:       "\"=\"",
						},
						&litMatcher{
							pos:        position{line: 390, col: 30, offset: 11094},
							val:        "!=",
							ignoreCase: false,
							want:       "\"!=\"",
						},
						&litMatcher{
							pos:        position{line: 390, col: 37, offset: 11101},
							val:        "<",
							ignoreCase: false,
							want:       "\"<\"",
						},
						&litMatcher{
							pos:        position{line: 390, col: 43, offset: 11107},
							val:        "<=",
							ignoreCase: false,
							want:       "\"<=\"",
						},
						&litMatcher{
							pos:        position{line: 390, col: 50, offset: 11114},
							val:        ">",
							ignoreCase: false,
							want:       "\">\"",
						},
						&litMatcher{
							pos:        position{line: 390, col: 56, offset: 11120},
							val:        ">=",
							ignoreCase: false,
							want:       "\">=\"",
						},
					},
				},
			},
		},
		{
			name: "Literal",
			pos:  position{line: 394, col: 1, offset: 11162},
			expr: &choiceExpr{
				pos: position{line: 394, col: 12, offset: 11173},
				alternatives: []any{
					&ruleRefExpr{
						pos:  position{line: 394, col: 12, offset: 11173},
						name: "FloatLiteral",
					},
					&ruleRefExpr{
						pos:  position{line: 394, col: 27, offset: 11188},
						name: "IntegerLiteral",
					},
					&ruleRefExpr{
						pos:  position{line: 394, col: 44, offset: 11205},
						name: "StringLiteral",
					},
					&ruleRefExpr{
						pos:  position{line: 394, col: 60, offset: 11221},
						name: "BooleanLiteral",
					},
					&ruleRefExpr{
						pos:  position{line: 394, col: 77, offset: 11238},
						name: "ParameterConstant",
					},
					&ruleRefExpr{
						pos:  position{line: 394, col: 97, offset: 11258},
						name: "NullConstant",
					},
				},
			},
		},
		{
			name: "ParameterConstant",
			pos:  position{line: 396, col: 1, offset: 11272},
			expr: &actionExpr{
				pos: position{line: 396, col: 22, offset: 11293},
				run: (*parser).callonParameterConstant1,
				expr: &seqExpr{
					pos: position{line: 396, col: 22, offset: 11293},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 396, col: 22, offset: 11293},
							val:        "@",
							ignoreCase: false,
							want:       "\"@\"",
						},
						&ruleRefExpr{
							pos:  position{line: 396, col: 26, offset: 11297},
							name: "Identifier",
						},
					},
				},
			},
		},
		{
			name: "NullConstant",
			pos:  position{line: 399, col: 1, offset: 11413},
			expr: &actionExpr{
				pos: position{line: 399, col: 17, offset: 11429},
				run: (*parser).callonNullConstant1,
				expr: &litMatcher{
					pos:        position{line: 399, col: 17, offset: 11429},
					val:        "null",
					ignoreCase: true,
					want:       "\"null\"i",
				},
			},
		},
		{
			name: "IntegerLiteral",
			pos:  position{line: 403, col: 1, offset: 11487},
			expr: &actionExpr{
				pos: position{line: 403, col: 19, offset: 11505},
				run: (*parser).callonIntegerLiteral1,
				expr: &labeledExpr{
					pos:   position{line: 403, col: 19, offset: 11505},
					label: "number",
					expr: &ruleRefExpr{
						pos:  position{line: 403, col: 26, offset: 11512},
						name: "Integer",
					},
				},
			},
		},
		{
			name: "StringLiteral",
			pos:  position{line: 406, col: 1, offset: 11613},
			expr: &actionExpr{
				pos: position{line: 406, col: 18, offset: 11630},
				run: (*parser).callonStringLiteral1,
				expr: &seqExpr{
					pos: position{line: 406, col: 18, offset: 11630},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 406, col: 18, offset: 11630},
							val:        "\"",
							ignoreCase: false,
							want:       "\"\\\"\"",
						},
						&labeledExpr{
							pos:   position{line: 406, col: 23, offset: 11635},
							label: "chars",
							expr: &zeroOrMoreExpr{
								pos: position{line: 406, col: 29, offset: 11641},
								expr: &ruleRefExpr{
									pos:  position{line: 406, col: 29, offset: 11641},
									name: "StringCharacter",
								},
							},
						},
						&litMatcher{
							pos:        position{line: 406, col: 46, offset: 11658},
							val:        "\"",
							ignoreCase: false,
							want:       "\"\\\"\"",
						},
					},
				},
			},
		},
		{
			name: "FloatLiteral",
			pos:  position{line: 409, col: 1, offset: 11776},
			expr: &actionExpr{
				pos: position{line: 409, col: 17, offset: 11792},
				run: (*parser).callonFloatLiteral1,
				expr: &seqExpr{
					pos: position{line: 409, col: 17, offset: 11792},
					exprs: []any{
						&oneOrMoreExpr{
							pos: position{line: 409, col: 17, offset: 11792},
							expr: &charClassMatcher{
								pos:        position{line: 409, col: 17, offset: 11792},
								val:        "[0-9]",
								ranges:     []rune{'0', '9'},
								ignoreCase: false,
								inverted:   false,
							},
						},
						&litMatcher{
							pos:        position{line: 409, col: 23, offset: 11798},
							val:        ".",
							ignoreCase: false,
							want:       "\".\"",
						},
						&oneOrMoreExpr{
							pos: position{line: 409, col: 26, offset: 11801},
							expr: &charClassMatcher{
								pos:        position{line: 409, col: 26, offset: 11801},
								val:        "[0-9]",
								ranges:     []rune{'0', '9'},
								ignoreCase: false,
								inverted:   false,
							},
						},
					},
				},
			},
		},
		{
			name: "BooleanLiteral",
			pos:  position{line: 413, col: 1, offset: 11957},
			expr: &actionExpr{
				pos: position{line: 413, col: 19, offset: 11975},
				run: (*parser).callonBooleanLiteral1,
				expr: &choiceExpr{
					pos: position{line: 413, col: 20, offset: 11976},
					alternatives: []any{
						&litMatcher{
							pos:        position{line: 413, col: 20, offset: 11976},
							val:        "true",
							ignoreCase: true,
							want:       "\"true\"i",
						},
						&litMatcher{
							pos:        position{line: 413, col: 30, offset: 11986},
							val:        "false",
							ignoreCase: true,
							want:       "\"false\"i",
						},
					},
				},
			},
		},
		{
			name: "FunctionCall",
			pos:  position{line: 418, col: 1, offset: 12141},
			expr: &choiceExpr{
				pos: position{line: 418, col: 17, offset: 12157},
				alternatives: []any{
					&ruleRefExpr{
						pos:  position{line: 418, col: 17, offset: 12157},
						name: "StringFunctions",
					},
					&ruleRefExpr{
						pos:  position{line: 419, col: 7, offset: 12179},
						name: "TypeCheckingFunctions",
					},
					&ruleRefExpr{
						pos:  position{line: 420, col: 7, offset: 12207},
						name: "ArrayFunctions",
					},
					&ruleRefExpr{
						pos:  position{line: 421, col: 7, offset: 12228},
						name: "InFunction",
					},
					&ruleRefExpr{
						pos:  position{line: 422, col: 7, offset: 12245},
						name: "AggregateFunctions",
					},
					&ruleRefExpr{
						pos:  position{line: 423, col: 7, offset: 12270},
						name: "MathFunctions",
					},
				},
			},
		},
		{
			name: "StringFunctions",
			pos:  position{line: 425, col: 1, offset: 12285},
			expr: &choiceExpr{
				pos: position{line: 425, col: 20, offset: 12304},
				alternatives: []any{
					&ruleRefExpr{
						pos:  position{line: 425, col: 20, offset: 12304},
						name: "StringEqualsExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 426, col: 7, offset: 12333},
						name: "ToStringExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 427, col: 7, offset: 12358},
						name: "ConcatExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 428, col: 7, offset: 12381},
						name: "ThreeArgumentStringFunctionExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 429, col: 7, offset: 12425},
						name: "UpperExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 430, col: 7, offset: 12447},
						name: "LowerExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 431, col: 7, offset: 12469},
						name: "LeftExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 432, col: 7, offset: 12490},
						name: "LengthExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 433, col: 7, offset: 12513},
						name: "LTrimExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 434, col: 7, offset: 12535},
						name: "ReplaceExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 435, col: 7, offset: 12559},
						name: "ReplicateExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 436, col: 7, offset: 12585},
						name: "ReverseExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 437, col: 7, offset: 12609},
						name: "RightExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 438, col: 7, offset: 12631},
						name: "RTrimExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 439, col: 7, offset: 12653},
						name: "SubstringExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 440, col: 7, offset: 12679},
						name: "TrimExpression",
					},
				},
			},
		},
		{
			name: "TypeCheckingFunctions",
			pos:  position{line: 442, col: 1, offset: 12695},
			expr: &choiceExpr{
				pos: position{line: 442, col: 26, offset: 12720},
				alternatives: []any{
					&ruleRefExpr{
						pos:  position{line: 442, col: 26, offset: 12720},
						name: "IsDefined",
					},
					&ruleRefExpr{
						pos:  position{line: 443, col: 7, offset: 12736},
						name: "IsArray",
					},
					&ruleRefExpr{
						pos:  position{line: 444, col: 7, offset: 12750},
						name: "IsBool",
					},
					&ruleRefExpr{
						pos:  position{line: 445, col: 7, offset: 12763},
						name: "IsFiniteNumber",
					},
					&ruleRefExpr{
						pos:  position{line: 446, col: 7, offset: 12784},
						name: "IsInteger",
					},
					&ruleRefExpr{
						pos:  position{line: 447, col: 7, offset: 12800},
						name: "IsNull",
					},
					&ruleRefExpr{
						pos:  position{line: 448, col: 7, offset: 12813},
						name: "IsNumber",
					},
					&ruleRefExpr{
						pos:  position{line: 449, col: 7, offset: 12828},
						name: "IsObject",
					},
					&ruleRefExpr{
						pos:  position{line: 450, col: 7, offset: 12843},
						name: "IsPrimitive",
					},
					&ruleRefExpr{
						pos:  position{line: 451, col: 7, offset: 12861},
						name: "IsString",
					},
				},
			},
		},
		{
			name: "AggregateFunctions",
			pos:  position{line: 453, col: 1, offset: 12871},
			expr: &choiceExpr{
				pos: position{line: 453, col: 23, offset: 12893},
				alternatives: []any{
					&ruleRefExpr{
						pos:  position{line: 453, col: 23, offset: 12893},
						name: "AvgAggregateExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 454, col: 7, offset: 12922},
						name: "CountAggregateExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 455, col: 7, offset: 12953},
						name: "MaxAggregateExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 456, col: 7, offset: 12982},
						name: "MinAggregateExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 457, col: 7, offset: 13011},
						name: "SumAggregateExpression",
					},
				},
			},
		},
		{
			name: "ArrayFunctions",
			pos:  position{line: 459, col: 1, offset: 13035},
			expr: &choiceExpr{
				pos: position{line: 459, col: 19, offset: 13053},
				alternatives: []any{
					&ruleRefExpr{
						pos:  position{line: 459, col: 19, offset: 13053},
						name: "ArrayConcatExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 460, col: 7, offset: 13081},
						name: "ArrayContainsExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 461, col: 7, offset: 13111},
						name: "ArrayContainsAnyExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 462, col: 7, offset: 13144},
						name: "ArrayContainsAllExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 463, col: 7, offset: 13177},
						name: "ArrayLengthExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 464, col: 7, offset: 13205},
						name: "ArraySliceExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 465, col: 7, offset: 13232},
						name: "SetIntersectExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 466, col: 7, offset: 13261},
						name: "SetUnionExpression",
					},
				},
			},
		},
		{
			name: "MathFunctions",
			pos:  position{line: 468, col: 1, offset: 13281},
			expr: &choiceExpr{
				pos: position{line: 468, col: 18, offset: 13298},
				alternatives: []any{
					&ruleRefExpr{
						pos:  position{line: 468, col: 18, offset: 13298},
						name: "MathAbsExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 469, col: 7, offset: 13322},
						name: "MathAcosExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 470, col: 7, offset: 13347},
						name: "MathAsinExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 471, col: 7, offset: 13372},
						name: "MathAtanExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 472, col: 7, offset: 13397},
						name: "MathCeilingExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 473, col: 7, offset: 13425},
						name: "MathCosExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 474, col: 7, offset: 13449},
						name: "MathCotExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 475, col: 7, offset: 13473},
						name: "MathDegreesExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 476, col: 7, offset: 13501},
						name: "MathExpExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 477, col: 7, offset: 13525},
						name: "MathFloorExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 478, col: 7, offset: 13551},
						name: "MathIntBitNotExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 479, col: 7, offset: 13581},
						name: "MathLog10Expression",
					},
					&ruleRefExpr{
						pos:  position{line: 480, col: 7, offset: 13607},
						name: "MathRadiansExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 481, col: 7, offset: 13635},
						name: "MathRoundExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 482, col: 7, offset: 13661},
						name: "MathSignExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 483, col: 7, offset: 13686},
						name: "MathSinExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 484, col: 7, offset: 13710},
						name: "MathSqrtExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 485, col: 7, offset: 13735},
						name: "MathSquareExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 486, col: 7, offset: 13762},
						name: "MathTanExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 487, col: 7, offset: 13786},
						name: "MathTruncExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 488, col: 7, offset: 13812},
						name: "MathAtn2Expression",
					},
					&ruleRefExpr{
						pos:  position{line: 489, col: 7, offset: 13837},
						name: "MathIntAddExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 490, col: 7, offset: 13864},
						name: "MathIntBitAndExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 491, col: 7, offset: 13894},
						name: "MathIntBitLeftShiftExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 492, col: 7, offset: 13930},
						name: "MathIntBitOrExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 493, col: 7, offset: 13959},
						name: "MathIntBitRightShiftExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 494, col: 7, offset: 13996},
						name: "MathIntBitXorExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 495, col: 7, offset: 14026},
						name: "MathIntDivExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 496, col: 7, offset: 14053},
						name: "MathIntModExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 497, col: 7, offset: 14080},
						name: "MathIntMulExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 498, col: 7, offset: 14107},
						name: "MathIntSubExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 499, col: 7, offset: 14134},
						name: "MathPowerExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 500, col: 7, offset: 14160},
						name: "MathLogExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 501, col: 7, offset: 14184},
						name: "MathNumberBinExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 502, col: 7, offset: 14214},
						name: "MathPiExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 503, col: 7, offset: 14237},
						name: "MathRandExpression",
					},
				},
			},
		},
		{
			name: "UpperExpression",
			pos:  position{line: 505, col: 1, offset: 14257},
			expr: &actionExpr{
				pos: position{line: 505, col: 20, offset: 14276},
				run: (*parser).callonUpperExpression1,
				expr: &seqExpr{
					pos: position{line: 505, col: 20, offset: 14276},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 505, col: 20, offset: 14276},
							val:        "upper",
							ignoreCase: true,
							want:       "\"UPPER\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 505, col: 29, offset: 14285},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 505, col: 32, offset: 14288},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&labeledExpr{
							pos:   position{line: 505, col: 36, offset: 14292},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 505, col: 39, offset: 14295},
								name: "SelectItem",
							},
						},
						&litMatcher{
							pos:        position{line: 505, col: 50, offset: 14306},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "LowerExpression",
			pos:  position{line: 509, col: 1, offset: 14391},
			expr: &actionExpr{
				pos: position{line: 509, col: 20, offset: 14410},
				run: (*parser).callonLowerExpression1,
				expr: &seqExpr{
					pos: position{line: 509, col: 20, offset: 14410},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 509, col: 20, offset: 14410},
							val:        "lower",
							ignoreCase: true,
							want:       "\"LOWER\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 509, col: 29, offset: 14419},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 509, col: 32, offset: 14422},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&labeledExpr{
							pos:   position{line: 509, col: 36, offset: 14426},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 509, col: 39, offset: 14429},
								name: "SelectItem",
							},
						},
						&litMatcher{
							pos:        position{line: 509, col: 50, offset: 14440},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "StringEqualsExpression",
			pos:  position{line: 513, col: 1, offset: 14525},
			expr: &actionExpr{
				pos: position{line: 513, col: 27, offset: 14551},
				run: (*parser).callonStringEqualsExpression1,
				expr: &seqExpr{
					pos: position{line: 513, col: 27, offset: 14551},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 513, col: 27, offset: 14551},
							val:        "stringequals",
							ignoreCase: true,
							want:       "\"STRINGEQUALS\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 513, col: 43, offset: 14567},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 513, col: 46, offset: 14570},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 513, col: 50, offset: 14574},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 513, col: 53, offset: 14577},
							label: "ex1",
							expr: &ruleRefExpr{
								pos:  position{line: 513, col: 57, offset: 14581},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 513, col: 68, offset: 14592},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 513, col: 71, offset: 14595},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 513, col: 75, offset: 14599},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 513, col: 78, offset: 14602},
							label: "ex2",
							expr: &ruleRefExpr{
								pos:  position{line: 513, col: 82, offset: 14606},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 513, col: 93, offset: 14617},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 513, col: 96, offset: 14620},
							label: "ignoreCase",
							expr: &zeroOrOneExpr{
								pos: position{line: 513, col: 107, offset: 14631},
								expr: &actionExpr{
									pos: position{line: 513, col: 108, offset: 14632},
									run: (*parser).callonStringEqualsExpression17,
									expr: &seqExpr{
										pos: position{line: 513, col: 108, offset: 14632},
										exprs: []any{
											&litMatcher{
												pos:        position{line: 513, col: 108, offset: 14632},
												val:        ",",
												ignoreCase: false,
												want:       "\",\"",
											},
											&ruleRefExpr{
												pos:  position{line: 513, col: 112, offset: 14636},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 513, col: 115, offset: 14639},
												label: "boolean",
												expr: &ruleRefExpr{
													pos:  position{line: 513, col: 123, offset: 14647},
													name: "SelectItem",
												},
											},
										},
									},
								},
							},
						},
						&litMatcher{
							pos:        position{line: 513, col: 160, offset: 14684},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "ToStringExpression",
			pos:  position{line: 517, col: 1, offset: 14794},
			expr: &actionExpr{
				pos: position{line: 517, col: 23, offset: 14816},
				run: (*parser).callonToStringExpression1,
				expr: &seqExpr{
					pos: position{line: 517, col: 23, offset: 14816},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 517, col: 23, offset: 14816},
							val:        "tostring",
							ignoreCase: true,
							want:       "\"TOSTRING\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 517, col: 35, offset: 14828},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 517, col: 38, offset: 14831},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 517, col: 42, offset: 14835},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 517, col: 45, offset: 14838},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 517, col: 48, offset: 14841},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 517, col: 59, offset: 14852},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 517, col: 62, offset: 14855},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "ConcatExpression",
			pos:  position{line: 521, col: 1, offset: 14943},
			expr: &actionExpr{
				pos: position{line: 521, col: 21, offset: 14963},
				run: (*parser).callonConcatExpression1,
				expr: &seqExpr{
					pos: position{line: 521, col: 21, offset: 14963},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 521, col: 21, offset: 14963},
							val:        "concat",
							ignoreCase: true,
							want:       "\"CONCAT\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 521, col: 31, offset: 14973},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 521, col: 34, offset: 14976},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 521, col: 38, offset: 14980},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 521, col: 41, offset: 14983},
							label: "ex1",
							expr: &ruleRefExpr{
								pos:  position{line: 521, col: 45, offset: 14987},
								name: "SelectItem",
							},
						},
						&labeledExpr{
							pos:   position{line: 521, col: 56, offset: 14998},
							label: "others",
							expr: &oneOrMoreExpr{
								pos: position{line: 521, col: 63, offset: 15005},
								expr: &actionExpr{
									pos: position{line: 521, col: 64, offset: 15006},
									run: (*parser).callonConcatExpression11,
									expr: &seqExpr{
										pos: position{line: 521, col: 64, offset: 15006},
										exprs: []any{
											&ruleRefExpr{
												pos:  position{line: 521, col: 64, offset: 15006},
												name: "ws",
											},
											&litMatcher{
												pos:        position{line: 521, col: 67, offset: 15009},
												val:        ",",
												ignoreCase: false,
												want:       "\",\"",
											},
											&ruleRefExpr{
												pos:  position{line: 521, col: 71, offset: 15013},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 521, col: 74, offset: 15016},
												label: "ex",
												expr: &ruleRefExpr{
													pos:  position{line: 521, col: 77, offset: 15019},
													name: "SelectItem",
												},
											},
										},
									},
								},
							},
						},
						&ruleRefExpr{
							pos:  position{line: 521, col: 109, offset: 15051},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 521, col: 112, offset: 15054},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "LeftExpression",
			pos:  position{line: 526, col: 1, offset: 15203},
			expr: &actionExpr{
				pos: position{line: 526, col: 19, offset: 15221},
				run: (*parser).callonLeftExpression1,
				expr: &seqExpr{
					pos: position{line: 526, col: 19, offset: 15221},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 526, col: 19, offset: 15221},
							val:        "left",
							ignoreCase: true,
							want:       "\"LEFT\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 526, col: 27, offset: 15229},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 526, col: 30, offset: 15232},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 526, col: 34, offset: 15236},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 526, col: 37, offset: 15239},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 526, col: 40, offset: 15242},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 526, col: 51, offset: 15253},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 526, col: 54, offset: 15256},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 526, col: 58, offset: 15260},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 526, col: 61, offset: 15263},
							label: "length",
							expr: &ruleRefExpr{
								pos:  position{line: 526, col: 68, offset: 15270},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 526, col: 79, offset: 15281},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 526, col: 82, offset: 15284},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "LengthExpression",
			pos:  position{line: 530, col: 1, offset: 15376},
			expr: &actionExpr{
				pos: position{line: 530, col: 21, offset: 15396},
				run: (*parser).callonLengthExpression1,
				expr: &seqExpr{
					pos: position{line: 530, col: 21, offset: 15396},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 530, col: 21, offset: 15396},
							val:        "length",
							ignoreCase: true,
							want:       "\"LENGTH\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 530, col: 31, offset: 15406},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 530, col: 34, offset: 15409},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 530, col: 38, offset: 15413},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 530, col: 41, offset: 15416},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 530, col: 44, offset: 15419},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 530, col: 55, offset: 15430},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 530, col: 58, offset: 15433},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "LTrimExpression",
			pos:  position{line: 534, col: 1, offset: 15519},
			expr: &actionExpr{
				pos: position{line: 534, col: 20, offset: 15538},
				run: (*parser).callonLTrimExpression1,
				expr: &seqExpr{
					pos: position{line: 534, col: 20, offset: 15538},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 534, col: 20, offset: 15538},
							val:        "ltrim",
							ignoreCase: true,
							want:       "\"LTRIM\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 534, col: 29, offset: 15547},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 534, col: 32, offset: 15550},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 534, col: 36, offset: 15554},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 534, col: 39, offset: 15557},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 534, col: 42, offset: 15560},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 534, col: 53, offset: 15571},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 534, col: 56, offset: 15574},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "ReplaceExpression",
			pos:  position{line: 538, col: 1, offset: 15659},
			expr: &actionExpr{
				pos: position{line: 538, col: 22, offset: 15680},
				run: (*parser).callonReplaceExpression1,
				expr: &seqExpr{
					pos: position{line: 538, col: 22, offset: 15680},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 538, col: 22, offset: 15680},
							val:        "replace",
							ignoreCase: true,
							want:       "\"REPLACE\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 538, col: 33, offset: 15691},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 538, col: 36, offset: 15694},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 538, col: 40, offset: 15698},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 538, col: 43, offset: 15701},
							label: "ex1",
							expr: &ruleRefExpr{
								pos:  position{line: 538, col: 47, offset: 15705},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 538, col: 58, offset: 15716},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 538, col: 61, offset: 15719},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 538, col: 65, offset: 15723},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 538, col: 68, offset: 15726},
							label: "ex2",
							expr: &ruleRefExpr{
								pos:  position{line: 538, col: 72, offset: 15730},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 538, col: 83, offset: 15741},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 538, col: 86, offset: 15744},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 538, col: 90, offset: 15748},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 538, col: 93, offset: 15751},
							label: "ex3",
							expr: &ruleRefExpr{
								pos:  position{line: 538, col: 97, offset: 15755},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 538, col: 108, offset: 15766},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 538, col: 111, offset: 15769},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "ReplicateExpression",
			pos:  position{line: 542, col: 1, offset: 15867},
			expr: &actionExpr{
				pos: position{line: 542, col: 24, offset: 15890},
				run: (*parser).callonReplicateExpression1,
				expr: &seqExpr{
					pos: position{line: 542, col: 24, offset: 15890},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 542, col: 24, offset: 15890},
							val:        "replicate",
							ignoreCase: true,
							want:       "\"REPLICATE\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 542, col: 37, offset: 15903},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 542, col: 40, offset: 15906},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 542, col: 44, offset: 15910},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 542, col: 47, offset: 15913},
							label: "ex1",
							expr: &ruleRefExpr{
								pos:  position{line: 542, col: 51, offset: 15917},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 542, col: 62, offset: 15928},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 542, col: 65, offset: 15931},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 542, col: 69, offset: 15935},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 542, col: 72, offset: 15938},
							label: "ex2",
							expr: &ruleRefExpr{
								pos:  position{line: 542, col: 76, offset: 15942},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 542, col: 87, offset: 15953},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 542, col: 90, offset: 15956},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "ReverseExpression",
			pos:  position{line: 546, col: 1, offset: 16051},
			expr: &actionExpr{
				pos: position{line: 546, col: 22, offset: 16072},
				run: (*parser).callonReverseExpression1,
				expr: &seqExpr{
					pos: position{line: 546, col: 22, offset: 16072},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 546, col: 22, offset: 16072},
							val:        "reverse",
							ignoreCase: true,
							want:       "\"REVERSE\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 546, col: 33, offset: 16083},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 546, col: 36, offset: 16086},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 546, col: 40, offset: 16090},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 546, col: 43, offset: 16093},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 546, col: 46, offset: 16096},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 546, col: 57, offset: 16107},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 546, col: 60, offset: 16110},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "RightExpression",
			pos:  position{line: 550, col: 1, offset: 16197},
			expr: &actionExpr{
				pos: position{line: 550, col: 20, offset: 16216},
				run: (*parser).callonRightExpression1,
				expr: &seqExpr{
					pos: position{line: 550, col: 20, offset: 16216},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 550, col: 20, offset: 16216},
							val:        "right",
							ignoreCase: true,
							want:       "\"RIGHT\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 550, col: 29, offset: 16225},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 550, col: 32, offset: 16228},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 550, col: 36, offset: 16232},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 550, col: 39, offset: 16235},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 550, col: 42, offset: 16238},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 550, col: 53, offset: 16249},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 550, col: 56, offset: 16252},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 550, col: 60, offset: 16256},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 550, col: 63, offset: 16259},
							label: "length",
							expr: &ruleRefExpr{
								pos:  position{line: 550, col: 70, offset: 16266},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 550, col: 81, offset: 16277},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 550, col: 84, offset: 16280},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "RTrimExpression",
			pos:  position{line: 554, col: 1, offset: 16373},
			expr: &actionExpr{
				pos: position{line: 554, col: 20, offset: 16392},
				run: (*parser).callonRTrimExpression1,
				expr: &seqExpr{
					pos: position{line: 554, col: 20, offset: 16392},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 554, col: 20, offset: 16392},
							val:        "rtrim",
							ignoreCase: true,
							want:       "\"RTRIM\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 554, col: 29, offset: 16401},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 554, col: 32, offset: 16404},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 554, col: 36, offset: 16408},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 554, col: 39, offset: 16411},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 554, col: 42, offset: 16414},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 554, col: 53, offset: 16425},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 554, col: 56, offset: 16428},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "SubstringExpression",
			pos:  position{line: 558, col: 1, offset: 16513},
			expr: &actionExpr{
				pos: position{line: 558, col: 24, offset: 16536},
				run: (*parser).callonSubstringExpression1,
				expr: &seqExpr{
					pos: position{line: 558, col: 24, offset: 16536},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 558, col: 24, offset: 16536},
							val:        "substring",
							ignoreCase: true,
							want:       "\"SUBSTRING\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 558, col: 37, offset: 16549},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 558, col: 40, offset: 16552},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 558, col: 44, offset: 16556},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 558, col: 47, offset: 16559},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 558, col: 50, offset: 16562},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 558, col: 61, offset: 16573},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 558, col: 64, offset: 16576},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 558, col: 68, offset: 16580},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 558, col: 71, offset: 16583},
							label: "startPos",
							expr: &ruleRefExpr{
								pos:  position{line: 558, col: 80, offset: 16592},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 558, col: 91, offset: 16603},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 558, col: 94, offset: 16606},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 558, col: 98, offset: 16610},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 558, col: 101, offset: 16613},
							label: "length",
							expr: &ruleRefExpr{
								pos:  position{line: 558, col: 108, offset: 16620},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 558, col: 119, offset: 16631},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 558, col: 122, offset: 16634},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "TrimExpression",
			pos:  position{line: 562, col: 1, offset: 16741},
			expr: &actionExpr{
				pos: position{line: 562, col: 19, offset: 16759},
				run: (*parser).callonTrimExpression1,
				expr: &seqExpr{
					pos: position{line: 562, col: 19, offset: 16759},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 562, col: 19, offset: 16759},
							val:        "trim",
							ignoreCase: true,
							want:       "\"TRIM\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 562, col: 27, offset: 16767},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 562, col: 30, offset: 16770},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 562, col: 34, offset: 16774},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 562, col: 37, offset: 16777},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 562, col: 40, offset: 16780},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 562, col: 51, offset: 16791},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 562, col: 54, offset: 16794},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "ThreeArgumentStringFunctionExpression",
			pos:  position{line: 566, col: 1, offset: 16878},
			expr: &actionExpr{
				pos: position{line: 566, col: 42, offset: 16919},
				run: (*parser).callonThreeArgumentStringFunctionExpression1,
				expr: &seqExpr{
					pos: position{line: 566, col: 42, offset: 16919},
					exprs: []any{
						&labeledExpr{
							pos:   position{line: 566, col: 42, offset: 16919},
							label: "function",
							expr: &ruleRefExpr{
								pos:  position{line: 566, col: 51, offset: 16928},
								name: "ThreeArgumentStringFunction",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 566, col: 79, offset: 16956},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 566, col: 82, offset: 16959},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 566, col: 86, offset: 16963},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 566, col: 89, offset: 16966},
							label: "ex1",
							expr: &ruleRefExpr{
								pos:  position{line: 566, col: 93, offset: 16970},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 566, col: 104, offset: 16981},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 566, col: 107, offset: 16984},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 566, col: 111, offset: 16988},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 566, col: 114, offset: 16991},
							label: "ex2",
							expr: &ruleRefExpr{
								pos:  position{line: 566, col: 118, offset: 16995},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 566, col: 129, offset: 17006},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 566, col: 132, offset: 17009},
							label: "ignoreCase",
							expr: &zeroOrOneExpr{
								pos: position{line: 566, col: 143, offset: 17020},
								expr: &actionExpr{
									pos: position{line: 566, col: 144, offset: 17021},
									run: (*parser).callonThreeArgumentStringFunctionExpression18,
									expr: &seqExpr{
										pos: position{line: 566, col: 144, offset: 17021},
										exprs: []any{
											&litMatcher{
												pos:        position{line: 566, col: 144, offset: 17021},
												val:        ",",
												ignoreCase: false,
												want:       "\",\"",
											},
											&ruleRefExpr{
												pos:  position{line: 566, col: 148, offset: 17025},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 566, col: 151, offset: 17028},
												label: "boolean",
												expr: &ruleRefExpr{
													pos:  position{line: 566, col: 159, offset: 17036},
													name: "SelectItem",
												},
											},
										},
									},
								},
							},
						},
						&litMatcher{
							pos:        position{line: 566, col: 196, offset: 17073},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "ThreeArgumentStringFunction",
			pos:  position{line: 584, col: 1, offset: 17595},
			expr: &actionExpr{
				pos: position{line: 584, col: 32, offset: 17626},
				run: (*parser).callonThreeArgumentStringFunction1,
				expr: &choiceExpr{
					pos: position{line: 584, col: 33, offset: 17627},
					alternatives: []any{
						&litMatcher{
							pos:        position{line: 584, col: 33, offset: 17627},
							val:        "contains",
							ignoreCase: true,
							want:       "\"CONTAINS\"i",
						},
						&litMatcher{
							pos:        position{line: 584, col: 47, offset: 17641},
							val:        "endswith",
							ignoreCase: true,
							want:       "\"ENDSWITH\"i",
						},
						&litMatcher{
							pos:        position{line: 584, col: 61, offset: 17655},
							val:        "startswith",
							ignoreCase: true,
							want:       "\"STARTSWITH\"i",
						},
						&litMatcher{
							pos:        position{line: 584, col: 77, offset: 17671},
							val:        "index_of",
							ignoreCase: true,
							want:       "\"INDEX_OF\"i",
						},
					},
				},
			},
		},
		{
			name: "IsDefined",
			pos:  position{line: 588, col: 1, offset: 17720},
			expr: &actionExpr{
				pos: position{line: 588, col: 14, offset: 17733},
				run: (*parser).callonIsDefined1,
				expr: &seqExpr{
					pos: position{line: 588, col: 14, offset: 17733},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 588, col: 14, offset: 17733},
							val:        "is_defined",
							ignoreCase: true,
							want:       "\"IS_DEFINED\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 588, col: 28, offset: 17747},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 588, col: 31, offset: 17750},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 588, col: 35, offset: 17754},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 588, col: 38, offset: 17757},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 588, col: 41, offset: 17760},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 588, col: 52, offset: 17771},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 588, col: 55, offset: 17774},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "IsArray",
			pos:  position{line: 592, col: 1, offset: 17863},
			expr: &actionExpr{
				pos: position{line: 592, col: 12, offset: 17874},
				run: (*parser).callonIsArray1,
				expr: &seqExpr{
					pos: position{line: 592, col: 12, offset: 17874},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 592, col: 12, offset: 17874},
							val:        "is_array",
							ignoreCase: true,
							want:       "\"IS_ARRAY\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 592, col: 24, offset: 17886},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 592, col: 27, offset: 17889},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 592, col: 31, offset: 17893},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 592, col: 34, offset: 17896},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 592, col: 37, offset: 17899},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 592, col: 48, offset: 17910},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 592, col: 51, offset: 17913},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "IsBool",
			pos:  position{line: 596, col: 1, offset: 18000},
			expr: &actionExpr{
				pos: position{line: 596, col: 11, offset: 18010},
				run: (*parser).callonIsBool1,
				expr: &seqExpr{
					pos: position{line: 596, col: 11, offset: 18010},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 596, col: 11, offset: 18010},
							val:        "is_bool",
							ignoreCase: true,
							want:       "\"IS_BOOL\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 596, col: 22, offset: 18021},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 596, col: 25, offset: 18024},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 596, col: 29, offset: 18028},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 596, col: 32, offset: 18031},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 596, col: 35, offset: 18034},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 596, col: 46, offset: 18045},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 596, col: 49, offset: 18048},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "IsFiniteNumber",
			pos:  position{line: 600, col: 1, offset: 18134},
			expr: &actionExpr{
				pos: position{line: 600, col: 19, offset: 18152},
				run: (*parser).callonIsFiniteNumber1,
				expr: &seqExpr{
					pos: position{line: 600, col: 19, offset: 18152},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 600, col: 19, offset: 18152},
							val:        "is_finite_number",
							ignoreCase: true,
							want:       "\"IS_FINITE_NUMBER\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 600, col: 39, offset: 18172},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 600, col: 42, offset: 18175},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 600, col: 46, offset: 18179},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 600, col: 49, offset: 18182},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 600, col: 52, offset: 18185},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 600, col: 63, offset: 18196},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 600, col: 66, offset: 18199},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "IsInteger",
			pos:  position{line: 604, col: 1, offset: 18293},
			expr: &actionExpr{
				pos: position{line: 604, col: 14, offset: 18306},
				run: (*parser).callonIsInteger1,
				expr: &seqExpr{
					pos: position{line: 604, col: 14, offset: 18306},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 604, col: 14, offset: 18306},
							val:        "is_integer",
							ignoreCase: true,
							want:       "\"IS_INTEGER\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 604, col: 28, offset: 18320},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 604, col: 31, offset: 18323},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 604, col: 35, offset: 18327},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 604, col: 38, offset: 18330},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 604, col: 41, offset: 18333},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 604, col: 52, offset: 18344},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 604, col: 55, offset: 18347},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "IsNull",
			pos:  position{line: 608, col: 1, offset: 18436},
			expr: &actionExpr{
				pos: position{line: 608, col: 11, offset: 18446},
				run: (*parser).callonIsNull1,
				expr: &seqExpr{
					pos: position{line: 608, col: 11, offset: 18446},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 608, col: 11, offset: 18446},
							val:        "is_null",
							ignoreCase: true,
							want:       "\"IS_NULL\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 608, col: 22, offset: 18457},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 608, col: 25, offset: 18460},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 608, col: 29, offset: 18464},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 608, col: 32, offset: 18467},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 608, col: 35, offset: 18470},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 608, col: 46, offset: 18481},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 608, col: 49, offset: 18484},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "IsNumber",
			pos:  position{line: 612, col: 1, offset: 18570},
			expr: &actionExpr{
				pos: position{line: 612, col: 13, offset: 18582},
				run: (*parser).callonIsNumber1,
				expr: &seqExpr{
					pos: position{line: 612, col: 13, offset: 18582},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 612, col: 13, offset: 18582},
							val:        "is_number",
							ignoreCase: true,
							want:       "\"IS_NUMBER\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 612, col: 26, offset: 18595},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 612, col: 29, offset: 18598},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 612, col: 33, offset: 18602},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 612, col: 36, offset: 18605},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 612, col: 39, offset: 18608},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 612, col: 50, offset: 18619},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 612, col: 53, offset: 18622},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "IsObject",
			pos:  position{line: 616, col: 1, offset: 18710},
			expr: &actionExpr{
				pos: position{line: 616, col: 13, offset: 18722},
				run: (*parser).callonIsObject1,
				expr: &seqExpr{
					pos: position{line: 616, col: 13, offset: 18722},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 616, col: 13, offset: 18722},
							val:        "is_object",
							ignoreCase: true,
							want:       "\"IS_OBJECT\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 616, col: 26, offset: 18735},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 616, col: 29, offset: 18738},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 616, col: 33, offset: 18742},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 616, col: 36, offset: 18745},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 616, col: 39, offset: 18748},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 616, col: 50, offset: 18759},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 616, col: 53, offset: 18762},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "IsPrimitive",
			pos:  position{line: 620, col: 1, offset: 18850},
			expr: &actionExpr{
				pos: position{line: 620, col: 16, offset: 18865},
				run: (*parser).callonIsPrimitive1,
				expr: &seqExpr{
					pos: position{line: 620, col: 16, offset: 18865},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 620, col: 16, offset: 18865},
							val:        "is_primitive",
							ignoreCase: true,
							want:       "\"IS_PRIMITIVE\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 620, col: 32, offset: 18881},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 620, col: 35, offset: 18884},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 620, col: 39, offset: 18888},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 620, col: 42, offset: 18891},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 620, col: 45, offset: 18894},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 620, col: 56, offset: 18905},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 620, col: 59, offset: 18908},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "IsString",
			pos:  position{line: 624, col: 1, offset: 18999},
			expr: &actionExpr{
				pos: position{line: 624, col: 13, offset: 19011},
				run: (*parser).callonIsString1,
				expr: &seqExpr{
					pos: position{line: 624, col: 13, offset: 19011},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 624, col: 13, offset: 19011},
							val:        "is_string",
							ignoreCase: true,
							want:       "\"IS_STRING\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 624, col: 26, offset: 19024},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 624, col: 29, offset: 19027},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 624, col: 33, offset: 19031},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 624, col: 36, offset: 19034},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 624, col: 39, offset: 19037},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 624, col: 50, offset: 19048},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 624, col: 53, offset: 19051},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "ArrayConcatExpression",
			pos:  position{line: 628, col: 1, offset: 19139},
			expr: &actionExpr{
				pos: position{line: 628, col: 26, offset: 19164},
				run: (*parser).callonArrayConcatExpression1,
				expr: &seqExpr{
					pos: position{line: 628, col: 26, offset: 19164},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 628, col: 26, offset: 19164},
							val:        "array_concat",
							ignoreCase: true,
							want:       "\"ARRAY_CONCAT\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 628, col: 42, offset: 19180},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 628, col: 45, offset: 19183},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 628, col: 49, offset: 19187},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 628, col: 52, offset: 19190},
							label: "arrays",
							expr: &ruleRefExpr{
								pos:  position{line: 628, col: 59, offset: 19197},
								name: "SelectItem",
							},
						},
						&labeledExpr{
							pos:   position{line: 628, col: 70, offset: 19208},
							label: "others",
							expr: &oneOrMoreExpr{
								pos: position{line: 628, col: 77, offset: 19215},
								expr: &actionExpr{
									pos: position{line: 628, col: 78, offset: 19216},
									run: (*parser).callonArrayConcatExpression11,
									expr: &seqExpr{
										pos: position{line: 628, col: 78, offset: 19216},
										exprs: []any{
											&ruleRefExpr{
												pos:  position{line: 628, col: 78, offset: 19216},
												name: "ws",
											},
											&litMatcher{
												pos:        position{line: 628, col: 81, offset: 19219},
												val:        ",",
												ignoreCase: false,
												want:       "\",\"",
											},
											&ruleRefExpr{
												pos:  position{line: 628, col: 85, offset: 19223},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 628, col: 88, offset: 19226},
												label: "ex",
												expr: &ruleRefExpr{
													pos:  position{line: 628, col: 91, offset: 19229},
													name: "SelectItem",
												},
											},
										},
									},
								},
							},
						},
						&ruleRefExpr{
							pos:  position{line: 628, col: 123, offset: 19261},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 628, col: 126, offset: 19264},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "ArrayContainsExpression",
			pos:  position{line: 632, col: 1, offset: 19394},
			expr: &actionExpr{
				pos: position{line: 632, col: 28, offset: 19421},
				run: (*parser).callonArrayContainsExpression1,
				expr: &seqExpr{
					pos: position{line: 632, col: 28, offset: 19421},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 632, col: 28, offset: 19421},
							val:        "array_contains",
							ignoreCase: true,
							want:       "\"ARRAY_CONTAINS\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 632, col: 46, offset: 19439},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 632, col: 49, offset: 19442},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 632, col: 53, offset: 19446},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 632, col: 56, offset: 19449},
							label: "array",
							expr: &ruleRefExpr{
								pos:  position{line: 632, col: 62, offset: 19455},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 632, col: 73, offset: 19466},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 632, col: 76, offset: 19469},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 632, col: 80, offset: 19473},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 632, col: 83, offset: 19476},
							label: "item",
							expr: &ruleRefExpr{
								pos:  position{line: 632, col: 88, offset: 19481},
								name: "SelectItem",
							},
						},
						&labeledExpr{
							pos:   position{line: 632, col: 99, offset: 19492},
							label: "partialMatch",
							expr: &zeroOrOneExpr{
								pos: position{line: 632, col: 112, offset: 19505},
								expr: &actionExpr{
									pos: position{line: 632, col: 113, offset: 19506},
									run: (*parser).callonArrayContainsExpression16,
									expr: &seqExpr{
										pos: position{line: 632, col: 113, offset: 19506},
										exprs: []any{
											&ruleRefExpr{
												pos:  position{line: 632, col: 113, offset: 19506},
												name: "ws",
											},
											&litMatcher{
												pos:        position{line: 632, col: 116, offset: 19509},
												val:        ",",
												ignoreCase: false,
												want:       "\",\"",
											},
											&ruleRefExpr{
												pos:  position{line: 632, col: 120, offset: 19513},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 632, col: 123, offset: 19516},
												label: "ex",
												expr: &ruleRefExpr{
													pos:  position{line: 632, col: 126, offset: 19519},
													name: "SelectItem",
												},
											},
										},
									},
								},
							},
						},
						&ruleRefExpr{
							pos:  position{line: 632, col: 158, offset: 19551},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 632, col: 161, offset: 19554},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "ArrayContainsAnyExpression",
			pos:  position{line: 636, col: 1, offset: 19670},
			expr: &actionExpr{
				pos: position{line: 636, col: 31, offset: 19700},
				run: (*parser).callonArrayContainsAnyExpression1,
				expr: &seqExpr{
					pos: position{line: 636, col: 31, offset: 19700},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 636, col: 31, offset: 19700},
							val:        "array_contains_any",
							ignoreCase: true,
							want:       "\"ARRAY_CONTAINS_ANY\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 636, col: 53, offset: 19722},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 636, col: 56, offset: 19725},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 636, col: 60, offset: 19729},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 636, col: 63, offset: 19732},
							label: "array",
							expr: &ruleRefExpr{
								pos:  position{line: 636, col: 69, offset: 19738},
								name: "SelectItem",
							},
						},
						&labeledExpr{
							pos:   position{line: 636, col: 80, offset: 19749},
							label: "items",
							expr: &oneOrMoreExpr{
								pos: position{line: 636, col: 86, offset: 19755},
								expr: &actionExpr{
									pos: position{line: 636, col: 87, offset: 19756},
									run: (*parser).callonArrayContainsAnyExpression11,
									expr: &seqExpr{
										pos: position{line: 636, col: 87, offset: 19756},
										exprs: []any{
											&ruleRefExpr{
												pos:  position{line: 636, col: 87, offset: 19756},
												name: "ws",
											},
											&litMatcher{
												pos:        position{line: 636, col: 90, offset: 19759},
												val:        ",",
												ignoreCase: false,
												want:       "\",\"",
											},
											&ruleRefExpr{
												pos:  position{line: 636, col: 94, offset: 19763},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 636, col: 97, offset: 19766},
												label: "ex",
												expr: &ruleRefExpr{
													pos:  position{line: 636, col: 100, offset: 19769},
													name: "SelectItem",
												},
											},
										},
									},
								},
							},
						},
						&ruleRefExpr{
							pos:  position{line: 636, col: 132, offset: 19801},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 636, col: 135, offset: 19804},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "ArrayContainsAllExpression",
			pos:  position{line: 640, col: 1, offset: 19937},
			expr: &actionExpr{
				pos: position{line: 640, col: 31, offset: 19967},
				run: (*parser).callonArrayContainsAllExpression1,
				expr: &seqExpr{
					pos: position{line: 640, col: 31, offset: 19967},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 640, col: 31, offset: 19967},
							val:        "array_contains_all",
							ignoreCase: true,
							want:       "\"ARRAY_CONTAINS_ALL\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 640, col: 53, offset: 19989},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 640, col: 56, offset: 19992},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 640, col: 60, offset: 19996},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 640, col: 63, offset: 19999},
							label: "array",
							expr: &ruleRefExpr{
								pos:  position{line: 640, col: 69, offset: 20005},
								name: "SelectItem",
							},
						},
						&labeledExpr{
							pos:   position{line: 640, col: 80, offset: 20016},
							label: "items",
							expr: &oneOrMoreExpr{
								pos: position{line: 640, col: 86, offset: 20022},
								expr: &actionExpr{
									pos: position{line: 640, col: 87, offset: 20023},
									run: (*parser).callonArrayContainsAllExpression11,
									expr: &seqExpr{
										pos: position{line: 640, col: 87, offset: 20023},
										exprs: []any{
											&ruleRefExpr{
												pos:  position{line: 640, col: 87, offset: 20023},
												name: "ws",
											},
											&litMatcher{
												pos:        position{line: 640, col: 90, offset: 20026},
												val:        ",",
												ignoreCase: false,
												want:       "\",\"",
											},
											&ruleRefExpr{
												pos:  position{line: 640, col: 94, offset: 20030},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 640, col: 97, offset: 20033},
												label: "ex",
												expr: &ruleRefExpr{
													pos:  position{line: 640, col: 100, offset: 20036},
													name: "SelectItem",
												},
											},
										},
									},
								},
							},
						},
						&ruleRefExpr{
							pos:  position{line: 640, col: 132, offset: 20068},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 640, col: 135, offset: 20071},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "ArrayLengthExpression",
			pos:  position{line: 644, col: 1, offset: 20204},
			expr: &actionExpr{
				pos: position{line: 644, col: 26, offset: 20229},
				run: (*parser).callonArrayLengthExpression1,
				expr: &seqExpr{
					pos: position{line: 644, col: 26, offset: 20229},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 644, col: 26, offset: 20229},
							val:        "array_length",
							ignoreCase: true,
							want:       "\"ARRAY_LENGTH\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 644, col: 42, offset: 20245},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 644, col: 45, offset: 20248},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 644, col: 49, offset: 20252},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 644, col: 52, offset: 20255},
							label: "array",
							expr: &ruleRefExpr{
								pos:  position{line: 644, col: 58, offset: 20261},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 644, col: 69, offset: 20272},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 644, col: 72, offset: 20275},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "ArraySliceExpression",
			pos:  position{line: 648, col: 1, offset: 20369},
			expr: &actionExpr{
				pos: position{line: 648, col: 25, offset: 20393},
				run: (*parser).callonArraySliceExpression1,
				expr: &seqExpr{
					pos: position{line: 648, col: 25, offset: 20393},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 648, col: 25, offset: 20393},
							val:        "array_slice",
							ignoreCase: true,
							want:       "\"ARRAY_SLICE\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 648, col: 40, offset: 20408},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 648, col: 43, offset: 20411},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 648, col: 47, offset: 20415},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 648, col: 50, offset: 20418},
							label: "array",
							expr: &ruleRefExpr{
								pos:  position{line: 648, col: 56, offset: 20424},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 648, col: 67, offset: 20435},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 648, col: 70, offset: 20438},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 648, col: 74, offset: 20442},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 648, col: 77, offset: 20445},
							label: "start",
							expr: &ruleRefExpr{
								pos:  position{line: 648, col: 83, offset: 20451},
								name: "SelectItem",
							},
						},
						&labeledExpr{
							pos:   position{line: 648, col: 94, offset: 20462},
							label: "length",
							expr: &zeroOrOneExpr{
								pos: position{line: 648, col: 101, offset: 20469},
								expr: &actionExpr{
									pos: position{line: 648, col: 102, offset: 20470},
									run: (*parser).callonArraySliceExpression16,
									expr: &seqExpr{
										pos: position{line: 648, col: 102, offset: 20470},
										exprs: []any{
											&ruleRefExpr{
												pos:  position{line: 648, col: 102, offset: 20470},
												name: "ws",
											},
											&litMatcher{
												pos:        position{line: 648, col: 105, offset: 20473},
												val:        ",",
												ignoreCase: false,
												want:       "\",\"",
											},
											&ruleRefExpr{
												pos:  position{line: 648, col: 109, offset: 20477},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 648, col: 112, offset: 20480},
												label: "ex",
												expr: &ruleRefExpr{
													pos:  position{line: 648, col: 115, offset: 20483},
													name: "SelectItem",
												},
											},
										},
									},
								},
							},
						},
						&ruleRefExpr{
							pos:  position{line: 648, col: 147, offset: 20515},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 648, col: 150, offset: 20518},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "SetIntersectExpression",
			pos:  position{line: 652, col: 1, offset: 20626},
			expr: &actionExpr{
				pos: position{line: 652, col: 27, offset: 20652},
				run: (*parser).callonSetIntersectExpression1,
				expr: &seqExpr{
					pos: position{line: 652, col: 27, offset: 20652},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 652, col: 27, offset: 20652},
							val:        "setintersect",
							ignoreCase: true,
							want:       "\"SetIntersect\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 652, col: 43, offset: 20668},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 652, col: 46, offset: 20671},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 652, col: 50, offset: 20675},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 652, col: 53, offset: 20678},
							label: "set1",
							expr: &ruleRefExpr{
								pos:  position{line: 652, col: 58, offset: 20683},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 652, col: 69, offset: 20694},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 652, col: 72, offset: 20697},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 652, col: 76, offset: 20701},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 652, col: 79, offset: 20704},
							label: "set2",
							expr: &ruleRefExpr{
								pos:  position{line: 652, col: 84, offset: 20709},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 652, col: 95, offset: 20720},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 652, col: 98, offset: 20723},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "SetUnionExpression",
			pos:  position{line: 656, col: 1, offset: 20823},
			expr: &actionExpr{
				pos: position{line: 656, col: 23, offset: 20845},
				run: (*parser).callonSetUnionExpression1,
				expr: &seqExpr{
					pos: position{line: 656, col: 23, offset: 20845},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 656, col: 23, offset: 20845},
							val:        "setunion",
							ignoreCase: true,
							want:       "\"SetUnion\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 656, col: 35, offset: 20857},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 656, col: 38, offset: 20860},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 656, col: 42, offset: 20864},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 656, col: 45, offset: 20867},
							label: "set1",
							expr: &ruleRefExpr{
								pos:  position{line: 656, col: 50, offset: 20872},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 656, col: 61, offset: 20883},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 656, col: 64, offset: 20886},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 656, col: 68, offset: 20890},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 656, col: 71, offset: 20893},
							label: "set2",
							expr: &ruleRefExpr{
								pos:  position{line: 656, col: 76, offset: 20898},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 656, col: 87, offset: 20909},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 656, col: 90, offset: 20912},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathAbsExpression",
			pos:  position{line: 660, col: 1, offset: 21008},
			expr: &actionExpr{
				pos: position{line: 660, col: 22, offset: 21029},
				run: (*parser).callonMathAbsExpression1,
				expr: &seqExpr{
					pos: position{line: 660, col: 22, offset: 21029},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 660, col: 22, offset: 21029},
							val:        "abs",
							ignoreCase: true,
							want:       "\"ABS\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 660, col: 29, offset: 21036},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 660, col: 32, offset: 21039},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 660, col: 36, offset: 21043},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 660, col: 39, offset: 21046},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 660, col: 42, offset: 21049},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 660, col: 53, offset: 21060},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 660, col: 56, offset: 21063},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathAcosExpression",
			pos:  position{line: 661, col: 1, offset: 21145},
			expr: &actionExpr{
				pos: position{line: 661, col: 23, offset: 21167},
				run: (*parser).callonMathAcosExpression1,
				expr: &seqExpr{
					pos: position{line: 661, col: 23, offset: 21167},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 661, col: 23, offset: 21167},
							val:        "acos",
							ignoreCase: true,
							want:       "\"ACOS\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 661, col: 31, offset: 21175},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 661, col: 34, offset: 21178},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 661, col: 38, offset: 21182},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 661, col: 41, offset: 21185},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 661, col: 44, offset: 21188},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 661, col: 55, offset: 21199},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 661, col: 58, offset: 21202},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathAsinExpression",
			pos:  position{line: 662, col: 1, offset: 21285},
			expr: &actionExpr{
				pos: position{line: 662, col: 23, offset: 21307},
				run: (*parser).callonMathAsinExpression1,
				expr: &seqExpr{
					pos: position{line: 662, col: 23, offset: 21307},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 662, col: 23, offset: 21307},
							val:        "asin",
							ignoreCase: true,
							want:       "\"ASIN\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 662, col: 31, offset: 21315},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 662, col: 34, offset: 21318},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 662, col: 38, offset: 21322},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 662, col: 41, offset: 21325},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 662, col: 44, offset: 21328},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 662, col: 55, offset: 21339},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 662, col: 58, offset: 21342},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathAtanExpression",
			pos:  position{line: 663, col: 1, offset: 21425},
			expr: &actionExpr{
				pos: position{line: 663, col: 23, offset: 21447},
				run: (*parser).callonMathAtanExpression1,
				expr: &seqExpr{
					pos: position{line: 663, col: 23, offset: 21447},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 663, col: 23, offset: 21447},
							val:        "atan",
							ignoreCase: true,
							want:       "\"ATAN\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 663, col: 31, offset: 21455},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 663, col: 34, offset: 21458},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 663, col: 38, offset: 21462},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 663, col: 41, offset: 21465},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 663, col: 44, offset: 21468},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 663, col: 55, offset: 21479},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 663, col: 58, offset: 21482},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathCeilingExpression",
			pos:  position{line: 664, col: 1, offset: 21565},
			expr: &actionExpr{
				pos: position{line: 664, col: 26, offset: 21590},
				run: (*parser).callonMathCeilingExpression1,
				expr: &seqExpr{
					pos: position{line: 664, col: 26, offset: 21590},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 664, col: 26, offset: 21590},
							val:        "ceiling",
							ignoreCase: true,
							want:       "\"CEILING\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 664, col: 37, offset: 21601},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 664, col: 40, offset: 21604},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 664, col: 44, offset: 21608},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 664, col: 47, offset: 21611},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 664, col: 50, offset: 21614},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 664, col: 61, offset: 21625},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 664, col: 64, offset: 21628},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathCosExpression",
			pos:  position{line: 665, col: 1, offset: 21714},
			expr: &actionExpr{
				pos: position{line: 665, col: 22, offset: 21735},
				run: (*parser).callonMathCosExpression1,
				expr: &seqExpr{
					pos: position{line: 665, col: 22, offset: 21735},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 665, col: 22, offset: 21735},
							val:        "cos",
							ignoreCase: true,
							want:       "\"COS\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 665, col: 29, offset: 21742},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 665, col: 32, offset: 21745},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 665, col: 36, offset: 21749},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 665, col: 39, offset: 21752},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 665, col: 42, offset: 21755},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 665, col: 53, offset: 21766},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 665, col: 56, offset: 21769},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathCotExpression",
			pos:  position{line: 666, col: 1, offset: 21851},
			expr: &actionExpr{
				pos: position{line: 666, col: 22, offset: 21872},
				run: (*parser).callonMathCotExpression1,
				expr: &seqExpr{
					pos: position{line: 666, col: 22, offset: 21872},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 666, col: 22, offset: 21872},
							val:        "cot",
							ignoreCase: true,
							want:       "\"COT\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 666, col: 29, offset: 21879},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 666, col: 32, offset: 21882},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 666, col: 36, offset: 21886},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 666, col: 39, offset: 21889},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 666, col: 42, offset: 21892},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 666, col: 53, offset: 21903},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 666, col: 56, offset: 21906},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathDegreesExpression",
			pos:  position{line: 667, col: 1, offset: 21988},
			expr: &actionExpr{
				pos: position{line: 667, col: 26, offset: 22013},
				run: (*parser).callonMathDegreesExpression1,
				expr: &seqExpr{
					pos: position{line: 667, col: 26, offset: 22013},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 667, col: 26, offset: 22013},
							val:        "degrees",
							ignoreCase: true,
							want:       "\"DEGREES\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 667, col: 37, offset: 22024},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 667, col: 40, offset: 22027},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 667, col: 44, offset: 22031},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 667, col: 47, offset: 22034},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 667, col: 50, offset: 22037},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 667, col: 61, offset: 22048},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 667, col: 64, offset: 22051},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathExpExpression",
			pos:  position{line: 668, col: 1, offset: 22137},
			expr: &actionExpr{
				pos: position{line: 668, col: 22, offset: 22158},
				run: (*parser).callonMathExpExpression1,
				expr: &seqExpr{
					pos: position{line: 668, col: 22, offset: 22158},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 668, col: 22, offset: 22158},
							val:        "exp",
							ignoreCase: true,
							want:       "\"EXP\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 668, col: 29, offset: 22165},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 668, col: 32, offset: 22168},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 668, col: 36, offset: 22172},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 668, col: 39, offset: 22175},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 668, col: 42, offset: 22178},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 668, col: 53, offset: 22189},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 668, col: 56, offset: 22192},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathFloorExpression",
			pos:  position{line: 669, col: 1, offset: 22274},
			expr: &actionExpr{
				pos: position{line: 669, col: 24, offset: 22297},
				run: (*parser).callonMathFloorExpression1,
				expr: &seqExpr{
					pos: position{line: 669, col: 24, offset: 22297},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 669, col: 24, offset: 22297},
							val:        "floor",
							ignoreCase: true,
							want:       "\"FLOOR\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 669, col: 33, offset: 22306},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 669, col: 36, offset: 22309},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 669, col: 40, offset: 22313},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 669, col: 43, offset: 22316},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 669, col: 46, offset: 22319},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 669, col: 57, offset: 22330},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 669, col: 60, offset: 22333},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathIntBitNotExpression",
			pos:  position{line: 670, col: 1, offset: 22417},
			expr: &actionExpr{
				pos: position{line: 670, col: 28, offset: 22444},
				run: (*parser).callonMathIntBitNotExpression1,
				expr: &seqExpr{
					pos: position{line: 670, col: 28, offset: 22444},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 670, col: 28, offset: 22444},
							val:        "intbitnot",
							ignoreCase: true,
							want:       "\"IntBitNot\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 670, col: 41, offset: 22457},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 670, col: 44, offset: 22460},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 670, col: 48, offset: 22464},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 670, col: 51, offset: 22467},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 670, col: 54, offset: 22470},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 670, col: 65, offset: 22481},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 670, col: 68, offset: 22484},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathLog10Expression",
			pos:  position{line: 671, col: 1, offset: 22572},
			expr: &actionExpr{
				pos: position{line: 671, col: 24, offset: 22595},
				run: (*parser).callonMathLog10Expression1,
				expr: &seqExpr{
					pos: position{line: 671, col: 24, offset: 22595},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 671, col: 24, offset: 22595},
							val:        "log10",
							ignoreCase: true,
							want:       "\"LOG10\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 671, col: 33, offset: 22604},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 671, col: 36, offset: 22607},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 671, col: 40, offset: 22611},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 671, col: 43, offset: 22614},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 671, col: 46, offset: 22617},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 671, col: 57, offset: 22628},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 671, col: 60, offset: 22631},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathRadiansExpression",
			pos:  position{line: 672, col: 1, offset: 22715},
			expr: &actionExpr{
				pos: position{line: 672, col: 26, offset: 22740},
				run: (*parser).callonMathRadiansExpression1,
				expr: &seqExpr{
					pos: position{line: 672, col: 26, offset: 22740},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 672, col: 26, offset: 22740},
							val:        "radians",
							ignoreCase: true,
							want:       "\"RADIANS\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 672, col: 37, offset: 22751},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 672, col: 40, offset: 22754},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 672, col: 44, offset: 22758},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 672, col: 47, offset: 22761},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 672, col: 50, offset: 22764},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 672, col: 61, offset: 22775},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 672, col: 64, offset: 22778},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathRoundExpression",
			pos:  position{line: 673, col: 1, offset: 22864},
			expr: &actionExpr{
				pos: position{line: 673, col: 24, offset: 22887},
				run: (*parser).callonMathRoundExpression1,
				expr: &seqExpr{
					pos: position{line: 673, col: 24, offset: 22887},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 673, col: 24, offset: 22887},
							val:        "round",
							ignoreCase: true,
							want:       "\"ROUND\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 673, col: 33, offset: 22896},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 673, col: 36, offset: 22899},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 673, col: 40, offset: 22903},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 673, col: 43, offset: 22906},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 673, col: 46, offset: 22909},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 673, col: 57, offset: 22920},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 673, col: 60, offset: 22923},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathSignExpression",
			pos:  position{line: 674, col: 1, offset: 23007},
			expr: &actionExpr{
				pos: position{line: 674, col: 23, offset: 23029},
				run: (*parser).callonMathSignExpression1,
				expr: &seqExpr{
					pos: position{line: 674, col: 23, offset: 23029},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 674, col: 23, offset: 23029},
							val:        "sign",
							ignoreCase: true,
							want:       "\"SIGN\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 674, col: 31, offset: 23037},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 674, col: 34, offset: 23040},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 674, col: 38, offset: 23044},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 674, col: 41, offset: 23047},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 674, col: 44, offset: 23050},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 674, col: 55, offset: 23061},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 674, col: 58, offset: 23064},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathSinExpression",
			pos:  position{line: 675, col: 1, offset: 23147},
			expr: &actionExpr{
				pos: position{line: 675, col: 22, offset: 23168},
				run: (*parser).callonMathSinExpression1,
				expr: &seqExpr{
					pos: position{line: 675, col: 22, offset: 23168},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 675, col: 22, offset: 23168},
							val:        "sin",
							ignoreCase: true,
							want:       "\"SIN\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 675, col: 29, offset: 23175},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 675, col: 32, offset: 23178},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 675, col: 36, offset: 23182},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 675, col: 39, offset: 23185},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 675, col: 42, offset: 23188},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 675, col: 53, offset: 23199},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 675, col: 56, offset: 23202},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathSqrtExpression",
			pos:  position{line: 676, col: 1, offset: 23284},
			expr: &actionExpr{
				pos: position{line: 676, col: 23, offset: 23306},
				run: (*parser).callonMathSqrtExpression1,
				expr: &seqExpr{
					pos: position{line: 676, col: 23, offset: 23306},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 676, col: 23, offset: 23306},
							val:        "sqrt",
							ignoreCase: true,
							want:       "\"SQRT\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 676, col: 31, offset: 23314},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 676, col: 34, offset: 23317},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 676, col: 38, offset: 23321},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 676, col: 41, offset: 23324},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 676, col: 44, offset: 23327},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 676, col: 55, offset: 23338},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 676, col: 58, offset: 23341},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathSquareExpression",
			pos:  position{line: 677, col: 1, offset: 23424},
			expr: &actionExpr{
				pos: position{line: 677, col: 25, offset: 23448},
				run: (*parser).callonMathSquareExpression1,
				expr: &seqExpr{
					pos: position{line: 677, col: 25, offset: 23448},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 677, col: 25, offset: 23448},
							val:        "square",
							ignoreCase: true,
							want:       "\"SQUARE\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 677, col: 35, offset: 23458},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 677, col: 38, offset: 23461},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 677, col: 42, offset: 23465},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 677, col: 45, offset: 23468},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 677, col: 48, offset: 23471},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 677, col: 59, offset: 23482},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 677, col: 62, offset: 23485},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathTanExpression",
			pos:  position{line: 678, col: 1, offset: 23570},
			expr: &actionExpr{
				pos: position{line: 678, col: 22, offset: 23591},
				run: (*parser).callonMathTanExpression1,
				expr: &seqExpr{
					pos: position{line: 678, col: 22, offset: 23591},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 678, col: 22, offset: 23591},
							val:        "tan",
							ignoreCase: true,
							want:       "\"TAN\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 678, col: 29, offset: 23598},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 678, col: 32, offset: 23601},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 678, col: 36, offset: 23605},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 678, col: 39, offset: 23608},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 678, col: 42, offset: 23611},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 678, col: 53, offset: 23622},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 678, col: 56, offset: 23625},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathTruncExpression",
			pos:  position{line: 679, col: 1, offset: 23707},
			expr: &actionExpr{
				pos: position{line: 679, col: 24, offset: 23730},
				run: (*parser).callonMathTruncExpression1,
				expr: &seqExpr{
					pos: position{line: 679, col: 24, offset: 23730},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 679, col: 24, offset: 23730},
							val:        "trunc",
							ignoreCase: true,
							want:       "\"TRUNC\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 679, col: 33, offset: 23739},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 679, col: 36, offset: 23742},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 679, col: 40, offset: 23746},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 679, col: 43, offset: 23749},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 679, col: 46, offset: 23752},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 679, col: 57, offset: 23763},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 679, col: 60, offset: 23766},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathAtn2Expression",
			pos:  position{line: 681, col: 1, offset: 23851},
			expr: &actionExpr{
				pos: position{line: 681, col: 23, offset: 23873},
				run: (*parser).callonMathAtn2Expression1,
				expr: &seqExpr{
					pos: position{line: 681, col: 23, offset: 23873},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 681, col: 23, offset: 23873},
							val:        "atn2",
							ignoreCase: true,
							want:       "\"ATN2\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 681, col: 31, offset: 23881},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 681, col: 34, offset: 23884},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 681, col: 38, offset: 23888},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 681, col: 41, offset: 23891},
							label: "set1",
							expr: &ruleRefExpr{
								pos:  position{line: 681, col: 46, offset: 23896},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 681, col: 57, offset: 23907},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 681, col: 60, offset: 23910},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 681, col: 64, offset: 23914},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 681, col: 67, offset: 23917},
							label: "set2",
							expr: &ruleRefExpr{
								pos:  position{line: 681, col: 72, offset: 23922},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 681, col: 83, offset: 23933},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 681, col: 86, offset: 23936},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathIntAddExpression",
			pos:  position{line: 682, col: 1, offset: 24027},
			expr: &actionExpr{
				pos: position{line: 682, col: 25, offset: 24051},
				run: (*parser).callonMathIntAddExpression1,
				expr: &seqExpr{
					pos: position{line: 682, col: 25, offset: 24051},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 682, col: 25, offset: 24051},
							val:        "intadd",
							ignoreCase: true,
							want:       "\"IntAdd\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 682, col: 35, offset: 24061},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 682, col: 38, offset: 24064},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 682, col: 42, offset: 24068},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 682, col: 45, offset: 24071},
							label: "set1",
							expr: &ruleRefExpr{
								pos:  position{line: 682, col: 50, offset: 24076},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 682, col: 61, offset: 24087},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 682, col: 64, offset: 24090},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 682, col: 68, offset: 24094},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 682, col: 71, offset: 24097},
							label: "set2",
							expr: &ruleRefExpr{
								pos:  position{line: 682, col: 76, offset: 24102},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 682, col: 87, offset: 24113},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 682, col: 90, offset: 24116},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathIntBitAndExpression",
			pos:  position{line: 683, col: 1, offset: 24209},
			expr: &actionExpr{
				pos: position{line: 683, col: 28, offset: 24236},
				run: (*parser).callonMathIntBitAndExpression1,
				expr: &seqExpr{
					pos: position{line: 683, col: 28, offset: 24236},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 683, col: 28, offset: 24236},
							val:        "intbitand",
							ignoreCase: true,
							want:       "\"IntBitAnd\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 683, col: 41, offset: 24249},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 683, col: 44, offset: 24252},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 683, col: 48, offset: 24256},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 683, col: 51, offset: 24259},
							label: "set1",
							expr: &ruleRefExpr{
								pos:  position{line: 683, col: 56, offset: 24264},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 683, col: 67, offset: 24275},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 683, col: 70, offset: 24278},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 683, col: 74, offset: 24282},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 683, col: 77, offset: 24285},
							label: "set2",
							expr: &ruleRefExpr{
								pos:  position{line: 683, col: 82, offset: 24290},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 683, col: 93, offset: 24301},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 683, col: 96, offset: 24304},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathIntBitLeftShiftExpression",
			pos:  position{line: 684, col: 1, offset: 24400},
			expr: &actionExpr{
				pos: position{line: 684, col: 34, offset: 24433},
				run: (*parser).callonMathIntBitLeftShiftExpression1,
				expr: &seqExpr{
					pos: position{line: 684, col: 34, offset: 24433},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 684, col: 34, offset: 24433},
							val:        "intbitleftshift",
							ignoreCase: true,
							want:       "\"IntBitLeftShift\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 684, col: 53, offset: 24452},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 684, col: 56, offset: 24455},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 684, col: 60, offset: 24459},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 684, col: 63, offset: 24462},
							label: "set1",
							expr: &ruleRefExpr{
								pos:  position{line: 684, col: 68, offset: 24467},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 684, col: 79, offset: 24478},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 684, col: 82, offset: 24481},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 684, col: 86, offset: 24485},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 684, col: 89, offset: 24488},
							label: "set2",
							expr: &ruleRefExpr{
								pos:  position{line: 684, col: 94, offset: 24493},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 684, col: 105, offset: 24504},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 684, col: 108, offset: 24507},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathIntBitOrExpression",
			pos:  position{line: 685, col: 1, offset: 24609},
			expr: &actionExpr{
				pos: position{line: 685, col: 27, offset: 24635},
				run: (*parser).callonMathIntBitOrExpression1,
				expr: &seqExpr{
					pos: position{line: 685, col: 27, offset: 24635},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 685, col: 27, offset: 24635},
							val:        "intbitor",
							ignoreCase: true,
							want:       "\"IntBitOr\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 685, col: 39, offset: 24647},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 685, col: 42, offset: 24650},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 685, col: 46, offset: 24654},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 685, col: 49, offset: 24657},
							label: "set1",
							expr: &ruleRefExpr{
								pos:  position{line: 685, col: 54, offset: 24662},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 685, col: 65, offset: 24673},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 685, col: 68, offset: 24676},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 685, col: 72, offset: 24680},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 685, col: 75, offset: 24683},
							label: "set2",
							expr: &ruleRefExpr{
								pos:  position{line: 685, col: 80, offset: 24688},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 685, col: 91, offset: 24699},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 685, col: 94, offset: 24702},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathIntBitRightShiftExpression",
			pos:  position{line: 686, col: 1, offset: 24797},
			expr: &actionExpr{
				pos: position{line: 686, col: 35, offset: 24831},
				run: (*parser).callonMathIntBitRightShiftExpression1,
				expr: &seqExpr{
					pos: position{line: 686, col: 35, offset: 24831},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 686, col: 35, offset: 24831},
							val:        "intbitrightshift",
							ignoreCase: true,
							want:       "\"IntBitRightShift\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 686, col: 55, offset: 24851},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 686, col: 58, offset: 24854},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 686, col: 62, offset: 24858},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 686, col: 65, offset: 24861},
							label: "set1",
							expr: &ruleRefExpr{
								pos:  position{line: 686, col: 70, offset: 24866},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 686, col: 81, offset: 24877},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 686, col: 84, offset: 24880},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 686, col: 88, offset: 24884},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 686, col: 91, offset: 24887},
							label: "set2",
							expr: &ruleRefExpr{
								pos:  position{line: 686, col: 96, offset: 24892},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 686, col: 107, offset: 24903},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 686, col: 110, offset: 24906},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathIntBitXorExpression",
			pos:  position{line: 687, col: 1, offset: 25009},
			expr: &actionExpr{
				pos: position{line: 687, col: 28, offset: 25036},
				run: (*parser).callonMathIntBitXorExpression1,
				expr: &seqExpr{
					pos: position{line: 687, col: 28, offset: 25036},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 687, col: 28, offset: 25036},
							val:        "intbitxor",
							ignoreCase: true,
							want:       "\"IntBitXor\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 687, col: 41, offset: 25049},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 687, col: 44, offset: 25052},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 687, col: 48, offset: 25056},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 687, col: 51, offset: 25059},
							label: "set1",
							expr: &ruleRefExpr{
								pos:  position{line: 687, col: 56, offset: 25064},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 687, col: 67, offset: 25075},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 687, col: 70, offset: 25078},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 687, col: 74, offset: 25082},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 687, col: 77, offset: 25085},
							label: "set2",
							expr: &ruleRefExpr{
								pos:  position{line: 687, col: 82, offset: 25090},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 687, col: 93, offset: 25101},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 687, col: 96, offset: 25104},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathIntDivExpression",
			pos:  position{line: 688, col: 1, offset: 25200},
			expr: &actionExpr{
				pos: position{line: 688, col: 25, offset: 25224},
				run: (*parser).callonMathIntDivExpression1,
				expr: &seqExpr{
					pos: position{line: 688, col: 25, offset: 25224},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 688, col: 25, offset: 25224},
							val:        "intdiv",
							ignoreCase: true,
							want:       "\"IntDiv\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 688, col: 35, offset: 25234},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 688, col: 38, offset: 25237},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 688, col: 42, offset: 25241},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 688, col: 45, offset: 25244},
							label: "set1",
							expr: &ruleRefExpr{
								pos:  position{line: 688, col: 50, offset: 25249},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 688, col: 61, offset: 25260},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 688, col: 64, offset: 25263},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 688, col: 68, offset: 25267},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 688, col: 71, offset: 25270},
							label: "set2",
							expr: &ruleRefExpr{
								pos:  position{line: 688, col: 76, offset: 25275},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 688, col: 87, offset: 25286},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 688, col: 90, offset: 25289},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathIntModExpression",
			pos:  position{line: 689, col: 1, offset: 25382},
			expr: &actionExpr{
				pos: position{line: 689, col: 25, offset: 25406},
				run: (*parser).callonMathIntModExpression1,
				expr: &seqExpr{
					pos: position{line: 689, col: 25, offset: 25406},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 689, col: 25, offset: 25406},
							val:        "intmod",
							ignoreCase: true,
							want:       "\"IntMod\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 689, col: 35, offset: 25416},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 689, col: 38, offset: 25419},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 689, col: 42, offset: 25423},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 689, col: 45, offset: 25426},
							label: "set1",
							expr: &ruleRefExpr{
								pos:  position{line: 689, col: 50, offset: 25431},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 689, col: 61, offset: 25442},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 689, col: 64, offset: 25445},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 689, col: 68, offset: 25449},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 689, col: 71, offset: 25452},
							label: "set2",
							expr: &ruleRefExpr{
								pos:  position{line: 689, col: 76, offset: 25457},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 689, col: 87, offset: 25468},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 689, col: 90, offset: 25471},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathIntMulExpression",
			pos:  position{line: 690, col: 1, offset: 25564},
			expr: &actionExpr{
				pos: position{line: 690, col: 25, offset: 25588},
				run: (*parser).callonMathIntMulExpression1,
				expr: &seqExpr{
					pos: position{line: 690, col: 25, offset: 25588},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 690, col: 25, offset: 25588},
							val:        "intmul",
							ignoreCase: true,
							want:       "\"IntMul\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 690, col: 35, offset: 25598},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 690, col: 38, offset: 25601},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 690, col: 42, offset: 25605},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 690, col: 45, offset: 25608},
							label: "set1",
							expr: &ruleRefExpr{
								pos:  position{line: 690, col: 50, offset: 25613},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 690, col: 61, offset: 25624},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 690, col: 64, offset: 25627},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 690, col: 68, offset: 25631},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 690, col: 71, offset: 25634},
							label: "set2",
							expr: &ruleRefExpr{
								pos:  position{line: 690, col: 76, offset: 25639},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 690, col: 87, offset: 25650},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 690, col: 90, offset: 25653},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathIntSubExpression",
			pos:  position{line: 691, col: 1, offset: 25746},
			expr: &actionExpr{
				pos: position{line: 691, col: 25, offset: 25770},
				run: (*parser).callonMathIntSubExpression1,
				expr: &seqExpr{
					pos: position{line: 691, col: 25, offset: 25770},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 691, col: 25, offset: 25770},
							val:        "intsub",
							ignoreCase: true,
							want:       "\"IntSub\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 691, col: 35, offset: 25780},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 691, col: 38, offset: 25783},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 691, col: 42, offset: 25787},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 691, col: 45, offset: 25790},
							label: "set1",
							expr: &ruleRefExpr{
								pos:  position{line: 691, col: 50, offset: 25795},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 691, col: 61, offset: 25806},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 691, col: 64, offset: 25809},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 691, col: 68, offset: 25813},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 691, col: 71, offset: 25816},
							label: "set2",
							expr: &ruleRefExpr{
								pos:  position{line: 691, col: 76, offset: 25821},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 691, col: 87, offset: 25832},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 691, col: 90, offset: 25835},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathPowerExpression",
			pos:  position{line: 692, col: 1, offset: 25928},
			expr: &actionExpr{
				pos: position{line: 692, col: 24, offset: 25951},
				run: (*parser).callonMathPowerExpression1,
				expr: &seqExpr{
					pos: position{line: 692, col: 24, offset: 25951},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 692, col: 24, offset: 25951},
							val:        "power",
							ignoreCase: true,
							want:       "\"POWER\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 692, col: 33, offset: 25960},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 692, col: 36, offset: 25963},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 692, col: 40, offset: 25967},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 692, col: 43, offset: 25970},
							label: "set1",
							expr: &ruleRefExpr{
								pos:  position{line: 692, col: 48, offset: 25975},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 692, col: 59, offset: 25986},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 692, col: 62, offset: 25989},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 692, col: 66, offset: 25993},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 692, col: 69, offset: 25996},
							label: "set2",
							expr: &ruleRefExpr{
								pos:  position{line: 692, col: 74, offset: 26001},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 692, col: 85, offset: 26012},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 692, col: 88, offset: 26015},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathLogExpression",
			pos:  position{line: 694, col: 1, offset: 26108},
			expr: &actionExpr{
				pos: position{line: 694, col: 22, offset: 26129},
				run: (*parser).callonMathLogExpression1,
				expr: &seqExpr{
					pos: position{line: 694, col: 22, offset: 26129},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 694, col: 22, offset: 26129},
							val:        "log",
							ignoreCase: true,
							want:       "\"LOG\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 694, col: 29, offset: 26136},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 694, col: 32, offset: 26139},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 694, col: 36, offset: 26143},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 694, col: 39, offset: 26146},
							label: "ex1",
							expr: &ruleRefExpr{
								pos:  position{line: 694, col: 43, offset: 26150},
								name: "SelectItem",
							},
						},
						&labeledExpr{
							pos:   position{line: 694, col: 54, offset: 26161},
							label: "others",
							expr: &zeroOrMoreExpr{
								pos: position{line: 694, col: 61, offset: 26168},
								expr: &actionExpr{
									pos: position{line: 694, col: 62, offset: 26169},
									run: (*parser).callonMathLogExpression11,
									expr: &seqExpr{
										pos: position{line: 694, col: 62, offset: 26169},
										exprs: []any{
											&ruleRefExpr{
												pos:  position{line: 694, col: 62, offset: 26169},
												name: "ws",
											},
											&litMatcher{
												pos:        position{line: 694, col: 65, offset: 26172},
												val:        ",",
												ignoreCase: false,
												want:       "\",\"",
											},
											&ruleRefExpr{
												pos:  position{line: 694, col: 69, offset: 26176},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 694, col: 72, offset: 26179},
												label: "ex",
												expr: &ruleRefExpr{
													pos:  position{line: 694, col: 75, offset: 26182},
													name: "SelectItem",
												},
											},
										},
									},
								},
							},
						},
						&ruleRefExpr{
							pos:  position{line: 694, col: 107, offset: 26214},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 694, col: 110, offset: 26217},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathNumberBinExpression",
			pos:  position{line: 697, col: 1, offset: 26339},
			expr: &actionExpr{
				pos: position{line: 697, col: 28, offset: 26366},
				run: (*parser).callonMathNumberBinExpression1,
				expr: &seqExpr{
					pos: position{line: 697, col: 28, offset: 26366},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 697, col: 28, offset: 26366},
							val:        "numberbin",
							ignoreCase: true,
							want:       "\"NumberBin\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 697, col: 41, offset: 26379},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 697, col: 44, offset: 26382},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 697, col: 48, offset: 26386},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 697, col: 51, offset: 26389},
							label: "ex1",
							expr: &ruleRefExpr{
								pos:  position{line: 697, col: 55, offset: 26393},
								name: "SelectItem",
							},
						},
						&labeledExpr{
							pos:   position{line: 697, col: 66, offset: 26404},
							label: "others",
							expr: &zeroOrMoreExpr{
								pos: position{line: 697, col: 73, offset: 26411},
								expr: &actionExpr{
									pos: position{line: 697, col: 74, offset: 26412},
									run: (*parser).callonMathNumberBinExpression11,
									expr: &seqExpr{
										pos: position{line: 697, col: 74, offset: 26412},
										exprs: []any{
											&ruleRefExpr{
												pos:  position{line: 697, col: 74, offset: 26412},
												name: "ws",
											},
											&litMatcher{
												pos:        position{line: 697, col: 77, offset: 26415},
												val:        ",",
												ignoreCase: false,
												want:       "\",\"",
											},
											&ruleRefExpr{
												pos:  position{line: 697, col: 81, offset: 26419},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 697, col: 84, offset: 26422},
												label: "ex",
												expr: &ruleRefExpr{
													pos:  position{line: 697, col: 87, offset: 26425},
													name: "SelectItem",
												},
											},
										},
									},
								},
							},
						},
						&ruleRefExpr{
							pos:  position{line: 697, col: 119, offset: 26457},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 697, col: 122, offset: 26460},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathPiExpression",
			pos:  position{line: 700, col: 1, offset: 26588},
			expr: &actionExpr{
				pos: position{line: 700, col: 21, offset: 26608},
				run: (*parser).callonMathPiExpression1,
				expr: &seqExpr{
					pos: position{line: 700, col: 21, offset: 26608},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 700, col: 21, offset: 26608},
							val:        "pi",
							ignoreCase: true,
							want:       "\"PI\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 700, col: 27, offset: 26614},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 700, col: 30, offset: 26617},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 700, col: 34, offset: 26621},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 700, col: 37, offset: 26624},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathRandExpression",
			pos:  position{line: 701, col: 1, offset: 26703},
			expr: &actionExpr{
				pos: position{line: 701, col: 23, offset: 26725},
				run: (*parser).callonMathRandExpression1,
				expr: &seqExpr{
					pos: position{line: 701, col: 23, offset: 26725},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 701, col: 23, offset: 26725},
							val:        "rand",
							ignoreCase: true,
							want:       "\"RAND\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 701, col: 31, offset: 26733},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 701, col: 34, offset: 26736},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 701, col: 38, offset: 26740},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 701, col: 41, offset: 26743},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "InFunction",
			pos:  position{line: 703, col: 1, offset: 26825},
			expr: &actionExpr{
				pos: position{line: 703, col: 15, offset: 26839},
				run: (*parser).callonInFunction1,
				expr: &seqExpr{
					pos: position{line: 703, col: 15, offset: 26839},
					exprs: []any{
						&labeledExpr{
							pos:   position{line: 703, col: 15, offset: 26839},
							label: "ex1",
							expr: &ruleRefExpr{
								pos:  position{line: 703, col: 19, offset: 26843},
								name: "SelectProperty",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 703, col: 34, offset: 26858},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 703, col: 37, offset: 26861},
							val:        "in",
							ignoreCase: true,
							want:       "\"IN\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 703, col: 43, offset: 26867},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 703, col: 46, offset: 26870},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 703, col: 50, offset: 26874},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 703, col: 53, offset: 26877},
							label: "ex2",
							expr: &ruleRefExpr{
								pos:  position{line: 703, col: 57, offset: 26881},
								name: "SelectItem",
							},
						},
						&labeledExpr{
							pos:   position{line: 703, col: 68, offset: 26892},
							label: "others",
							expr: &zeroOrMoreExpr{
								pos: position{line: 703, col: 75, offset: 26899},
								expr: &actionExpr{
									pos: position{line: 703, col: 76, offset: 26900},
									run: (*parser).callonInFunction14,
									expr: &seqExpr{
										pos: position{line: 703, col: 76, offset: 26900},
										exprs: []any{
											&ruleRefExpr{
												pos:  position{line: 703, col: 76, offset: 26900},
												name: "ws",
											},
											&litMatcher{
												pos:        position{line: 703, col: 79, offset: 26903},
												val:        ",",
												ignoreCase: false,
												want:       "\",\"",
											},
											&ruleRefExpr{
												pos:  position{line: 703, col: 83, offset: 26907},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 703, col: 86, offset: 26910},
												label: "ex",
												expr: &ruleRefExpr{
													pos:  position{line: 703, col: 89, offset: 26913},
													name: "SelectItem",
												},
											},
										},
									},
								},
							},
						},
						&ruleRefExpr{
							pos:  position{line: 703, col: 121, offset: 26945},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 703, col: 124, offset: 26948},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "AvgAggregateExpression",
			pos:  position{line: 707, col: 1, offset: 27071},
			expr: &actionExpr{
				pos: position{line: 707, col: 29, offset: 27099},
				run: (*parser).callonAvgAggregateExpression1,
				expr: &seqExpr{
					pos: position{line: 707, col: 29, offset: 27099},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 707, col: 29, offset: 27099},
							val:        "avg",
							ignoreCase: true,
							want:       "\"AVG\"i",
						},
						&litMatcher{
							pos:        position{line: 707, col: 36, offset: 27106},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 707, col: 40, offset: 27110},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 707, col: 43, offset: 27113},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 707, col: 46, offset: 27116},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 707, col: 58, offset: 27128},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 707, col: 61, offset: 27131},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "CountAggregateExpression",
			pos:  position{line: 711, col: 1, offset: 27223},
			expr: &actionExpr{
				pos: position{line: 711, col: 29, offset: 27251},
				run: (*parser).callonCountAggregateExpression1,
				expr: &seqExpr{
					pos: position{line: 711, col: 29, offset: 27251},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 711, col: 29, offset: 27251},
							val:        "count",
							ignoreCase: true,
							want:       "\"COUNT\"i",
						},
						&litMatcher{
							pos:        position{line: 711, col: 38, offset: 27260},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 711, col: 42, offset: 27264},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 711, col: 45, offset: 27267},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 711, col: 48, offset: 27270},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 711, col: 59, offset: 27281},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 711, col: 62, offset: 27284},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MaxAggregateExpression",
			pos:  position{line: 715, col: 1, offset: 27378},
			expr: &actionExpr{
				pos: position{line: 715, col: 29, offset: 27406},
				run: (*parser).callonMaxAggregateExpression1,
				expr: &seqExpr{
					pos: position{line: 715, col: 29, offset: 27406},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 715, col: 29, offset: 27406},
							val:        "max",
							ignoreCase: true,
							want:       "\"MAX\"i",
						},
						&litMatcher{
							pos:        position{line: 715, col: 36, offset: 27413},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 715, col: 40, offset: 27417},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 715, col: 43, offset: 27420},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 715, col: 46, offset: 27423},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 715, col: 57, offset: 27434},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 715, col: 60, offset: 27437},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MinAggregateExpression",
			pos:  position{line: 719, col: 1, offset: 27529},
			expr: &actionExpr{
				pos: position{line: 719, col: 29, offset: 27557},
				run: (*parser).callonMinAggregateExpression1,
				expr: &seqExpr{
					pos: position{line: 719, col: 29, offset: 27557},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 719, col: 29, offset: 27557},
							val:        "min",
							ignoreCase: true,
							want:       "\"MIN\"i",
						},
						&litMatcher{
							pos:        position{line: 719, col: 36, offset: 27564},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 719, col: 40, offset: 27568},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 719, col: 43, offset: 27571},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 719, col: 46, offset: 27574},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 719, col: 57, offset: 27585},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 719, col: 60, offset: 27588},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "SumAggregateExpression",
			pos:  position{line: 723, col: 1, offset: 27680},
			expr: &actionExpr{
				pos: position{line: 723, col: 29, offset: 27708},
				run: (*parser).callonSumAggregateExpression1,
				expr: &seqExpr{
					pos: position{line: 723, col: 29, offset: 27708},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 723, col: 29, offset: 27708},
							val:        "sum",
							ignoreCase: true,
							want:       "\"SUM\"i",
						},
						&litMatcher{
							pos:        position{line: 723, col: 36, offset: 27715},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 723, col: 40, offset: 27719},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 723, col: 43, offset: 27722},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 723, col: 46, offset: 27725},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 723, col: 57, offset: 27736},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 723, col: 60, offset: 27739},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "Integer",
			pos:  position{line: 727, col: 1, offset: 27831},
			expr: &actionExpr{
				pos: position{line: 727, col: 12, offset: 27842},
				run: (*parser).callonInteger1,
				expr: &oneOrMoreExpr{
					pos: position{line: 727, col: 12, offset: 27842},
					expr: &charClassMatcher{
						pos:        position{line: 727, col: 12, offset: 27842},
						val:        "[0-9]",
						ranges:     []rune{'0', '9'},
						ignoreCase: false,
						inverted:   false,
					},
				},
			},
		},
		{
			name: "StringCharacter",
			pos:  position{line: 731, col: 1, offset: 27894},
			expr: &choiceExpr{
				pos: position{line: 731, col: 20, offset: 27913},
				alternatives: []any{
					&actionExpr{
						pos: position{line: 731, col: 20, offset: 27913},
						run: (*parser).callonStringCharacter2,
						expr: &seqExpr{
							pos: position{line: 731, col: 20, offset: 27913},
							exprs: []any{
								&notExpr{
									pos: position{line: 731, col: 20, offset: 27913},
									expr: &choiceExpr{
										pos: position{line: 731, col: 22, offset: 27915},
										alternatives: []any{
											&litMatcher{
												pos:        position{line: 731, col: 22, offset: 27915},
												val:        "\"",
												ignoreCase: false,
												want:       "\"\\\"\"",
											},
											&litMatcher{
												pos:        position{line: 731, col: 28, offset: 27921},
												val:        "\\",
												ignoreCase: false,
												want:       "\"\\\\\"",
											},
										},
									},
								},
								&anyMatcher{
									line: 731, col: 34, offset: 27927,
								},
							},
						},
					},
					&actionExpr{
						pos: position{line: 732, col: 5, offset: 27964},
						run: (*parser).callonStringCharacter9,
						expr: &seqExpr{
							pos: position{line: 732, col: 5, offset: 27964},
							exprs: []any{
								&litMatcher{
									pos:        position{line: 732, col: 5, offset: 27964},
									val:        "\\",
									ignoreCase: false,
									want:       "\"\\\\\"",
								},
								&labeledExpr{
									pos:   position{line: 732, col: 10, offset: 27969},
									label: "seq",
									expr: &ruleRefExpr{
										pos:  position{line: 732, col: 14, offset: 27973},
										name: "EscapeSequenceCharacter",
									},
								},
							},
						},
					},
				},
			},
		},
		{
			name: "EscapeSequenceCharacter",
			pos:  position{line: 734, col: 1, offset: 28018},
			expr: &labeledExpr{
				pos:   position{line: 734, col: 28, offset: 28045},
				label: "char",
				expr: &ruleRefExpr{
					pos:  position{line: 734, col: 33, offset: 28050},
					name: "EscapeCharacter",
				},
			},
		},
		{
			name: "EscapeCharacter",
			pos:  position{line: 736, col: 1, offset: 28067},
			expr: &choiceExpr{
				pos: position{line: 736, col: 20, offset: 28086},
				alternatives: []any{
					&litMatcher{
						pos:        position{line: 736, col: 20, offset: 28086},
						val:        "'",
						ignoreCase: false,
						want:       "\"'\"",
					},
					&litMatcher{
						pos:        position{line: 737, col: 5, offset: 28094},
						val:        "\"",
						ignoreCase: false,
						want:       "\"\\\"\"",
					},
					&litMatcher{
						pos:        position{line: 738, col: 5, offset: 28102},
						val:        "\\",
						ignoreCase: false,
						want:       "\"\\\\\"",
					},
					&actionExpr{
						pos: position{line: 739, col: 5, offset: 28111},
						run: (*parser).callonEscapeCharacter5,
						expr: &litMatcher{
							pos:        position{line: 739, col: 5, offset: 28111},
							val:        "b",
							ignoreCase: false,
							want:       "\"b\"",
						},
					},
					&actionExpr{
						pos: position{line: 740, col: 5, offset: 28140},
						run: (*parser).callonEscapeCharacter7,
						expr: &litMatcher{
							pos:        position{line: 740, col: 5, offset: 28140},
							val:        "f",
							ignoreCase: false,
							want:       "\"f\"",
						},
					},
					&actionExpr{
						pos: position{line: 741, col: 5, offset: 28169},
						run: (*parser).callonEscapeCharacter9,
						expr: &litMatcher{
							pos:        position{line: 741, col: 5, offset: 28169},
							val:        "n",
							ignoreCase: false,
							want:       "\"n\"",
						},
					},
					&actionExpr{
						pos: position{line: 742, col: 5, offset: 28198},
						run: (*parser).callonEscapeCharacter11,
						expr: &litMatcher{
							pos:        position{line: 742, col: 5, offset: 28198},
							val:        "r",
							ignoreCase: false,
							want:       "\"r\"",
						},
					},
					&actionExpr{
						pos: position{line: 743, col: 5, offset: 28227},
						run: (*parser).callonEscapeCharacter13,
						expr: &litMatcher{
							pos:        position{line: 743, col: 5, offset: 28227},
							val:        "t",
							ignoreCase: false,
							want:       "\"t\"",
						},
					},
				},
			},
		},
		{
			name: "non_escape_character",
			pos:  position{line: 745, col: 1, offset: 28253},
			expr: &actionExpr{
				pos: position{line: 745, col: 25, offset: 28277},
				run: (*parser).callonnon_escape_character1,
				expr: &seqExpr{
					pos: position{line: 745, col: 25, offset: 28277},
					exprs: []any{
						&notExpr{
							pos: position{line: 745, col: 25, offset: 28277},
							expr: &ruleRefExpr{
								pos:  position{line: 745, col: 27, offset: 28279},
								name: "escape_character",
							},
						},
						&labeledExpr{
							pos:   position{line: 745, col: 45, offset: 28297},
							label: "char",
							expr: &anyMatcher{
								line: 745, col: 50, offset: 28302,
							},
						},
					},
				},
			},
		},
		{
			name: "ws",
			pos:  position{line: 748, col: 1, offset: 28341},
			expr: &zeroOrMoreExpr{
				pos: position{line: 748, col: 7, offset: 28347},
				expr: &charClassMatcher{
					pos:        position{line: 748, col: 7, offset: 28347},
					val:        "[ \\t\\n\\r]",
					chars:      []rune{' ', '\t', '\n', '\r'},
					ignoreCase: false,
					inverted:   false,
				},
			},
		},
		{
			name: "wss",
			pos:  position{line: 750, col: 1, offset: 28359},
			expr: &oneOrMoreExpr{
				pos: position{line: 750, col: 8, offset: 28366},
				expr: &charClassMatcher{
					pos:        position{line: 750, col: 8, offset: 28366},
					val:        "[ \\t\\n\\r]",
					chars:      []rune{' ', '\t', '\n', '\r'},
					ignoreCase: false,
					inverted:   false,
				},
			},
		},
		{
			name: "EOF",
			pos:  position{line: 752, col: 1, offset: 28378},
			expr: &notExpr{
				pos: position{line: 752, col: 8, offset: 28385},
				expr: &anyMatcher{
					line: 752, col: 9, offset: 28386,
				},
			},
		},
	},
}

func (c *current) onInput1(selectStmt any) (any, error) {
	return selectStmt, nil
}

func (p *parser) callonInput1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onInput1(stack["selectStmt"])
}

func (c *current) onSelectStmt22(join any) (any, error) {
	return join, nil
}

func (p *parser) callonSelectStmt22() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSelectStmt22(stack["join"])
}

func (c *current) onSelectStmt30(condition any) (any, error) {
	return condition, nil
}

func (p *parser) callonSelectStmt30() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSelectStmt30(stack["condition"])
}

func (c *current) onSelectStmt39(columns any) (any, error) {
	return columns, nil
}

func (p *parser) callonSelectStmt39() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSelectStmt39(stack["columns"])
}

func (c *current) onSelectStmt48(order any) (any, error) {
	return order, nil
}

func (p *parser) callonSelectStmt48() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSelectStmt48(stack["order"])
}

func (c *current) onSelectStmt55(offset any) (any, error) {
	return offset, nil
}

func (p *parser) callonSelectStmt55() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSelectStmt55(stack["offset"])
}

func (c *current) onSelectStmt1(distinctClause, topClause, columns, fromClause, joinClauses, whereClause, groupByClause, orderByClause, offsetClause any) (any, error) {
	return makeSelectStmt(columns, fromClause, joinClauses, whereClause,
		distinctClause, topClause, groupByClause, orderByClause, offsetClause)
}

func (p *parser) callonSelectStmt1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSelectStmt1(stack["distinctClause"], stack["topClause"], stack["columns"], stack["fromClause"], stack["joinClauses"], stack["whereClause"], stack["groupByClause"], stack["orderByClause"], stack["offsetClause"])
}

func (c *current) onTopClause1(count any) (any, error) {
	return count, nil
}

func (p *parser) callonTopClause1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onTopClause1(stack["count"])
}

func (c *current) onFromClause10(column any) (any, error) {
	return column, nil
}

func (p *parser) callonFromClause10() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onFromClause10(stack["column"])
}

func (c *current) onFromClause2(table, selectItem any) (any, error) {
	tableTyped := table.(parsers.Table)

	if selectItem != nil {
		tableTyped.SelectItem = selectItem.(parsers.SelectItem)
	}

	return tableTyped, nil
}

func (p *parser) callonFromClause2() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onFromClause2(stack["table"], stack["selectItem"])
}

func (c *current) onFromClause17(subQuery any) (any, error) {
	subQueryTyped := subQuery.(parsers.SelectItem)
	table := parsers.Table{
		Value:      subQueryTyped.Alias,
		SelectItem: subQueryTyped,
	}
	return table, nil
}

func (p *parser) callonFromClause17() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onFromClause17(stack["subQuery"])
}

func (c *current) onSubQuery5(exists any) (any, error) {
	return exists, nil
}

func (p *parser) callonSubQuery5() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSubQuery5(stack["exists"])
}

func (c *current) onSubQuery1(exists, selectStmt any) (any, error) {
	if selectStatement, isGoodValue := selectStmt.(parsers.SelectStmt); isGoodValue {
		selectStatement.Exists = exists != nil
		return selectStatement, nil
	}

	return selectStmt, nil
}

func (p *parser) callonSubQuery1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSubQuery1(stack["exists"], stack["selectStmt"])
}

func (c *current) onSubQuerySelectItem7(alias any) (any, error) {
	return alias, nil
}

func (p *parser) callonSubQuerySelectItem7() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSubQuerySelectItem7(stack["alias"])
}

func (c *current) onSubQuerySelectItem1(subQuery, asClause any) (any, error) {
	selectItem := parsers.SelectItem{
		Type:  parsers.SelectItemTypeSubQuery,
		Value: subQuery,
	}

	if tableName, isString := asClause.(string); isString {
		selectItem.Alias = tableName
	}

	return selectItem, nil
}

func (p *parser) callonSubQuerySelectItem1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSubQuerySelectItem1(stack["subQuery"], stack["asClause"])
}

func (c *current) onJoinClause2(table, column any) (any, error) {
	return makeJoin(table, column)
}

func (p *parser) callonJoinClause2() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onJoinClause2(stack["table"], stack["column"])
}

func (c *current) onJoinClause13(subQuery any) (any, error) {
	return makeJoin(nil, subQuery)
}

func (p *parser) callonJoinClause13() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onJoinClause13(stack["subQuery"])
}

func (c *current) onOffsetClause1(offset, limit any) (any, error) {
	return []interface{}{offset.(parsers.Constant).Value, limit.(parsers.Constant).Value}, nil
}

func (p *parser) callonOffsetClause1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onOffsetClause1(stack["offset"], stack["limit"])
}

func (c *current) onSelectAsterisk1() (any, error) {
	selectItem, _ := makeSelectItem("c", make([]interface{}, 0), parsers.SelectItemTypeField)
	selectItem.IsTopLevel = true
	return makeColumnList(selectItem, make([]interface{}, 0))
}

func (p *parser) callonSelectAsterisk1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSelectAsterisk1()
}

func (c *current) onColumnList7(coll any) (any, error) {
	return coll, nil
}

func (p *parser) callonColumnList7() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onColumnList7(stack["coll"])
}

func (c *current) onColumnList1(column, other_columns any) (any, error) {
	return makeColumnList(column, other_columns)
}

func (p *parser) callonColumnList1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onColumnList1(stack["column"], stack["other_columns"])
}

func (c *current) onSelectValueSpec1(column any) (any, error) {
	selectItem := column.(parsers.SelectItem)
	selectItem.IsTopLevel = true
	return makeColumnList(selectItem, make([]interface{}, 0))
}

func (p *parser) callonSelectValueSpec1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSelectValueSpec1(stack["column"])
}

func (c *current) onTableName1(key any) (any, error) {
	return parsers.Table{Value: key.(string)}, nil
}

func (p *parser) callonTableName1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onTableName1(stack["key"])
}

func (c *current) onSelectArray1(columns any) (any, error) {
	return makeSelectArray(columns)
}

func (p *parser) callonSelectArray1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSelectArray1(stack["columns"])
}

func (c *current) onSelectObject10(coll any) (any, error) {
	return coll, nil
}

func (p *parser) callonSelectObject10() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSelectObject10(stack["coll"])
}

func (c *current) onSelectObject1(field, other_fields any) (any, error) {
	return makeSelectObject(field, other_fields)
}

func (p *parser) callonSelectObject1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSelectObject1(stack["field"], stack["other_fields"])
}

func (c *current) onSelectObjectField6(key any) (any, error) {
	return key, nil
}

func (p *parser) callonSelectObjectField6() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSelectObjectField6(stack["key"])
}

func (c *current) onSelectObjectField1(name, selectItem any) (any, error) {
	item := selectItem.(parsers.SelectItem)
	item.Alias = name.(string)
	return item, nil
}

func (p *parser) callonSelectObjectField1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSelectObjectField1(stack["name"], stack["selectItem"])
}

func (c *current) onSelectProperty1(name, path any) (any, error) {
	return makeSelectItem(name, path, parsers.SelectItemTypeField)
}

func (p *parser) callonSelectProperty1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSelectProperty1(stack["name"], stack["path"])
}

func (c *current) onSelectItem1(selectItem, asClause any) (any, error) {
	var itemResult parsers.SelectItem
	switch typedValue := selectItem.(type) {
	case parsers.SelectItem:
		itemResult = typedValue
	case parsers.Constant:
		itemResult = parsers.SelectItem{
			Type:  parsers.SelectItemTypeConstant,
			Value: typedValue,
		}
	case parsers.FunctionCall:
		itemResult = parsers.SelectItem{
			Type:  parsers.SelectItemTypeFunctionCall,
			Value: typedValue,
		}
	}

	if aliasValue, ok := asClause.(string); ok {
		itemResult.Alias = aliasValue
	}

	return itemResult, nil
}

func (p *parser) callonSelectItem1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSelectItem1(stack["selectItem"], stack["asClause"])
}

func (c *current) onAsClause1(alias any) (any, error) {
	return alias, nil
}

func (p *parser) callonAsClause1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onAsClause1(stack["alias"])
}

func (c *current) onDotFieldAccess1(id any) (any, error) {
	return id, nil
}

func (p *parser) callonDotFieldAccess1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onDotFieldAccess1(stack["id"])
}

func (c *current) onArrayFieldAccess2(id any) (any, error) {
	return id, nil
}

func (p *parser) callonArrayFieldAccess2() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onArrayFieldAccess2(stack["id"])
}

func (c *current) onArrayFieldAccess8(id any) (any, error) {
	return strconv.Itoa(id.(int)), nil
}

func (p *parser) callonArrayFieldAccess8() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onArrayFieldAccess8(stack["id"])
}

func (c *current) onArrayFieldAccess14(id any) (any, error) {
	return id.(parsers.Constant).Value.(string), nil
}

func (p *parser) callonArrayFieldAccess14() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onArrayFieldAccess14(stack["id"])
}

func (c *current) onIdentifier1() (any, error) {
	return string(c.text), nil
}

func (p *parser) callonIdentifier1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onIdentifier1()
}

func (c *current) onCondition1(expression any) (any, error) {
	return expression, nil
}

func (p *parser) callonCondition1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onCondition1(stack["expression"])
}

func (c *current) onOrExpression7(ex any) (any, error) {
	return ex, nil
}

func (p *parser) callonOrExpression7() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onOrExpression7(stack["ex"])
}

func (c *current) onOrExpression1(ex1, ex2 any) (any, error) {
	return combineExpressions(ex1, ex2, parsers.LogicalExpressionTypeOr)
}

func (p *parser) callonOrExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onOrExpression1(stack["ex1"], stack["ex2"])
}

func (c *current) onAndExpression7(ex any) (any, error) {
	return ex, nil
}

func (p *parser) callonAndExpression7() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onAndExpression7(stack["ex"])
}

func (c *current) onAndExpression1(ex1, ex2 any) (any, error) {
	return combineExpressions(ex1, ex2, parsers.LogicalExpressionTypeAnd)
}

func (p *parser) callonAndExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onAndExpression1(stack["ex1"], stack["ex2"])
}

func (c *current) onComparisonExpression2(ex any) (any, error) {
	return ex, nil
}

func (p *parser) callonComparisonExpression2() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onComparisonExpression2(stack["ex"])
}

func (c *current) onComparisonExpression10(left, op, right any) (any, error) {
	return parsers.ComparisonExpression{Left: left, Right: right, Operation: op.(string)}, nil
}

func (p *parser) callonComparisonExpression10() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onComparisonExpression10(stack["left"], stack["op"], stack["right"])
}

func (c *current) onComparisonExpression20(ex any) (any, error) {
	return ex, nil
}

func (p *parser) callonComparisonExpression20() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onComparisonExpression20(stack["ex"])
}

func (c *current) onComparisonExpression23(ex any) (any, error) {
	return ex, nil
}

func (p *parser) callonComparisonExpression23() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onComparisonExpression23(stack["ex"])
}

func (c *current) onOrderByClause9(ex any) (any, error) {
	return ex, nil
}

func (p *parser) callonOrderByClause9() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onOrderByClause9(stack["ex"])
}

func (c *current) onOrderByClause1(ex1, others any) (any, error) {
	return makeOrderByClause(ex1, others)
}

func (p *parser) callonOrderByClause1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onOrderByClause1(stack["ex1"], stack["others"])
}

func (c *current) onOrderExpression1(field, order any) (any, error) {
	return makeOrderExpression(field, order)
}

func (p *parser) callonOrderExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onOrderExpression1(stack["field"], stack["order"])
}

func (c *current) onOrderDirection1() (any, error) {
	if strings.EqualFold(string(c.text), "DESC") {
		return parsers.OrderDirectionDesc, nil
	}

	return parsers.OrderDirectionAsc, nil
}

func (p *parser) callonOrderDirection1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onOrderDirection1()
}

func (c *current) onComparisonOperator1() (any, error) {
	return string(c.text), nil
}

func (p *parser) callonComparisonOperator1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onComparisonOperator1()
}

func (c *current) onParameterConstant1() (any, error) {
	return parsers.Constant{Type: parsers.ConstantTypeParameterConstant, Value: string(c.text)}, nil
}

func (p *parser) callonParameterConstant1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onParameterConstant1()
}

func (c *current) onNullConstant1() (any, error) {
	return parsers.Constant{Value: nil}, nil
}

func (p *parser) callonNullConstant1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onNullConstant1()
}

func (c *current) onIntegerLiteral1(number any) (any, error) {
	return parsers.Constant{Type: parsers.ConstantTypeInteger, Value: number.(int)}, nil
}

func (p *parser) callonIntegerLiteral1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onIntegerLiteral1(stack["number"])
}

func (c *current) onStringLiteral1(chars any) (any, error) {
	return parsers.Constant{Type: parsers.ConstantTypeString, Value: joinStrings(chars.([]interface{}))}, nil
}

func (p *parser) callonStringLiteral1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onStringLiteral1(stack["chars"])
}

func (c *current) onFloatLiteral1() (any, error) {
	floatValue, _ := strconv.ParseFloat(string(c.text), 64)
	return parsers.Constant{Type: parsers.ConstantTypeFloat, Value: floatValue}, nil
}

func (p *parser) callonFloatLiteral1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onFloatLiteral1()
}

func (c *current) onBooleanLiteral1() (any, error) {
	boolValue, _ := strconv.ParseBool(string(c.text))
	return parsers.Constant{Type: parsers.ConstantTypeBoolean, Value: boolValue}, nil
}

func (p *parser) callonBooleanLiteral1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onBooleanLiteral1()
}

func (c *current) onUpperExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallUpper, []interface{}{ex})
}

func (p *parser) callonUpperExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onUpperExpression1(stack["ex"])
}

func (c *current) onLowerExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallLower, []interface{}{ex})
}

func (p *parser) callonLowerExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onLowerExpression1(stack["ex"])
}

func (c *current) onStringEqualsExpression17(boolean any) (any, error) {
	return boolean, nil
}

func (p *parser) callonStringEqualsExpression17() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onStringEqualsExpression17(stack["boolean"])
}

func (c *current) onStringEqualsExpression1(ex1, ex2, ignoreCase any) (any, error) {
	return createFunctionCall(parsers.FunctionCallStringEquals, []interface{}{ex1, ex2, ignoreCase})
}

func (p *parser) callonStringEqualsExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onStringEqualsExpression1(stack["ex1"], stack["ex2"], stack["ignoreCase"])
}

func (c *current) onToStringExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallToString, []interface{}{ex})
}

func (p *parser) callonToStringExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onToStringExpression1(stack["ex"])
}

func (c *current) onConcatExpression11(ex any) (any, error) {
	return ex, nil
}

func (p *parser) callonConcatExpression11() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onConcatExpression11(stack["ex"])
}

func (c *current) onConcatExpression1(ex1, others any) (any, error) {
	arguments := append([]interface{}{ex1}, others.([]interface{})...)
	return createFunctionCall(parsers.FunctionCallConcat, arguments)
}

func (p *parser) callonConcatExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onConcatExpression1(stack["ex1"], stack["others"])
}

func (c *current) onLeftExpression1(ex, length any) (any, error) {
	return createFunctionCall(parsers.FunctionCallLeft, []interface{}{ex, length})
}

func (p *parser) callonLeftExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onLeftExpression1(stack["ex"], stack["length"])
}

func (c *current) onLengthExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallLength, []interface{}{ex})
}

func (p *parser) callonLengthExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onLengthExpression1(stack["ex"])
}

func (c *current) onLTrimExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallLTrim, []interface{}{ex})
}

func (p *parser) callonLTrimExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onLTrimExpression1(stack["ex"])
}

func (c *current) onReplaceExpression1(ex1, ex2, ex3 any) (any, error) {
	return createFunctionCall(parsers.FunctionCallReplace, []interface{}{ex1, ex2, ex3})
}

func (p *parser) callonReplaceExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onReplaceExpression1(stack["ex1"], stack["ex2"], stack["ex3"])
}

func (c *current) onReplicateExpression1(ex1, ex2 any) (any, error) {
	return createFunctionCall(parsers.FunctionCallReplicate, []interface{}{ex1, ex2})
}

func (p *parser) callonReplicateExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onReplicateExpression1(stack["ex1"], stack["ex2"])
}

func (c *current) onReverseExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallReverse, []interface{}{ex})
}

func (p *parser) callonReverseExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onReverseExpression1(stack["ex"])
}

func (c *current) onRightExpression1(ex, length any) (any, error) {
	return createFunctionCall(parsers.FunctionCallRight, []interface{}{ex, length})
}

func (p *parser) callonRightExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onRightExpression1(stack["ex"], stack["length"])
}

func (c *current) onRTrimExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallRTrim, []interface{}{ex})
}

func (p *parser) callonRTrimExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onRTrimExpression1(stack["ex"])
}

func (c *current) onSubstringExpression1(ex, startPos, length any) (any, error) {
	return createFunctionCall(parsers.FunctionCallSubstring, []interface{}{ex, startPos, length})
}

func (p *parser) callonSubstringExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSubstringExpression1(stack["ex"], stack["startPos"], stack["length"])
}

func (c *current) onTrimExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallTrim, []interface{}{ex})
}

func (p *parser) callonTrimExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onTrimExpression1(stack["ex"])
}

func (c *current) onThreeArgumentStringFunctionExpression18(boolean any) (any, error) {
	return boolean, nil
}

func (p *parser) callonThreeArgumentStringFunctionExpression18() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onThreeArgumentStringFunctionExpression18(stack["boolean"])
}

func (c *current) onThreeArgumentStringFunctionExpression1(function, ex1, ex2, ignoreCase any) (any, error) {
	var functionType parsers.FunctionCallType

	lowerFunction := strings.ToUpper(function.(string))
	switch lowerFunction {
	case "CONTAINS":
		functionType = parsers.FunctionCallContains
	case "ENDSWITH":
		functionType = parsers.FunctionCallEndsWith
	case "STARTSWITH":
		functionType = parsers.FunctionCallStartsWith
	case "INDEX_OF":
		functionType = parsers.FunctionCallIndexOf
	}

	return createFunctionCall(functionType, []interface{}{ex1, ex2, ignoreCase})
}

func (p *parser) callonThreeArgumentStringFunctionExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onThreeArgumentStringFunctionExpression1(stack["function"], stack["ex1"], stack["ex2"], stack["ignoreCase"])
}

func (c *current) onThreeArgumentStringFunction1() (any, error) {
	return string(c.text), nil
}

func (p *parser) callonThreeArgumentStringFunction1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onThreeArgumentStringFunction1()
}

func (c *current) onIsDefined1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallIsDefined, []interface{}{ex})
}

func (p *parser) callonIsDefined1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onIsDefined1(stack["ex"])
}

func (c *current) onIsArray1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallIsArray, []interface{}{ex})
}

func (p *parser) callonIsArray1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onIsArray1(stack["ex"])
}

func (c *current) onIsBool1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallIsBool, []interface{}{ex})
}

func (p *parser) callonIsBool1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onIsBool1(stack["ex"])
}

func (c *current) onIsFiniteNumber1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallIsFiniteNumber, []interface{}{ex})
}

func (p *parser) callonIsFiniteNumber1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onIsFiniteNumber1(stack["ex"])
}

func (c *current) onIsInteger1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallIsInteger, []interface{}{ex})
}

func (p *parser) callonIsInteger1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onIsInteger1(stack["ex"])
}

func (c *current) onIsNull1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallIsNull, []interface{}{ex})
}

func (p *parser) callonIsNull1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onIsNull1(stack["ex"])
}

func (c *current) onIsNumber1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallIsNumber, []interface{}{ex})
}

func (p *parser) callonIsNumber1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onIsNumber1(stack["ex"])
}

func (c *current) onIsObject1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallIsObject, []interface{}{ex})
}

func (p *parser) callonIsObject1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onIsObject1(stack["ex"])
}

func (c *current) onIsPrimitive1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallIsPrimitive, []interface{}{ex})
}

func (p *parser) callonIsPrimitive1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onIsPrimitive1(stack["ex"])
}

func (c *current) onIsString1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallIsString, []interface{}{ex})
}

func (p *parser) callonIsString1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onIsString1(stack["ex"])
}

func (c *current) onArrayConcatExpression11(ex any) (any, error) {
	return ex, nil
}

func (p *parser) callonArrayConcatExpression11() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onArrayConcatExpression11(stack["ex"])
}

func (c *current) onArrayConcatExpression1(arrays, others any) (any, error) {
	return createFunctionCall(parsers.FunctionCallArrayConcat, append([]interface{}{arrays}, others.([]interface{})...))
}

func (p *parser) callonArrayConcatExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onArrayConcatExpression1(stack["arrays"], stack["others"])
}

func (c *current) onArrayContainsExpression16(ex any) (any, error) {
	return ex, nil
}

func (p *parser) callonArrayContainsExpression16() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onArrayContainsExpression16(stack["ex"])
}

func (c *current) onArrayContainsExpression1(array, item, partialMatch any) (any, error) {
	return createFunctionCall(parsers.FunctionCallArrayContains, []interface{}{array, item, partialMatch})
}

func (p *parser) callonArrayContainsExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onArrayContainsExpression1(stack["array"], stack["item"], stack["partialMatch"])
}

func (c *current) onArrayContainsAnyExpression11(ex any) (any, error) {
	return ex, nil
}

func (p *parser) callonArrayContainsAnyExpression11() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onArrayContainsAnyExpression11(stack["ex"])
}

func (c *current) onArrayContainsAnyExpression1(array, items any) (any, error) {
	return createFunctionCall(parsers.FunctionCallArrayContainsAny, append([]interface{}{array}, items.([]interface{})...))
}

func (p *parser) callonArrayContainsAnyExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onArrayContainsAnyExpression1(stack["array"], stack["items"])
}

func (c *current) onArrayContainsAllExpression11(ex any) (any, error) {
	return ex, nil
}

func (p *parser) callonArrayContainsAllExpression11() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onArrayContainsAllExpression11(stack["ex"])
}

func (c *current) onArrayContainsAllExpression1(array, items any) (any, error) {
	return createFunctionCall(parsers.FunctionCallArrayContainsAll, append([]interface{}{array}, items.([]interface{})...))
}

func (p *parser) callonArrayContainsAllExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onArrayContainsAllExpression1(stack["array"], stack["items"])
}

func (c *current) onArrayLengthExpression1(array any) (any, error) {
	return createFunctionCall(parsers.FunctionCallArrayLength, []interface{}{array})
}

func (p *parser) callonArrayLengthExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onArrayLengthExpression1(stack["array"])
}

func (c *current) onArraySliceExpression16(ex any) (any, error) {
	return ex, nil
}

func (p *parser) callonArraySliceExpression16() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onArraySliceExpression16(stack["ex"])
}

func (c *current) onArraySliceExpression1(array, start, length any) (any, error) {
	return createFunctionCall(parsers.FunctionCallArraySlice, []interface{}{array, start, length})
}

func (p *parser) callonArraySliceExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onArraySliceExpression1(stack["array"], stack["start"], stack["length"])
}

func (c *current) onSetIntersectExpression1(set1, set2 any) (any, error) {
	return createFunctionCall(parsers.FunctionCallSetIntersect, []interface{}{set1, set2})
}

func (p *parser) callonSetIntersectExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSetIntersectExpression1(stack["set1"], stack["set2"])
}

func (c *current) onSetUnionExpression1(set1, set2 any) (any, error) {
	return createFunctionCall(parsers.FunctionCallSetUnion, []interface{}{set1, set2})
}

func (p *parser) callonSetUnionExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSetUnionExpression1(stack["set1"], stack["set2"])
}

func (c *current) onMathAbsExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallMathAbs, []interface{}{ex})
}

func (p *parser) callonMathAbsExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathAbsExpression1(stack["ex"])
}

func (c *current) onMathAcosExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallMathAcos, []interface{}{ex})
}

func (p *parser) callonMathAcosExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathAcosExpression1(stack["ex"])
}

func (c *current) onMathAsinExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallMathAsin, []interface{}{ex})
}

func (p *parser) callonMathAsinExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathAsinExpression1(stack["ex"])
}

func (c *current) onMathAtanExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallMathAtan, []interface{}{ex})
}

func (p *parser) callonMathAtanExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathAtanExpression1(stack["ex"])
}

func (c *current) onMathCeilingExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallMathCeiling, []interface{}{ex})
}

func (p *parser) callonMathCeilingExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathCeilingExpression1(stack["ex"])
}

func (c *current) onMathCosExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallMathCos, []interface{}{ex})
}

func (p *parser) callonMathCosExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathCosExpression1(stack["ex"])
}

func (c *current) onMathCotExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallMathCot, []interface{}{ex})
}

func (p *parser) callonMathCotExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathCotExpression1(stack["ex"])
}

func (c *current) onMathDegreesExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallMathDegrees, []interface{}{ex})
}

func (p *parser) callonMathDegreesExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathDegreesExpression1(stack["ex"])
}

func (c *current) onMathExpExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallMathExp, []interface{}{ex})
}

func (p *parser) callonMathExpExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathExpExpression1(stack["ex"])
}

func (c *current) onMathFloorExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallMathFloor, []interface{}{ex})
}

func (p *parser) callonMathFloorExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathFloorExpression1(stack["ex"])
}

func (c *current) onMathIntBitNotExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallMathIntBitNot, []interface{}{ex})
}

func (p *parser) callonMathIntBitNotExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathIntBitNotExpression1(stack["ex"])
}

func (c *current) onMathLog10Expression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallMathLog10, []interface{}{ex})
}

func (p *parser) callonMathLog10Expression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathLog10Expression1(stack["ex"])
}

func (c *current) onMathRadiansExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallMathRadians, []interface{}{ex})
}

func (p *parser) callonMathRadiansExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathRadiansExpression1(stack["ex"])
}

func (c *current) onMathRoundExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallMathRound, []interface{}{ex})
}

func (p *parser) callonMathRoundExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathRoundExpression1(stack["ex"])
}

func (c *current) onMathSignExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallMathSign, []interface{}{ex})
}

func (p *parser) callonMathSignExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathSignExpression1(stack["ex"])
}

func (c *current) onMathSinExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallMathSin, []interface{}{ex})
}

func (p *parser) callonMathSinExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathSinExpression1(stack["ex"])
}

func (c *current) onMathSqrtExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallMathSqrt, []interface{}{ex})
}

func (p *parser) callonMathSqrtExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathSqrtExpression1(stack["ex"])
}

func (c *current) onMathSquareExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallMathSquare, []interface{}{ex})
}

func (p *parser) callonMathSquareExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathSquareExpression1(stack["ex"])
}

func (c *current) onMathTanExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallMathTan, []interface{}{ex})
}

func (p *parser) callonMathTanExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathTanExpression1(stack["ex"])
}

func (c *current) onMathTruncExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallMathTrunc, []interface{}{ex})
}

func (p *parser) callonMathTruncExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathTruncExpression1(stack["ex"])
}

func (c *current) onMathAtn2Expression1(set1, set2 any) (any, error) {
	return createFunctionCall(parsers.FunctionCallMathAtn2, []interface{}{set1, set2})
}

func (p *parser) callonMathAtn2Expression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathAtn2Expression1(stack["set1"], stack["set2"])
}

func (c *current) onMathIntAddExpression1(set1, set2 any) (any, error) {
	return createFunctionCall(parsers.FunctionCallMathIntAdd, []interface{}{set1, set2})
}

func (p *parser) callonMathIntAddExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathIntAddExpression1(stack["set1"], stack["set2"])
}

func (c *current) onMathIntBitAndExpression1(set1, set2 any) (any, error) {
	return createFunctionCall(parsers.FunctionCallMathIntBitAnd, []interface{}{set1, set2})
}

func (p *parser) callonMathIntBitAndExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathIntBitAndExpression1(stack["set1"], stack["set2"])
}

func (c *current) onMathIntBitLeftShiftExpression1(set1, set2 any) (any, error) {
	return createFunctionCall(parsers.FunctionCallMathIntBitLeftShift, []interface{}{set1, set2})
}

func (p *parser) callonMathIntBitLeftShiftExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathIntBitLeftShiftExpression1(stack["set1"], stack["set2"])
}

func (c *current) onMathIntBitOrExpression1(set1, set2 any) (any, error) {
	return createFunctionCall(parsers.FunctionCallMathIntBitOr, []interface{}{set1, set2})
}

func (p *parser) callonMathIntBitOrExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathIntBitOrExpression1(stack["set1"], stack["set2"])
}

func (c *current) onMathIntBitRightShiftExpression1(set1, set2 any) (any, error) {
	return createFunctionCall(parsers.FunctionCallMathIntBitRightShift, []interface{}{set1, set2})
}

func (p *parser) callonMathIntBitRightShiftExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathIntBitRightShiftExpression1(stack["set1"], stack["set2"])
}

func (c *current) onMathIntBitXorExpression1(set1, set2 any) (any, error) {
	return createFunctionCall(parsers.FunctionCallMathIntBitXor, []interface{}{set1, set2})
}

func (p *parser) callonMathIntBitXorExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathIntBitXorExpression1(stack["set1"], stack["set2"])
}

func (c *current) onMathIntDivExpression1(set1, set2 any) (any, error) {
	return createFunctionCall(parsers.FunctionCallMathIntDiv, []interface{}{set1, set2})
}

func (p *parser) callonMathIntDivExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathIntDivExpression1(stack["set1"], stack["set2"])
}

func (c *current) onMathIntModExpression1(set1, set2 any) (any, error) {
	return createFunctionCall(parsers.FunctionCallMathIntMod, []interface{}{set1, set2})
}

func (p *parser) callonMathIntModExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathIntModExpression1(stack["set1"], stack["set2"])
}

func (c *current) onMathIntMulExpression1(set1, set2 any) (any, error) {
	return createFunctionCall(parsers.FunctionCallMathIntMul, []interface{}{set1, set2})
}

func (p *parser) callonMathIntMulExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathIntMulExpression1(stack["set1"], stack["set2"])
}

func (c *current) onMathIntSubExpression1(set1, set2 any) (any, error) {
	return createFunctionCall(parsers.FunctionCallMathIntSub, []interface{}{set1, set2})
}

func (p *parser) callonMathIntSubExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathIntSubExpression1(stack["set1"], stack["set2"])
}

func (c *current) onMathPowerExpression1(set1, set2 any) (any, error) {
	return createFunctionCall(parsers.FunctionCallMathPower, []interface{}{set1, set2})
}

func (p *parser) callonMathPowerExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathPowerExpression1(stack["set1"], stack["set2"])
}

func (c *current) onMathLogExpression11(ex any) (any, error) {
	return ex, nil
}

func (p *parser) callonMathLogExpression11() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathLogExpression11(stack["ex"])
}

func (c *current) onMathLogExpression1(ex1, others any) (any, error) {
	return createFunctionCall(parsers.FunctionCallMathLog, append([]interface{}{ex1}, others.([]interface{})...))
}

func (p *parser) callonMathLogExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathLogExpression1(stack["ex1"], stack["others"])
}

func (c *current) onMathNumberBinExpression11(ex any) (any, error) {
	return ex, nil
}

func (p *parser) callonMathNumberBinExpression11() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathNumberBinExpression11(stack["ex"])
}

func (c *current) onMathNumberBinExpression1(ex1, others any) (any, error) {
	return createFunctionCall(parsers.FunctionCallMathNumberBin, append([]interface{}{ex1}, others.([]interface{})...))
}

func (p *parser) callonMathNumberBinExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathNumberBinExpression1(stack["ex1"], stack["others"])
}

func (c *current) onMathPiExpression1() (any, error) {
	return createFunctionCall(parsers.FunctionCallMathPi, []interface{}{})
}

func (p *parser) callonMathPiExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathPiExpression1()
}

func (c *current) onMathRandExpression1() (any, error) {
	return createFunctionCall(parsers.FunctionCallMathRand, []interface{}{})
}

func (p *parser) callonMathRandExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathRandExpression1()
}

func (c *current) onInFunction14(ex any) (any, error) {
	return ex, nil
}

func (p *parser) callonInFunction14() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onInFunction14(stack["ex"])
}

func (c *current) onInFunction1(ex1, ex2, others any) (any, error) {
	return createFunctionCall(parsers.FunctionCallIn, append([]interface{}{ex1, ex2}, others.([]interface{})...))
}

func (p *parser) callonInFunction1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onInFunction1(stack["ex1"], stack["ex2"], stack["others"])
}

func (c *current) onAvgAggregateExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallAggregateAvg, []interface{}{ex})
}

func (p *parser) callonAvgAggregateExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onAvgAggregateExpression1(stack["ex"])
}

func (c *current) onCountAggregateExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallAggregateCount, []interface{}{ex})
}

func (p *parser) callonCountAggregateExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onCountAggregateExpression1(stack["ex"])
}

func (c *current) onMaxAggregateExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallAggregateMax, []interface{}{ex})
}

func (p *parser) callonMaxAggregateExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMaxAggregateExpression1(stack["ex"])
}

func (c *current) onMinAggregateExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallAggregateMin, []interface{}{ex})
}

func (p *parser) callonMinAggregateExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMinAggregateExpression1(stack["ex"])
}

func (c *current) onSumAggregateExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallAggregateSum, []interface{}{ex})
}

func (p *parser) callonSumAggregateExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSumAggregateExpression1(stack["ex"])
}

func (c *current) onInteger1() (any, error) {
	return strconv.Atoi(string(c.text))
}

func (p *parser) callonInteger1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onInteger1()
}

func (c *current) onStringCharacter2() (any, error) {
	return string(c.text), nil
}

func (p *parser) callonStringCharacter2() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onStringCharacter2()
}

func (c *current) onStringCharacter9(seq any) (any, error) {
	return seq, nil
}

func (p *parser) callonStringCharacter9() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onStringCharacter9(stack["seq"])
}

func (c *current) onEscapeCharacter5() (any, error) {
	return "\b", nil
}

func (p *parser) callonEscapeCharacter5() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onEscapeCharacter5()
}

func (c *current) onEscapeCharacter7() (any, error) {
	return "\f", nil
}

func (p *parser) callonEscapeCharacter7() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onEscapeCharacter7()
}

func (c *current) onEscapeCharacter9() (any, error) {
	return "\n", nil
}

func (p *parser) callonEscapeCharacter9() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onEscapeCharacter9()
}

func (c *current) onEscapeCharacter11() (any, error) {
	return "\r", nil
}

func (p *parser) callonEscapeCharacter11() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onEscapeCharacter11()
}

func (c *current) onEscapeCharacter13() (any, error) {
	return "\t", nil
}

func (p *parser) callonEscapeCharacter13() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onEscapeCharacter13()
}

func (c *current) onnon_escape_character1(char any) (any, error) {
	return string(c.text), nil
}

func (p *parser) callonnon_escape_character1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onnon_escape_character1(stack["char"])
}

var (
	// errNoRule is returned when the grammar to parse has no rule.
	errNoRule = errors.New("grammar has no rule")

	// errInvalidEntrypoint is returned when the specified entrypoint rule
	// does not exit.
	errInvalidEntrypoint = errors.New("invalid entrypoint")

	// errInvalidEncoding is returned when the source is not properly
	// utf8-encoded.
	errInvalidEncoding = errors.New("invalid encoding")

	// errMaxExprCnt is used to signal that the maximum number of
	// expressions have been parsed.
	errMaxExprCnt = errors.New("max number of expressions parsed")
)

// Option is a function that can set an option on the parser. It returns
// the previous setting as an Option.
type Option func(*parser) Option

// MaxExpressions creates an Option to stop parsing after the provided
// number of expressions have been parsed, if the value is 0 then the parser will
// parse for as many steps as needed (possibly an infinite number).
//
// The default for maxExprCnt is 0.
func MaxExpressions(maxExprCnt uint64) Option {
	return func(p *parser) Option {
		oldMaxExprCnt := p.maxExprCnt
		p.maxExprCnt = maxExprCnt
		return MaxExpressions(oldMaxExprCnt)
	}
}

// Entrypoint creates an Option to set the rule name to use as entrypoint.
// The rule name must have been specified in the -alternate-entrypoints
// if generating the parser with the -optimize-grammar flag, otherwise
// it may have been optimized out. Passing an empty string sets the
// entrypoint to the first rule in the grammar.
//
// The default is to start parsing at the first rule in the grammar.
func Entrypoint(ruleName string) Option {
	return func(p *parser) Option {
		oldEntrypoint := p.entrypoint
		p.entrypoint = ruleName
		if ruleName == "" {
			p.entrypoint = g.rules[0].name
		}
		return Entrypoint(oldEntrypoint)
	}
}

// Statistics adds a user provided Stats struct to the parser to allow
// the user to process the results after the parsing has finished.
// Also the key for the "no match" counter is set.
//
// Example usage:
//
//	input := "input"
//	stats := Stats{}
//	_, err := Parse("input-file", []byte(input), Statistics(&stats, "no match"))
//	if err != nil {
//	    log.Panicln(err)
//	}
//	b, err := json.MarshalIndent(stats.ChoiceAltCnt, "", "  ")
//	if err != nil {
//	    log.Panicln(err)
//	}
//	fmt.Println(string(b))
func Statistics(stats *Stats, choiceNoMatch string) Option {
	return func(p *parser) Option {
		oldStats := p.Stats
		p.Stats = stats
		oldChoiceNoMatch := p.choiceNoMatch
		p.choiceNoMatch = choiceNoMatch
		if p.Stats.ChoiceAltCnt == nil {
			p.Stats.ChoiceAltCnt = make(map[string]map[string]int)
		}
		return Statistics(oldStats, oldChoiceNoMatch)
	}
}

// Debug creates an Option to set the debug flag to b. When set to true,
// debugging information is printed to stdout while parsing.
//
// The default is false.
func Debug(b bool) Option {
	return func(p *parser) Option {
		old := p.debug
		p.debug = b
		return Debug(old)
	}
}

// Memoize creates an Option to set the memoize flag to b. When set to true,
// the parser will cache all results so each expression is evaluated only
// once. This guarantees linear parsing time even for pathological cases,
// at the expense of more memory and slower times for typical cases.
//
// The default is false.
func Memoize(b bool) Option {
	return func(p *parser) Option {
		old := p.memoize
		p.memoize = b
		return Memoize(old)
	}
}

// AllowInvalidUTF8 creates an Option to allow invalid UTF-8 bytes.
// Every invalid UTF-8 byte is treated as a utf8.RuneError (U+FFFD)
// by character class matchers and is matched by the any matcher.
// The returned matched value, c.text and c.offset are NOT affected.
//
// The default is false.
func AllowInvalidUTF8(b bool) Option {
	return func(p *parser) Option {
		old := p.allowInvalidUTF8
		p.allowInvalidUTF8 = b
		return AllowInvalidUTF8(old)
	}
}

// Recover creates an Option to set the recover flag to b. When set to
// true, this causes the parser to recover from panics and convert it
// to an error. Setting it to false can be useful while debugging to
// access the full stack trace.
//
// The default is true.
func Recover(b bool) Option {
	return func(p *parser) Option {
		old := p.recover
		p.recover = b
		return Recover(old)
	}
}

// GlobalStore creates an Option to set a key to a certain value in
// the globalStore.
func GlobalStore(key string, value any) Option {
	return func(p *parser) Option {
		old := p.cur.globalStore[key]
		p.cur.globalStore[key] = value
		return GlobalStore(key, old)
	}
}

// InitState creates an Option to set a key to a certain value in
// the global "state" store.
func InitState(key string, value any) Option {
	return func(p *parser) Option {
		old := p.cur.state[key]
		p.cur.state[key] = value
		return InitState(key, old)
	}
}

// ParseFile parses the file identified by filename.
func ParseFile(filename string, opts ...Option) (i any, err error) {
	f, err := os.Open(filename)
	if err != nil {
		return nil, err
	}
	defer func() {
		if closeErr := f.Close(); closeErr != nil {
			err = closeErr
		}
	}()
	return ParseReader(filename, f, opts...)
}

// ParseReader parses the data from r using filename as information in the
// error messages.
func ParseReader(filename string, r io.Reader, opts ...Option) (any, error) {
	b, err := io.ReadAll(r)
	if err != nil {
		return nil, err
	}

	return Parse(filename, b, opts...)
}

// Parse parses the data from b using filename as information in the
// error messages.
func Parse(filename string, b []byte, opts ...Option) (any, error) {
	return newParser(filename, b, opts...).parse(g)
}

// position records a position in the text.
type position struct {
	line, col, offset int
}

func (p position) String() string {
	return strconv.Itoa(p.line) + ":" + strconv.Itoa(p.col) + " [" + strconv.Itoa(p.offset) + "]"
}

// savepoint stores all state required to go back to this point in the
// parser.
type savepoint struct {
	position
	rn rune
	w  int
}

type current struct {
	pos  position // start position of the match
	text []byte   // raw text of the match

	// state is a store for arbitrary key,value pairs that the user wants to be
	// tied to the backtracking of the parser.
	// This is always rolled back if a parsing rule fails.
	state storeDict

	// globalStore is a general store for the user to store arbitrary key-value
	// pairs that they need to manage and that they do not want tied to the
	// backtracking of the parser. This is only modified by the user and never
	// rolled back by the parser. It is always up to the user to keep this in a
	// consistent state.
	globalStore storeDict
}

type storeDict map[string]any

// the AST types...

type grammar struct {
	pos   position
	rules []*rule
}

type rule struct {
	pos         position
	name        string
	displayName string
	expr        any
}

type choiceExpr struct {
	pos          position
	alternatives []any
}

type actionExpr struct {
	pos  position
	expr any
	run  func(*parser) (any, error)
}

type recoveryExpr struct {
	pos          position
	expr         any
	recoverExpr  any
	failureLabel []string
}

type seqExpr struct {
	pos   position
	exprs []any
}

type throwExpr struct {
	pos   position
	label string
}

type labeledExpr struct {
	pos   position
	label string
	expr  any
}

type expr struct {
	pos  position
	expr any
}

type (
	andExpr        expr
	notExpr        expr
	zeroOrOneExpr  expr
	zeroOrMoreExpr expr
	oneOrMoreExpr  expr
)

type ruleRefExpr struct {
	pos  position
	name string
}

type stateCodeExpr struct {
	pos position
	run func(*parser) error
}

type andCodeExpr struct {
	pos position
	run func(*parser) (bool, error)
}

type notCodeExpr struct {
	pos position
	run func(*parser) (bool, error)
}

type litMatcher struct {
	pos        position
	val        string
	ignoreCase bool
	want       string
}

type charClassMatcher struct {
	pos             position
	val             string
	basicLatinChars [128]bool
	chars           []rune
	ranges          []rune
	classes         []*unicode.RangeTable
	ignoreCase      bool
	inverted        bool
}

type anyMatcher position

// errList cumulates the errors found by the parser.
type errList []error

func (e *errList) add(err error) {
	*e = append(*e, err)
}

func (e errList) err() error {
	if len(e) == 0 {
		return nil
	}
	e.dedupe()
	return e
}

func (e *errList) dedupe() {
	var cleaned []error
	set := make(map[string]bool)
	for _, err := range *e {
		if msg := err.Error(); !set[msg] {
			set[msg] = true
			cleaned = append(cleaned, err)
		}
	}
	*e = cleaned
}

func (e errList) Error() string {
	switch len(e) {
	case 0:
		return ""
	case 1:
		return e[0].Error()
	default:
		var buf bytes.Buffer

		for i, err := range e {
			if i > 0 {
				buf.WriteRune('\n')
			}
			buf.WriteString(err.Error())
		}
		return buf.String()
	}
}

// parserError wraps an error with a prefix indicating the rule in which
// the error occurred. The original error is stored in the Inner field.
type parserError struct {
	Inner    error
	pos      position
	prefix   string
	expected []string
}

// Error returns the error message.
func (p *parserError) Error() string {
	return p.prefix + ": " + p.Inner.Error()
}

// newParser creates a parser with the specified input source and options.
func newParser(filename string, b []byte, opts ...Option) *parser {
	stats := Stats{
		ChoiceAltCnt: make(map[string]map[string]int),
	}

	p := &parser{
		filename: filename,
		errs:     new(errList),
		data:     b,
		pt:       savepoint{position: position{line: 1}},
		recover:  true,
		cur: current{
			state:       make(storeDict),
			globalStore: make(storeDict),
		},
		maxFailPos:      position{col: 1, line: 1},
		maxFailExpected: make([]string, 0, 20),
		Stats:           &stats,
		// start rule is rule [0] unless an alternate entrypoint is specified
		entrypoint: g.rules[0].name,
	}
	p.setOptions(opts)

	if p.maxExprCnt == 0 {
		p.maxExprCnt = math.MaxUint64
	}

	return p
}

// setOptions applies the options to the parser.
func (p *parser) setOptions(opts []Option) {
	for _, opt := range opts {
		opt(p)
	}
}

type resultTuple struct {
	v   any
	b   bool
	end savepoint
}

const choiceNoMatch = -1

// Stats stores some statistics, gathered during parsing
type Stats struct {
	// ExprCnt counts the number of expressions processed during parsing
	// This value is compared to the maximum number of expressions allowed
	// (set by the MaxExpressions option).
	ExprCnt uint64

	// ChoiceAltCnt is used to count for each ordered choice expression,
	// which alternative is used how may times.
	// These numbers allow to optimize the order of the ordered choice expression
	// to increase the performance of the parser
	//
	// The outer key of ChoiceAltCnt is composed of the name of the rule as well
	// as the line and the column of the ordered choice.
	// The inner key of ChoiceAltCnt is the number (one-based) of the matching alternative.
	// For each alternative the number of matches are counted. If an ordered choice does not
	// match, a special counter is incremented. The name of this counter is set with
	// the parser option Statistics.
	// For an alternative to be included in ChoiceAltCnt, it has to match at least once.
	ChoiceAltCnt map[string]map[string]int
}

type parser struct {
	filename string
	pt       savepoint
	cur      current

	data []byte
	errs *errList

	depth   int
	recover bool
	debug   bool

	memoize bool
	// memoization table for the packrat algorithm:
	// map[offset in source] map[expression or rule] {value, match}
	memo map[int]map[any]resultTuple

	// rules table, maps the rule identifier to the rule node
	rules map[string]*rule
	// variables stack, map of label to value
	vstack []map[string]any
	// rule stack, allows identification of the current rule in errors
	rstack []*rule

	// parse fail
	maxFailPos            position
	maxFailExpected       []string
	maxFailInvertExpected bool

	// max number of expressions to be parsed
	maxExprCnt uint64
	// entrypoint for the parser
	entrypoint string

	allowInvalidUTF8 bool

	*Stats

	choiceNoMatch string
	// recovery expression stack, keeps track of the currently available recovery expression, these are traversed in reverse
	recoveryStack []map[string]any
}

// push a variable set on the vstack.
func (p *parser) pushV() {
	if cap(p.vstack) == len(p.vstack) {
		// create new empty slot in the stack
		p.vstack = append(p.vstack, nil)
	} else {
		// slice to 1 more
		p.vstack = p.vstack[:len(p.vstack)+1]
	}

	// get the last args set
	m := p.vstack[len(p.vstack)-1]
	if m != nil && len(m) == 0 {
		// empty map, all good
		return
	}

	m = make(map[string]any)
	p.vstack[len(p.vstack)-1] = m
}

// pop a variable set from the vstack.
func (p *parser) popV() {
	// if the map is not empty, clear it
	m := p.vstack[len(p.vstack)-1]
	if len(m) > 0 {
		// GC that map
		p.vstack[len(p.vstack)-1] = nil
	}
	p.vstack = p.vstack[:len(p.vstack)-1]
}

// push a recovery expression with its labels to the recoveryStack
func (p *parser) pushRecovery(labels []string, expr any) {
	if cap(p.recoveryStack) == len(p.recoveryStack) {
		// create new empty slot in the stack
		p.recoveryStack = append(p.recoveryStack, nil)
	} else {
		// slice to 1 more
		p.recoveryStack = p.recoveryStack[:len(p.recoveryStack)+1]
	}

	m := make(map[string]any, len(labels))
	for _, fl := range labels {
		m[fl] = expr
	}
	p.recoveryStack[len(p.recoveryStack)-1] = m
}

// pop a recovery expression from the recoveryStack
func (p *parser) popRecovery() {
	// GC that map
	p.recoveryStack[len(p.recoveryStack)-1] = nil

	p.recoveryStack = p.recoveryStack[:len(p.recoveryStack)-1]
}

func (p *parser) print(prefix, s string) string {
	if !p.debug {
		return s
	}

	fmt.Printf("%s %d:%d:%d: %s [%#U]\n",
		prefix, p.pt.line, p.pt.col, p.pt.offset, s, p.pt.rn)
	return s
}

func (p *parser) printIndent(mark string, s string) string {
	return p.print(strings.Repeat(" ", p.depth)+mark, s)
}

func (p *parser) in(s string) string {
	res := p.printIndent(">", s)
	p.depth++
	return res
}

func (p *parser) out(s string) string {
	p.depth--
	return p.printIndent("<", s)
}

func (p *parser) addErr(err error) {
	p.addErrAt(err, p.pt.position, []string{})
}

func (p *parser) addErrAt(err error, pos position, expected []string) {
	var buf bytes.Buffer
	if p.filename != "" {
		buf.WriteString(p.filename)
	}
	if buf.Len() > 0 {
		buf.WriteString(":")
	}
	buf.WriteString(fmt.Sprintf("%d:%d (%d)", pos.line, pos.col, pos.offset))
	if len(p.rstack) > 0 {
		if buf.Len() > 0 {
			buf.WriteString(": ")
		}
		rule := p.rstack[len(p.rstack)-1]
		if rule.displayName != "" {
			buf.WriteString("rule " + rule.displayName)
		} else {
			buf.WriteString("rule " + rule.name)
		}
	}
	pe := &parserError{Inner: err, pos: pos, prefix: buf.String(), expected: expected}
	p.errs.add(pe)
}

func (p *parser) failAt(fail bool, pos position, want string) {
	// process fail if parsing fails and not inverted or parsing succeeds and invert is set
	if fail == p.maxFailInvertExpected {
		if pos.offset < p.maxFailPos.offset {
			return
		}

		if pos.offset > p.maxFailPos.offset {
			p.maxFailPos = pos
			p.maxFailExpected = p.maxFailExpected[:0]
		}

		if p.maxFailInvertExpected {
			want = "!" + want
		}
		p.maxFailExpected = append(p.maxFailExpected, want)
	}
}

// read advances the parser to the next rune.
func (p *parser) read() {
	p.pt.offset += p.pt.w
	rn, n := utf8.DecodeRune(p.data[p.pt.offset:])
	p.pt.rn = rn
	p.pt.w = n
	p.pt.col++
	if rn == '\n' {
		p.pt.line++
		p.pt.col = 0
	}

	if rn == utf8.RuneError && n == 1 { // see utf8.DecodeRune
		if !p.allowInvalidUTF8 {
			p.addErr(errInvalidEncoding)
		}
	}
}

// restore parser position to the savepoint pt.
func (p *parser) restore(pt savepoint) {
	if p.debug {
		defer p.out(p.in("restore"))
	}
	if pt.offset == p.pt.offset {
		return
	}
	p.pt = pt
}

// Cloner is implemented by any value that has a Clone method, which returns a
// copy of the value. This is mainly used for types which are not passed by
// value (e.g map, slice, chan) or structs that contain such types.
//
// This is used in conjunction with the global state feature to create proper
// copies of the state to allow the parser to properly restore the state in
// the case of backtracking.
type Cloner interface {
	Clone() any
}

var statePool = &sync.Pool{
	New: func() any { return make(storeDict) },
}

func (sd storeDict) Discard() {
	for k := range sd {
		delete(sd, k)
	}
	statePool.Put(sd)
}

// clone and return parser current state.
func (p *parser) cloneState() storeDict {
	if p.debug {
		defer p.out(p.in("cloneState"))
	}

	state := statePool.Get().(storeDict)
	for k, v := range p.cur.state {
		if c, ok := v.(Cloner); ok {
			state[k] = c.Clone()
		} else {
			state[k] = v
		}
	}
	return state
}

// restore parser current state to the state storeDict.
// every restoreState should applied only one time for every cloned state
func (p *parser) restoreState(state storeDict) {
	if p.debug {
		defer p.out(p.in("restoreState"))
	}
	p.cur.state.Discard()
	p.cur.state = state
}

// get the slice of bytes from the savepoint start to the current position.
func (p *parser) sliceFrom(start savepoint) []byte {
	return p.data[start.position.offset:p.pt.position.offset]
}

func (p *parser) getMemoized(node any) (resultTuple, bool) {
	if len(p.memo) == 0 {
		return resultTuple{}, false
	}
	m := p.memo[p.pt.offset]
	if len(m) == 0 {
		return resultTuple{}, false
	}
	res, ok := m[node]
	return res, ok
}

func (p *parser) setMemoized(pt savepoint, node any, tuple resultTuple) {
	if p.memo == nil {
		p.memo = make(map[int]map[any]resultTuple)
	}
	m := p.memo[pt.offset]
	if m == nil {
		m = make(map[any]resultTuple)
		p.memo[pt.offset] = m
	}
	m[node] = tuple
}

func (p *parser) buildRulesTable(g *grammar) {
	p.rules = make(map[string]*rule, len(g.rules))
	for _, r := range g.rules {
		p.rules[r.name] = r
	}
}

func (p *parser) parse(g *grammar) (val any, err error) {
	if len(g.rules) == 0 {
		p.addErr(errNoRule)
		return nil, p.errs.err()
	}

	// TODO : not super critical but this could be generated
	p.buildRulesTable(g)

	if p.recover {
		// panic can be used in action code to stop parsing immediately
		// and return the panic as an error.
		defer func() {
			if e := recover(); e != nil {
				if p.debug {
					defer p.out(p.in("panic handler"))
				}
				val = nil
				switch e := e.(type) {
				case error:
					p.addErr(e)
				default:
					p.addErr(fmt.Errorf("%v", e))
				}
				err = p.errs.err()
			}
		}()
	}

	startRule, ok := p.rules[p.entrypoint]
	if !ok {
		p.addErr(errInvalidEntrypoint)
		return nil, p.errs.err()
	}

	p.read() // advance to first rune
	val, ok = p.parseRuleWrap(startRule)
	if !ok {
		if len(*p.errs) == 0 {
			// If parsing fails, but no errors have been recorded, the expected values
			// for the farthest parser position are returned as error.
			maxFailExpectedMap := make(map[string]struct{}, len(p.maxFailExpected))
			for _, v := range p.maxFailExpected {
				maxFailExpectedMap[v] = struct{}{}
			}
			expected := make([]string, 0, len(maxFailExpectedMap))
			eof := false
			if _, ok := maxFailExpectedMap["!."]; ok {
				delete(maxFailExpectedMap, "!.")
				eof = true
			}
			for k := range maxFailExpectedMap {
				expected = append(expected, k)
			}
			sort.Strings(expected)
			if eof {
				expected = append(expected, "EOF")
			}
			p.addErrAt(errors.New("no match found, expected: "+listJoin(expected, ", ", "or")), p.maxFailPos, expected)
		}

		return nil, p.errs.err()
	}
	return val, p.errs.err()
}

func listJoin(list []string, sep string, lastSep string) string {
	switch len(list) {
	case 0:
		return ""
	case 1:
		return list[0]
	default:
		return strings.Join(list[:len(list)-1], sep) + " " + lastSep + " " + list[len(list)-1]
	}
}

func (p *parser) parseRuleMemoize(rule *rule) (any, bool) {
	res, ok := p.getMemoized(rule)
	if ok {
		p.restore(res.end)
		return res.v, res.b
	}

	startMark := p.pt
	val, ok := p.parseRule(rule)
	p.setMemoized(startMark, rule, resultTuple{val, ok, p.pt})

	return val, ok
}

func (p *parser) parseRuleWrap(rule *rule) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseRule " + rule.name))
	}
	var (
		val       any
		ok        bool
		startMark = p.pt
	)

	if p.memoize {
		val, ok = p.parseRuleMemoize(rule)
	} else {
		val, ok = p.parseRule(rule)
	}

	if ok && p.debug {
		p.printIndent("MATCH", string(p.sliceFrom(startMark)))
	}
	return val, ok
}

func (p *parser) parseRule(rule *rule) (any, bool) {
	p.rstack = append(p.rstack, rule)
	p.pushV()
	val, ok := p.parseExprWrap(rule.expr)
	p.popV()
	p.rstack = p.rstack[:len(p.rstack)-1]
	return val, ok
}

func (p *parser) parseExprWrap(expr any) (any, bool) {
	var pt savepoint

	if p.memoize {
		res, ok := p.getMemoized(expr)
		if ok {
			p.restore(res.end)
			return res.v, res.b
		}
		pt = p.pt
	}

	val, ok := p.parseExpr(expr)

	if p.memoize {
		p.setMemoized(pt, expr, resultTuple{val, ok, p.pt})
	}
	return val, ok
}

func (p *parser) parseExpr(expr any) (any, bool) {
	p.ExprCnt++
	if p.ExprCnt > p.maxExprCnt {
		panic(errMaxExprCnt)
	}

	var val any
	var ok bool
	switch expr := expr.(type) {
	case *actionExpr:
		val, ok = p.parseActionExpr(expr)
	case *andCodeExpr:
		val, ok = p.parseAndCodeExpr(expr)
	case *andExpr:
		val, ok = p.parseAndExpr(expr)
	case *anyMatcher:
		val, ok = p.parseAnyMatcher(expr)
	case *charClassMatcher:
		val, ok = p.parseCharClassMatcher(expr)
	case *choiceExpr:
		val, ok = p.parseChoiceExpr(expr)
	case *labeledExpr:
		val, ok = p.parseLabeledExpr(expr)
	case *litMatcher:
		val, ok = p.parseLitMatcher(expr)
	case *notCodeExpr:
		val, ok = p.parseNotCodeExpr(expr)
	case *notExpr:
		val, ok = p.parseNotExpr(expr)
	case *oneOrMoreExpr:
		val, ok = p.parseOneOrMoreExpr(expr)
	case *recoveryExpr:
		val, ok = p.parseRecoveryExpr(expr)
	case *ruleRefExpr:
		val, ok = p.parseRuleRefExpr(expr)
	case *seqExpr:
		val, ok = p.parseSeqExpr(expr)
	case *stateCodeExpr:
		val, ok = p.parseStateCodeExpr(expr)
	case *throwExpr:
		val, ok = p.parseThrowExpr(expr)
	case *zeroOrMoreExpr:
		val, ok = p.parseZeroOrMoreExpr(expr)
	case *zeroOrOneExpr:
		val, ok = p.parseZeroOrOneExpr(expr)
	default:
		panic(fmt.Sprintf("unknown expression type %T", expr))
	}
	return val, ok
}

func (p *parser) parseActionExpr(act *actionExpr) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseActionExpr"))
	}

	start := p.pt
	val, ok := p.parseExprWrap(act.expr)
	if ok {
		p.cur.pos = start.position
		p.cur.text = p.sliceFrom(start)
		state := p.cloneState()
		actVal, err := act.run(p)
		if err != nil {
			p.addErrAt(err, start.position, []string{})
		}
		p.restoreState(state)

		val = actVal
	}
	if ok && p.debug {
		p.printIndent("MATCH", string(p.sliceFrom(start)))
	}
	return val, ok
}

func (p *parser) parseAndCodeExpr(and *andCodeExpr) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseAndCodeExpr"))
	}

	state := p.cloneState()

	ok, err := and.run(p)
	if err != nil {
		p.addErr(err)
	}
	p.restoreState(state)

	return nil, ok
}

func (p *parser) parseAndExpr(and *andExpr) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseAndExpr"))
	}

	pt := p.pt
	state := p.cloneState()
	p.pushV()
	_, ok := p.parseExprWrap(and.expr)
	p.popV()
	p.restoreState(state)
	p.restore(pt)

	return nil, ok
}

func (p *parser) parseAnyMatcher(any *anyMatcher) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseAnyMatcher"))
	}

	if p.pt.rn == utf8.RuneError && p.pt.w == 0 {
		// EOF - see utf8.DecodeRune
		p.failAt(false, p.pt.position, ".")
		return nil, false
	}
	start := p.pt
	p.read()
	p.failAt(true, start.position, ".")
	return p.sliceFrom(start), true
}

func (p *parser) parseCharClassMatcher(chr *charClassMatcher) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseCharClassMatcher"))
	}

	cur := p.pt.rn
	start := p.pt

	// can't match EOF
	if cur == utf8.RuneError && p.pt.w == 0 { // see utf8.DecodeRune
		p.failAt(false, start.position, chr.val)
		return nil, false
	}

	if chr.ignoreCase {
		cur = unicode.ToLower(cur)
	}

	// try to match in the list of available chars
	for _, rn := range chr.chars {
		if rn == cur {
			if chr.inverted {
				p.failAt(false, start.position, chr.val)
				return nil, false
			}
			p.read()
			p.failAt(true, start.position, chr.val)
			return p.sliceFrom(start), true
		}
	}

	// try to match in the list of ranges
	for i := 0; i < len(chr.ranges); i += 2 {
		if cur >= chr.ranges[i] && cur <= chr.ranges[i+1] {
			if chr.inverted {
				p.failAt(false, start.position, chr.val)
				return nil, false
			}
			p.read()
			p.failAt(true, start.position, chr.val)
			return p.sliceFrom(start), true
		}
	}

	// try to match in the list of Unicode classes
	for _, cl := range chr.classes {
		if unicode.Is(cl, cur) {
			if chr.inverted {
				p.failAt(false, start.position, chr.val)
				return nil, false
			}
			p.read()
			p.failAt(true, start.position, chr.val)
			return p.sliceFrom(start), true
		}
	}

	if chr.inverted {
		p.read()
		p.failAt(true, start.position, chr.val)
		return p.sliceFrom(start), true
	}
	p.failAt(false, start.position, chr.val)
	return nil, false
}

func (p *parser) incChoiceAltCnt(ch *choiceExpr, altI int) {
	choiceIdent := fmt.Sprintf("%s %d:%d", p.rstack[len(p.rstack)-1].name, ch.pos.line, ch.pos.col)
	m := p.ChoiceAltCnt[choiceIdent]
	if m == nil {
		m = make(map[string]int)
		p.ChoiceAltCnt[choiceIdent] = m
	}
	// We increment altI by 1, so the keys do not start at 0
	alt := strconv.Itoa(altI + 1)
	if altI == choiceNoMatch {
		alt = p.choiceNoMatch
	}
	m[alt]++
}

func (p *parser) parseChoiceExpr(ch *choiceExpr) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseChoiceExpr"))
	}

	for altI, alt := range ch.alternatives {
		// dummy assignment to prevent compile error if optimized
		_ = altI

		state := p.cloneState()

		p.pushV()
		val, ok := p.parseExprWrap(alt)
		p.popV()
		if ok {
			p.incChoiceAltCnt(ch, altI)
			return val, ok
		}
		p.restoreState(state)
	}
	p.incChoiceAltCnt(ch, choiceNoMatch)
	return nil, false
}

func (p *parser) parseLabeledExpr(lab *labeledExpr) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseLabeledExpr"))
	}

	p.pushV()
	val, ok := p.parseExprWrap(lab.expr)
	p.popV()
	if ok && lab.label != "" {
		m := p.vstack[len(p.vstack)-1]
		m[lab.label] = val
	}
	return val, ok
}

func (p *parser) parseLitMatcher(lit *litMatcher) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseLitMatcher"))
	}

	start := p.pt
	for _, want := range lit.val {
		cur := p.pt.rn
		if lit.ignoreCase {
			cur = unicode.ToLower(cur)
		}
		if cur != want {
			p.failAt(false, start.position, lit.want)
			p.restore(start)
			return nil, false
		}
		p.read()
	}
	p.failAt(true, start.position, lit.want)
	return p.sliceFrom(start), true
}

func (p *parser) parseNotCodeExpr(not *notCodeExpr) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseNotCodeExpr"))
	}

	state := p.cloneState()

	ok, err := not.run(p)
	if err != nil {
		p.addErr(err)
	}
	p.restoreState(state)

	return nil, !ok
}

func (p *parser) parseNotExpr(not *notExpr) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseNotExpr"))
	}

	pt := p.pt
	state := p.cloneState()
	p.pushV()
	p.maxFailInvertExpected = !p.maxFailInvertExpected
	_, ok := p.parseExprWrap(not.expr)
	p.maxFailInvertExpected = !p.maxFailInvertExpected
	p.popV()
	p.restoreState(state)
	p.restore(pt)

	return nil, !ok
}

func (p *parser) parseOneOrMoreExpr(expr *oneOrMoreExpr) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseOneOrMoreExpr"))
	}

	var vals []any

	for {
		p.pushV()
		val, ok := p.parseExprWrap(expr.expr)
		p.popV()
		if !ok {
			if len(vals) == 0 {
				// did not match once, no match
				return nil, false
			}
			return vals, true
		}
		vals = append(vals, val)
	}
}

func (p *parser) parseRecoveryExpr(recover *recoveryExpr) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseRecoveryExpr (" + strings.Join(recover.failureLabel, ",") + ")"))
	}

	p.pushRecovery(recover.failureLabel, recover.recoverExpr)
	val, ok := p.parseExprWrap(recover.expr)
	p.popRecovery()

	return val, ok
}

func (p *parser) parseRuleRefExpr(ref *ruleRefExpr) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseRuleRefExpr " + ref.name))
	}

	if ref.name == "" {
		panic(fmt.Sprintf("%s: invalid rule: missing name", ref.pos))
	}

	rule := p.rules[ref.name]
	if rule == nil {
		p.addErr(fmt.Errorf("undefined rule: %s", ref.name))
		return nil, false
	}
	return p.parseRuleWrap(rule)
}

func (p *parser) parseSeqExpr(seq *seqExpr) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseSeqExpr"))
	}

	vals := make([]any, 0, len(seq.exprs))

	pt := p.pt
	state := p.cloneState()
	for _, expr := range seq.exprs {
		val, ok := p.parseExprWrap(expr)
		if !ok {
			p.restoreState(state)
			p.restore(pt)
			return nil, false
		}
		vals = append(vals, val)
	}
	return vals, true
}

func (p *parser) parseStateCodeExpr(state *stateCodeExpr) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseStateCodeExpr"))
	}

	err := state.run(p)
	if err != nil {
		p.addErr(err)
	}
	return nil, true
}

func (p *parser) parseThrowExpr(expr *throwExpr) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseThrowExpr"))
	}

	for i := len(p.recoveryStack) - 1; i >= 0; i-- {
		if recoverExpr, ok := p.recoveryStack[i][expr.label]; ok {
			if val, ok := p.parseExprWrap(recoverExpr); ok {
				return val, ok
			}
		}
	}

	return nil, false
}

func (p *parser) parseZeroOrMoreExpr(expr *zeroOrMoreExpr) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseZeroOrMoreExpr"))
	}

	var vals []any

	for {
		p.pushV()
		val, ok := p.parseExprWrap(expr.expr)
		p.popV()
		if !ok {
			return vals, true
		}
		vals = append(vals, val)
	}
}

func (p *parser) parseZeroOrOneExpr(expr *zeroOrOneExpr) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseZeroOrOneExpr"))
	}

	p.pushV()
	val, _ := p.parseExprWrap(expr.expr)
	p.popV()
	// whether it matched or not, consider it a match
	return val, true
}
